
package org.opentravel.ota._2003._05;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Contains certain traveler-specific information required for quoting or booking an insurance plan.
 * 
 * <p>Java class for IndCoverageReqsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IndCoverageReqsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="IndTripCost" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FlightAccidentAmount" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="CoveredLuggage" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="LuggageItem" maxOccurs="99">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="LuggageDescription" type="{http://www.opentravel.org/OTA/2003/05}FreeTextType"/>
 *                             &lt;element name="ItemDeclaredValue">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                             &lt;element name="LuggagePremium" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                           &lt;attribute name="LuggageType" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to16" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="PreexistingConditions" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="PreexistingCondition" maxOccurs="99">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.opentravel.org/OTA/2003/05>FreeTextType">
 *                           &lt;attribute name="DiagnosisDate" type="{http://www.w3.org/2001/XMLSchema}date" />
 *                           &lt;attribute name="LastTreatmentDate" type="{http://www.w3.org/2001/XMLSchema}date" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IndCoverageReqsType", propOrder = {
    "indTripCost",
    "flightAccidentAmount",
    "coveredLuggage",
    "preexistingConditions"
})
public class IndCoverageReqsType {

    @XmlElement(name = "IndTripCost")
    protected IndCoverageReqsType.IndTripCost indTripCost;
    @XmlElement(name = "FlightAccidentAmount")
    protected IndCoverageReqsType.FlightAccidentAmount flightAccidentAmount;
    @XmlElement(name = "CoveredLuggage")
    protected IndCoverageReqsType.CoveredLuggage coveredLuggage;
    @XmlElement(name = "PreexistingConditions")
    protected IndCoverageReqsType.PreexistingConditions preexistingConditions;

    /**
     * Gets the value of the indTripCost property.
     * 
     * @return
     *     possible object is
     *     {@link IndCoverageReqsType.IndTripCost }
     *     
     */
    public IndCoverageReqsType.IndTripCost getIndTripCost() {
        return indTripCost;
    }

    /**
     * Sets the value of the indTripCost property.
     * 
     * @param value
     *     allowed object is
     *     {@link IndCoverageReqsType.IndTripCost }
     *     
     */
    public void setIndTripCost(IndCoverageReqsType.IndTripCost value) {
        this.indTripCost = value;
    }

    /**
     * Gets the value of the flightAccidentAmount property.
     * 
     * @return
     *     possible object is
     *     {@link IndCoverageReqsType.FlightAccidentAmount }
     *     
     */
    public IndCoverageReqsType.FlightAccidentAmount getFlightAccidentAmount() {
        return flightAccidentAmount;
    }

    /**
     * Sets the value of the flightAccidentAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link IndCoverageReqsType.FlightAccidentAmount }
     *     
     */
    public void setFlightAccidentAmount(IndCoverageReqsType.FlightAccidentAmount value) {
        this.flightAccidentAmount = value;
    }

    /**
     * Gets the value of the coveredLuggage property.
     * 
     * @return
     *     possible object is
     *     {@link IndCoverageReqsType.CoveredLuggage }
     *     
     */
    public IndCoverageReqsType.CoveredLuggage getCoveredLuggage() {
        return coveredLuggage;
    }

    /**
     * Sets the value of the coveredLuggage property.
     * 
     * @param value
     *     allowed object is
     *     {@link IndCoverageReqsType.CoveredLuggage }
     *     
     */
    public void setCoveredLuggage(IndCoverageReqsType.CoveredLuggage value) {
        this.coveredLuggage = value;
    }

    /**
     * Gets the value of the preexistingConditions property.
     * 
     * @return
     *     possible object is
     *     {@link IndCoverageReqsType.PreexistingConditions }
     *     
     */
    public IndCoverageReqsType.PreexistingConditions getPreexistingConditions() {
        return preexistingConditions;
    }

    /**
     * Sets the value of the preexistingConditions property.
     * 
     * @param value
     *     allowed object is
     *     {@link IndCoverageReqsType.PreexistingConditions }
     *     
     */
    public void setPreexistingConditions(IndCoverageReqsType.PreexistingConditions value) {
        this.preexistingConditions = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="LuggageItem" maxOccurs="99">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="LuggageDescription" type="{http://www.opentravel.org/OTA/2003/05}FreeTextType"/>
     *                   &lt;element name="ItemDeclaredValue">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                   &lt;element name="LuggagePremium" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *                 &lt;attribute name="LuggageType" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to16" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "luggageItem"
    })
    public static class CoveredLuggage {

        @XmlElement(name = "LuggageItem", required = true)
        protected List<IndCoverageReqsType.CoveredLuggage.LuggageItem> luggageItem;

        /**
         * Gets the value of the luggageItem property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the luggageItem property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getLuggageItem().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link IndCoverageReqsType.CoveredLuggage.LuggageItem }
         * 
         * 
         */
        public List<IndCoverageReqsType.CoveredLuggage.LuggageItem> getLuggageItem() {
            if (luggageItem == null) {
                luggageItem = new ArrayList<IndCoverageReqsType.CoveredLuggage.LuggageItem>();
            }
            return this.luggageItem;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="LuggageDescription" type="{http://www.opentravel.org/OTA/2003/05}FreeTextType"/>
         *         &lt;element name="ItemDeclaredValue">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *         &lt;element name="LuggagePremium" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *       &lt;attribute name="LuggageType" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to16" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "luggageDescription",
            "itemDeclaredValue",
            "luggagePremium"
        })
        public static class LuggageItem {

            @XmlElement(name = "LuggageDescription", required = true)
            protected FreeTextType luggageDescription;
            @XmlElement(name = "ItemDeclaredValue", required = true)
            protected IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue itemDeclaredValue;
            @XmlElement(name = "LuggagePremium")
            protected IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium luggagePremium;
            @XmlAttribute(name = "LuggageType")
            protected String luggageType;

            /**
             * Gets the value of the luggageDescription property.
             * 
             * @return
             *     possible object is
             *     {@link FreeTextType }
             *     
             */
            public FreeTextType getLuggageDescription() {
                return luggageDescription;
            }

            /**
             * Sets the value of the luggageDescription property.
             * 
             * @param value
             *     allowed object is
             *     {@link FreeTextType }
             *     
             */
            public void setLuggageDescription(FreeTextType value) {
                this.luggageDescription = value;
            }

            /**
             * Gets the value of the itemDeclaredValue property.
             * 
             * @return
             *     possible object is
             *     {@link IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue }
             *     
             */
            public IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue getItemDeclaredValue() {
                return itemDeclaredValue;
            }

            /**
             * Sets the value of the itemDeclaredValue property.
             * 
             * @param value
             *     allowed object is
             *     {@link IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue }
             *     
             */
            public void setItemDeclaredValue(IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue value) {
                this.itemDeclaredValue = value;
            }

            /**
             * Gets the value of the luggagePremium property.
             * 
             * @return
             *     possible object is
             *     {@link IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium }
             *     
             */
            public IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium getLuggagePremium() {
                return luggagePremium;
            }

            /**
             * Sets the value of the luggagePremium property.
             * 
             * @param value
             *     allowed object is
             *     {@link IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium }
             *     
             */
            public void setLuggagePremium(IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium value) {
                this.luggagePremium = value;
            }

            /**
             * Gets the value of the luggageType property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getLuggageType() {
                return luggageType;
            }

            /**
             * Sets the value of the luggageType property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setLuggageType(String value) {
                this.luggageType = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "")
            public static class ItemDeclaredValue {

                @XmlAttribute(name = "Amount")
                protected BigDecimal amount;
                @XmlAttribute(name = "CurrencyCode")
                protected String currencyCode;
                @XmlAttribute(name = "DecimalPlaces")
                protected BigInteger decimalPlaces;

                /**
                 * Gets the value of the amount property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link BigDecimal }
                 *     
                 */
                public BigDecimal getAmount() {
                    return amount;
                }

                /**
                 * Sets the value of the amount property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link BigDecimal }
                 *     
                 */
                public void setAmount(BigDecimal value) {
                    this.amount = value;
                }

                /**
                 * Gets the value of the currencyCode property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getCurrencyCode() {
                    return currencyCode;
                }

                /**
                 * Sets the value of the currencyCode property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setCurrencyCode(String value) {
                    this.currencyCode = value;
                }

                /**
                 * Gets the value of the decimalPlaces property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link BigInteger }
                 *     
                 */
                public BigInteger getDecimalPlaces() {
                    return decimalPlaces;
                }

                /**
                 * Sets the value of the decimalPlaces property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link BigInteger }
                 *     
                 */
                public void setDecimalPlaces(BigInteger value) {
                    this.decimalPlaces = value;
                }

            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "")
            public static class LuggagePremium {

                @XmlAttribute(name = "Amount")
                protected BigDecimal amount;
                @XmlAttribute(name = "CurrencyCode")
                protected String currencyCode;
                @XmlAttribute(name = "DecimalPlaces")
                protected BigInteger decimalPlaces;

                /**
                 * Gets the value of the amount property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link BigDecimal }
                 *     
                 */
                public BigDecimal getAmount() {
                    return amount;
                }

                /**
                 * Sets the value of the amount property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link BigDecimal }
                 *     
                 */
                public void setAmount(BigDecimal value) {
                    this.amount = value;
                }

                /**
                 * Gets the value of the currencyCode property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getCurrencyCode() {
                    return currencyCode;
                }

                /**
                 * Sets the value of the currencyCode property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setCurrencyCode(String value) {
                    this.currencyCode = value;
                }

                /**
                 * Gets the value of the decimalPlaces property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link BigInteger }
                 *     
                 */
                public BigInteger getDecimalPlaces() {
                    return decimalPlaces;
                }

                /**
                 * Sets the value of the decimalPlaces property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link BigInteger }
                 *     
                 */
                public void setDecimalPlaces(BigInteger value) {
                    this.decimalPlaces = value;
                }

            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class FlightAccidentAmount {

        @XmlAttribute(name = "Amount")
        protected BigDecimal amount;
        @XmlAttribute(name = "CurrencyCode")
        protected String currencyCode;
        @XmlAttribute(name = "DecimalPlaces")
        protected BigInteger decimalPlaces;

        /**
         * Gets the value of the amount property.
         * 
         * @return
         *     possible object is
         *     {@link BigDecimal }
         *     
         */
        public BigDecimal getAmount() {
            return amount;
        }

        /**
         * Sets the value of the amount property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigDecimal }
         *     
         */
        public void setAmount(BigDecimal value) {
            this.amount = value;
        }

        /**
         * Gets the value of the currencyCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrencyCode() {
            return currencyCode;
        }

        /**
         * Sets the value of the currencyCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrencyCode(String value) {
            this.currencyCode = value;
        }

        /**
         * Gets the value of the decimalPlaces property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getDecimalPlaces() {
            return decimalPlaces;
        }

        /**
         * Sets the value of the decimalPlaces property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setDecimalPlaces(BigInteger value) {
            this.decimalPlaces = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class IndTripCost {

        @XmlAttribute(name = "Amount")
        protected BigDecimal amount;
        @XmlAttribute(name = "CurrencyCode")
        protected String currencyCode;
        @XmlAttribute(name = "DecimalPlaces")
        protected BigInteger decimalPlaces;

        /**
         * Gets the value of the amount property.
         * 
         * @return
         *     possible object is
         *     {@link BigDecimal }
         *     
         */
        public BigDecimal getAmount() {
            return amount;
        }

        /**
         * Sets the value of the amount property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigDecimal }
         *     
         */
        public void setAmount(BigDecimal value) {
            this.amount = value;
        }

        /**
         * Gets the value of the currencyCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrencyCode() {
            return currencyCode;
        }

        /**
         * Sets the value of the currencyCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrencyCode(String value) {
            this.currencyCode = value;
        }

        /**
         * Gets the value of the decimalPlaces property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getDecimalPlaces() {
            return decimalPlaces;
        }

        /**
         * Sets the value of the decimalPlaces property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setDecimalPlaces(BigInteger value) {
            this.decimalPlaces = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PreexistingCondition" maxOccurs="99">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.opentravel.org/OTA/2003/05>FreeTextType">
     *                 &lt;attribute name="DiagnosisDate" type="{http://www.w3.org/2001/XMLSchema}date" />
     *                 &lt;attribute name="LastTreatmentDate" type="{http://www.w3.org/2001/XMLSchema}date" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "preexistingCondition"
    })
    public static class PreexistingConditions {

        @XmlElement(name = "PreexistingCondition", required = true)
        protected List<IndCoverageReqsType.PreexistingConditions.PreexistingCondition> preexistingCondition;

        /**
         * Gets the value of the preexistingCondition property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the preexistingCondition property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPreexistingCondition().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link IndCoverageReqsType.PreexistingConditions.PreexistingCondition }
         * 
         * 
         */
        public List<IndCoverageReqsType.PreexistingConditions.PreexistingCondition> getPreexistingCondition() {
            if (preexistingCondition == null) {
                preexistingCondition = new ArrayList<IndCoverageReqsType.PreexistingConditions.PreexistingCondition>();
            }
            return this.preexistingCondition;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.opentravel.org/OTA/2003/05>FreeTextType">
         *       &lt;attribute name="DiagnosisDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         *       &lt;attribute name="LastTreatmentDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class PreexistingCondition
            extends FreeTextType
        {

            @XmlAttribute(name = "DiagnosisDate")
            protected XMLGregorianCalendar diagnosisDate;
            @XmlAttribute(name = "LastTreatmentDate")
            protected XMLGregorianCalendar lastTreatmentDate;

            /**
             * Gets the value of the diagnosisDate property.
             * 
             * @return
             *     possible object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public XMLGregorianCalendar getDiagnosisDate() {
                return diagnosisDate;
            }

            /**
             * Sets the value of the diagnosisDate property.
             * 
             * @param value
             *     allowed object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public void setDiagnosisDate(XMLGregorianCalendar value) {
                this.diagnosisDate = value;
            }

            /**
             * Gets the value of the lastTreatmentDate property.
             * 
             * @return
             *     possible object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public XMLGregorianCalendar getLastTreatmentDate() {
                return lastTreatmentDate;
            }

            /**
             * Sets the value of the lastTreatmentDate property.
             * 
             * @param value
             *     allowed object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public void setLastTreatmentDate(XMLGregorianCalendar value) {
                this.lastTreatmentDate = value;
            }

        }

    }

}
