
package org.opentravel.ota._2003._05;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * Indicates reservation billing and booking method.
 * 
 * <p>Java class for MethodInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MethodInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}BillingType"/>
 *       &lt;attribute name="ReservationMethodCode" type="{http://www.opentravel.org/OTA/2003/05}OTA_CodeType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MethodInfoType")
public class MethodInfoType {

    @XmlAttribute(name = "ReservationMethodCode")
    protected String reservationMethodCode;
    @XmlAttribute(name = "BillingType")
    protected String billingType;
    @XmlAttribute(name = "SignFoodAndBev")
    protected Boolean signFoodAndBev;

    /**
     * Gets the value of the reservationMethodCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReservationMethodCode() {
        return reservationMethodCode;
    }

    /**
     * Sets the value of the reservationMethodCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReservationMethodCode(String value) {
        this.reservationMethodCode = value;
    }

    /**
     * Gets the value of the billingType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBillingType() {
        return billingType;
    }

    /**
     * Sets the value of the billingType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBillingType(String value) {
        this.billingType = value;
    }

    /**
     * Gets the value of the signFoodAndBev property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isSignFoodAndBev() {
        if (signFoodAndBev == null) {
            return false;
        } else {
            return signFoodAndBev;
        }
    }

    /**
     * Sets the value of the signFoodAndBev property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSignFoodAndBev(Boolean value) {
        this.signFoodAndBev = value;
    }

}
