
package org.opentravel.ota._2003._05;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.opentravel.ota._2003._05 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TPAExtensions_QNAME = new QName("http://www.opentravel.org/OTA/2003/05", "TPA_Extensions");
    private final static QName _CancellationStatus_QNAME = new QName("http://www.opentravel.org/OTA/2003/05", "CancellationStatus");
    private final static QName _ParagraphTypeListItem_QNAME = new QName("http://www.opentravel.org/OTA/2003/05", "ListItem");
    private final static QName _ParagraphTypeText_QNAME = new QName("http://www.opentravel.org/OTA/2003/05", "Text");
    private final static QName _ParagraphTypeImage_QNAME = new QName("http://www.opentravel.org/OTA/2003/05", "Image");
    private final static QName _ParagraphTypeURL_QNAME = new QName("http://www.opentravel.org/OTA/2003/05", "URL");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.opentravel.ota._2003._05
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PkgInvoiceDetail }
     * 
     */
    public PkgInvoiceDetail createPkgInvoiceDetail() {
        return new PkgInvoiceDetail();
    }

    /**
     * Create an instance of {@link RailChargesType.Charges }
     * 
     */
    public RailChargesType.Charges createRailChargesTypeCharges() {
        return new RailChargesType.Charges();
    }

    /**
     * Create an instance of {@link HotelRoomListType.Guests }
     * 
     */
    public HotelRoomListType.Guests createHotelRoomListTypeGuests() {
        return new HotelRoomListType.Guests();
    }

    /**
     * Create an instance of {@link TravelerRPHs.TravelerRPH }
     * 
     */
    public TravelerRPHs.TravelerRPH createTravelerRPHsTravelerRPH() {
        return new TravelerRPHs.TravelerRPH();
    }

    /**
     * Create an instance of {@link OTATravelItineraryRS }
     * 
     */
    public OTATravelItineraryRS createOTATravelItineraryRS() {
        return new OTATravelItineraryRS();
    }

    /**
     * Create an instance of {@link EmployeeInfoType }
     * 
     */
    public EmployeeInfoType createEmployeeInfoType() {
        return new EmployeeInfoType();
    }

    /**
     * Create an instance of {@link InvBlockDatesType }
     * 
     */
    public InvBlockDatesType createInvBlockDatesType() {
        return new InvBlockDatesType();
    }

    /**
     * Create an instance of {@link OriginDestinationInformationType }
     * 
     */
    public OriginDestinationInformationType createOriginDestinationInformationType() {
        return new OriginDestinationInformationType();
    }

    /**
     * Create an instance of {@link VehicleRentalDetailsType }
     * 
     */
    public VehicleRentalDetailsType createVehicleRentalDetailsType() {
        return new VehicleRentalDetailsType();
    }

    /**
     * Create an instance of {@link LengthsOfStayType }
     * 
     */
    public LengthsOfStayType createLengthsOfStayType() {
        return new LengthsOfStayType();
    }

    /**
     * Create an instance of {@link DestinationSystemCodesType }
     * 
     */
    public DestinationSystemCodesType createDestinationSystemCodesType() {
        return new DestinationSystemCodesType();
    }

    /**
     * Create an instance of {@link AgentCommissionType }
     * 
     */
    public AgentCommissionType createAgentCommissionType() {
        return new AgentCommissionType();
    }

    /**
     * Create an instance of {@link AdvResTicketingType }
     * 
     */
    public AdvResTicketingType createAdvResTicketingType() {
        return new AdvResTicketingType();
    }

    /**
     * Create an instance of {@link SourceType }
     * 
     */
    public SourceType createSourceType() {
        return new SourceType();
    }

    /**
     * Create an instance of {@link VerificationType.AssociatedQuantity }
     * 
     */
    public VerificationType.AssociatedQuantity createVerificationTypeAssociatedQuantity() {
        return new VerificationType.AssociatedQuantity();
    }

    /**
     * Create an instance of {@link CurrencyAmountType }
     * 
     */
    public CurrencyAmountType createCurrencyAmountType() {
        return new CurrencyAmountType();
    }

    /**
     * Create an instance of {@link AdjustmentsType.Adjustment }
     * 
     */
    public AdjustmentsType.Adjustment createAdjustmentsTypeAdjustment() {
        return new AdjustmentsType.Adjustment();
    }

    /**
     * Create an instance of {@link TripFeaturesType.Destinations.Destination }
     * 
     */
    public TripFeaturesType.Destinations.Destination createTripFeaturesTypeDestinationsDestination() {
        return new TripFeaturesType.Destinations.Destination();
    }

    /**
     * Create an instance of {@link VehicleLocationAdditionalDetailsType.Shuttle.ShuttleInfos }
     * 
     */
    public VehicleLocationAdditionalDetailsType.Shuttle.ShuttleInfos createVehicleLocationAdditionalDetailsTypeShuttleShuttleInfos() {
        return new VehicleLocationAdditionalDetailsType.Shuttle.ShuttleInfos();
    }

    /**
     * Create an instance of {@link VehicleSpecialReqPrefType }
     * 
     */
    public VehicleSpecialReqPrefType createVehicleSpecialReqPrefType() {
        return new VehicleSpecialReqPrefType();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.Remarks.Remark }
     * 
     */
    public SpecialReqDetailsType.Remarks.Remark createSpecialReqDetailsTypeRemarksRemark() {
        return new SpecialReqDetailsType.Remarks.Remark();
    }

    /**
     * Create an instance of {@link TravelCostType }
     * 
     */
    public TravelCostType createTravelCostType() {
        return new TravelCostType();
    }

    /**
     * Create an instance of {@link GuestCountType.GuestCount }
     * 
     */
    public GuestCountType.GuestCount createGuestCountTypeGuestCount() {
        return new GuestCountType.GuestCount();
    }

    /**
     * Create an instance of {@link VehicleAvailAdditionalInfoType.PricedCoverages }
     * 
     */
    public VehicleAvailAdditionalInfoType.PricedCoverages createVehicleAvailAdditionalInfoTypePricedCoverages() {
        return new VehicleAvailAdditionalInfoType.PricedCoverages();
    }

    /**
     * Create an instance of {@link OffLocationServiceType }
     * 
     */
    public OffLocationServiceType createOffLocationServiceType() {
        return new OffLocationServiceType();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.Remarks }
     * 
     */
    public SpecialReqDetailsType.Remarks createSpecialReqDetailsTypeRemarks() {
        return new SpecialReqDetailsType.Remarks();
    }

    /**
     * Create an instance of {@link RateUploadType.BaseByGuestAmts }
     * 
     */
    public RateUploadType.BaseByGuestAmts createRateUploadTypeBaseByGuestAmts() {
        return new RateUploadType.BaseByGuestAmts();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.OtherServiceInformations }
     * 
     */
    public SpecialReqDetailsType.OtherServiceInformations createSpecialReqDetailsTypeOtherServiceInformations() {
        return new SpecialReqDetailsType.OtherServiceInformations();
    }

    /**
     * Create an instance of {@link FormattedTextSubSectionType }
     * 
     */
    public FormattedTextSubSectionType createFormattedTextSubSectionType() {
        return new FormattedTextSubSectionType();
    }

    /**
     * Create an instance of {@link StreetNmbrType }
     * 
     */
    public StreetNmbrType createStreetNmbrType() {
        return new StreetNmbrType();
    }

    /**
     * Create an instance of {@link RoomStayCandidateType }
     * 
     */
    public RoomStayCandidateType createRoomStayCandidateType() {
        return new RoomStayCandidateType();
    }

    /**
     * Create an instance of {@link CommissionInfoType }
     * 
     */
    public CommissionInfoType createCommissionInfoType() {
        return new CommissionInfoType();
    }

    /**
     * Create an instance of {@link RailReservationType.Itinerary.OriginandDestinations.OriginandDestination }
     * 
     */
    public RailReservationType.Itinerary.OriginandDestinations.OriginandDestination createRailReservationTypeItineraryOriginandDestinationsOriginandDestination() {
        return new RailReservationType.Itinerary.OriginandDestinations.OriginandDestination();
    }

    /**
     * Create an instance of {@link CodePrefType }
     * 
     */
    public CodePrefType createCodePrefType() {
        return new CodePrefType();
    }

    /**
     * Create an instance of {@link AmountLiteType }
     * 
     */
    public AmountLiteType createAmountLiteType() {
        return new AmountLiteType();
    }

    /**
     * Create an instance of {@link VehicleChargeType.MinMax }
     * 
     */
    public VehicleChargeType.MinMax createVehicleChargeTypeMinMax() {
        return new VehicleChargeType.MinMax();
    }

    /**
     * Create an instance of {@link BookingRulesType.BookingRule.AcceptableGuarantees }
     * 
     */
    public BookingRulesType.BookingRule.AcceptableGuarantees createBookingRulesTypeBookingRuleAcceptableGuarantees() {
        return new BookingRulesType.BookingRule.AcceptableGuarantees();
    }

    /**
     * Create an instance of {@link PriceType }
     * 
     */
    public PriceType createPriceType() {
        return new PriceType();
    }

    /**
     * Create an instance of {@link StatisticApplicationSetType.ReportSummaries }
     * 
     */
    public StatisticApplicationSetType.ReportSummaries createStatisticApplicationSetTypeReportSummaries() {
        return new StatisticApplicationSetType.ReportSummaries();
    }

    /**
     * Create an instance of {@link PkgTravelSegment }
     * 
     */
    public PkgTravelSegment createPkgTravelSegment() {
        return new PkgTravelSegment();
    }

    /**
     * Create an instance of {@link RoomRateType }
     * 
     */
    public RoomRateType createRoomRateType() {
        return new RoomRateType();
    }

    /**
     * Create an instance of {@link RateUploadType.BaseByGuestAmts.BaseByGuestAmt }
     * 
     */
    public RateUploadType.BaseByGuestAmts.BaseByGuestAmt createRateUploadTypeBaseByGuestAmtsBaseByGuestAmt() {
        return new RateUploadType.BaseByGuestAmts.BaseByGuestAmt();
    }

    /**
     * Create an instance of {@link PkgInvoiceDetail.NetAmount }
     * 
     */
    public PkgInvoiceDetail.NetAmount createPkgInvoiceDetailNetAmount() {
        return new PkgInvoiceDetail.NetAmount();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium }
     * 
     */
    public IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium createIndCoverageReqsTypeCoveredLuggageLuggageItemLuggagePremium() {
        return new IndCoverageReqsType.CoveredLuggage.LuggageItem.LuggagePremium();
    }

    /**
     * Create an instance of {@link TotalType }
     * 
     */
    public TotalType createTotalType() {
        return new TotalType();
    }

    /**
     * Create an instance of {@link OperationSchedulesPlusChargeType }
     * 
     */
    public OperationSchedulesPlusChargeType createOperationSchedulesPlusChargeType() {
        return new OperationSchedulesPlusChargeType();
    }

    /**
     * Create an instance of {@link TravelItineraryType }
     * 
     */
    public TravelItineraryType createTravelItineraryType() {
        return new TravelItineraryType();
    }

    /**
     * Create an instance of {@link PaymentFormPrefType }
     * 
     */
    public PaymentFormPrefType createPaymentFormPrefType() {
        return new PaymentFormPrefType();
    }

    /**
     * Create an instance of {@link PkgCautionType }
     * 
     */
    public PkgCautionType createPkgCautionType() {
        return new PkgCautionType();
    }

    /**
     * Create an instance of {@link ItineraryItemResponseType.Accommodation }
     * 
     */
    public ItineraryItemResponseType.Accommodation createItineraryItemResponseTypeAccommodation() {
        return new ItineraryItemResponseType.Accommodation();
    }

    /**
     * Create an instance of {@link RoomTypeLiteType }
     * 
     */
    public RoomTypeLiteType createRoomTypeLiteType() {
        return new RoomTypeLiteType();
    }

    /**
     * Create an instance of {@link BookingRulesType.BookingRule.DOWRestrictions }
     * 
     */
    public BookingRulesType.BookingRule.DOWRestrictions createBookingRulesTypeBookingRuleDOWRestrictions() {
        return new BookingRulesType.BookingRule.DOWRestrictions();
    }

    /**
     * Create an instance of {@link PTCFareBreakdownType }
     * 
     */
    public PTCFareBreakdownType createPTCFareBreakdownType() {
        return new PTCFareBreakdownType();
    }

    /**
     * Create an instance of {@link AirItineraryPricingInfoType.FareInfos.FareInfo }
     * 
     */
    public AirItineraryPricingInfoType.FareInfos.FareInfo createAirItineraryPricingInfoTypeFareInfosFareInfo() {
        return new AirItineraryPricingInfoType.FareInfos.FareInfo();
    }

    /**
     * Create an instance of {@link OperationScheduleType.OperationTimes.OperationTime }
     * 
     */
    public OperationScheduleType.OperationTimes.OperationTime createOperationScheduleTypeOperationTimesOperationTime() {
        return new OperationScheduleType.OperationTimes.OperationTime();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType }
     * 
     */
    public SpecialReqDetailsType createSpecialReqDetailsType() {
        return new SpecialReqDetailsType();
    }

    /**
     * Create an instance of {@link BlackoutDateType }
     * 
     */
    public BlackoutDateType createBlackoutDateType() {
        return new BlackoutDateType();
    }

    /**
     * Create an instance of {@link VehicleRentalDetailsType.OdometerReading }
     * 
     */
    public VehicleRentalDetailsType.OdometerReading createVehicleRentalDetailsTypeOdometerReading() {
        return new VehicleRentalDetailsType.OdometerReading();
    }

    /**
     * Create an instance of {@link AccessesType.Access }
     * 
     */
    public AccessesType.Access createAccessesTypeAccess() {
        return new AccessesType.Access();
    }

    /**
     * Create an instance of {@link InsCoverageDetailType.TotalTripCost }
     * 
     */
    public InsCoverageDetailType.TotalTripCost createInsCoverageDetailTypeTotalTripCost() {
        return new InsCoverageDetailType.TotalTripCost();
    }

    /**
     * Create an instance of {@link GuestRoomType.RoomLevelFees }
     * 
     */
    public GuestRoomType.RoomLevelFees createGuestRoomTypeRoomLevelFees() {
        return new GuestRoomType.RoomLevelFees();
    }

    /**
     * Create an instance of {@link WrittenConfInstType }
     * 
     */
    public WrittenConfInstType createWrittenConfInstType() {
        return new WrittenConfInstType();
    }

    /**
     * Create an instance of {@link SeatDetailsType }
     * 
     */
    public SeatDetailsType createSeatDetailsType() {
        return new SeatDetailsType();
    }

    /**
     * Create an instance of {@link InsCoverageDetailType }
     * 
     */
    public InsCoverageDetailType createInsCoverageDetailType() {
        return new InsCoverageDetailType();
    }

    /**
     * Create an instance of {@link RoomStayLiteType.RoomTypes }
     * 
     */
    public RoomStayLiteType.RoomTypes createRoomStayLiteTypeRoomTypes() {
        return new RoomStayLiteType.RoomTypes();
    }

    /**
     * Create an instance of {@link PTCFareBreakdownType.FareBasisCodes }
     * 
     */
    public PTCFareBreakdownType.FareBasisCodes createPTCFareBreakdownTypeFareBasisCodes() {
        return new PTCFareBreakdownType.FareBasisCodes();
    }

    /**
     * Create an instance of {@link RuleInfoType.ChargesRules }
     * 
     */
    public RuleInfoType.ChargesRules createRuleInfoTypeChargesRules() {
        return new RuleInfoType.ChargesRules();
    }

    /**
     * Create an instance of {@link RoomSharesType }
     * 
     */
    public RoomSharesType createRoomSharesType() {
        return new RoomSharesType();
    }

    /**
     * Create an instance of {@link StateProvType }
     * 
     */
    public StateProvType createStateProvType() {
        return new StateProvType();
    }

    /**
     * Create an instance of {@link StayRestrictionsType.MaximumStay }
     * 
     */
    public StayRestrictionsType.MaximumStay createStayRestrictionsTypeMaximumStay() {
        return new StayRestrictionsType.MaximumStay();
    }

    /**
     * Create an instance of {@link RoomRateType.Features }
     * 
     */
    public RoomRateType.Features createRoomRateTypeFeatures() {
        return new RoomRateType.Features();
    }

    /**
     * Create an instance of {@link AcceptedPaymentsType }
     * 
     */
    public AcceptedPaymentsType createAcceptedPaymentsType() {
        return new AcceptedPaymentsType();
    }

    /**
     * Create an instance of {@link ProfilesType.ProfileInfo }
     * 
     */
    public ProfilesType.ProfileInfo createProfilesTypeProfileInfo() {
        return new ProfilesType.ProfileInfo();
    }

    /**
     * Create an instance of {@link VehicleSegmentAdditionalInfoType.PaymentRules }
     * 
     */
    public VehicleSegmentAdditionalInfoType.PaymentRules createVehicleSegmentAdditionalInfoTypePaymentRules() {
        return new VehicleSegmentAdditionalInfoType.PaymentRules();
    }

    /**
     * Create an instance of {@link CustomerType.Address }
     * 
     */
    public CustomerType.Address createCustomerTypeAddress() {
        return new CustomerType.Address();
    }

    /**
     * Create an instance of {@link CompanyInfoType }
     * 
     */
    public CompanyInfoType createCompanyInfoType() {
        return new CompanyInfoType();
    }

    /**
     * Create an instance of {@link RoomRateLiteType }
     * 
     */
    public RoomRateLiteType createRoomRateLiteType() {
        return new RoomRateLiteType();
    }

    /**
     * Create an instance of {@link VehicleSegmentAdditionalInfoType }
     * 
     */
    public VehicleSegmentAdditionalInfoType createVehicleSegmentAdditionalInfoType() {
        return new VehicleSegmentAdditionalInfoType();
    }

    /**
     * Create an instance of {@link VehicleMakeModelType }
     * 
     */
    public VehicleMakeModelType createVehicleMakeModelType() {
        return new VehicleMakeModelType();
    }

    /**
     * Create an instance of {@link DimensionRoomType }
     * 
     */
    public DimensionRoomType createDimensionRoomType() {
        return new DimensionRoomType();
    }

    /**
     * Create an instance of {@link VehicleSegmentAdditionalInfoType.VendorMessages }
     * 
     */
    public VehicleSegmentAdditionalInfoType.VendorMessages createVehicleSegmentAdditionalInfoTypeVendorMessages() {
        return new VehicleSegmentAdditionalInfoType.VendorMessages();
    }

    /**
     * Create an instance of {@link VehicleEquipmentCoreType }
     * 
     */
    public VehicleEquipmentCoreType createVehicleEquipmentCoreType() {
        return new VehicleEquipmentCoreType();
    }

    /**
     * Create an instance of {@link HotelSearchCriterionType.HotelAmenity }
     * 
     */
    public HotelSearchCriterionType.HotelAmenity createHotelSearchCriterionTypeHotelAmenity() {
        return new HotelSearchCriterionType.HotelAmenity();
    }

    /**
     * Create an instance of {@link TravelerInformationType }
     * 
     */
    public TravelerInformationType createTravelerInformationType() {
        return new TravelerInformationType();
    }

    /**
     * Create an instance of {@link PricedItinerariesType }
     * 
     */
    public PricedItinerariesType createPricedItinerariesType() {
        return new PricedItinerariesType();
    }

    /**
     * Create an instance of {@link HotelRoomListType.RoomStays.RoomStay }
     * 
     */
    public HotelRoomListType.RoomStays.RoomStay createHotelRoomListTypeRoomStaysRoomStay() {
        return new HotelRoomListType.RoomStays.RoomStay();
    }

    /**
     * Create an instance of {@link RelativePositionType }
     * 
     */
    public RelativePositionType createRelativePositionType() {
        return new RelativePositionType();
    }

    /**
     * Create an instance of {@link TravelClubType.ClubMemberName }
     * 
     */
    public TravelClubType.ClubMemberName createTravelClubTypeClubMemberName() {
        return new TravelClubType.ClubMemberName();
    }

    /**
     * Create an instance of {@link RateUploadType.AdditionalGuestAmounts }
     * 
     */
    public RateUploadType.AdditionalGuestAmounts createRateUploadTypeAdditionalGuestAmounts() {
        return new RateUploadType.AdditionalGuestAmounts();
    }

    /**
     * Create an instance of {@link CoverageDetailsType }
     * 
     */
    public CoverageDetailsType createCoverageDetailsType() {
        return new CoverageDetailsType();
    }

    /**
     * Create an instance of {@link AirportLocationType }
     * 
     */
    public AirportLocationType createAirportLocationType() {
        return new AirportLocationType();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.PreexistingConditions }
     * 
     */
    public IndCoverageReqsType.PreexistingConditions createIndCoverageReqsTypePreexistingConditions() {
        return new IndCoverageReqsType.PreexistingConditions();
    }

    /**
     * Create an instance of {@link ServiceRequestType }
     * 
     */
    public ServiceRequestType createServiceRequestType() {
        return new ServiceRequestType();
    }

    /**
     * Create an instance of {@link MealPlanType }
     * 
     */
    public MealPlanType createMealPlanType() {
        return new MealPlanType();
    }

    /**
     * Create an instance of {@link PaymentCardType }
     * 
     */
    public PaymentCardType createPaymentCardType() {
        return new PaymentCardType();
    }

    /**
     * Create an instance of {@link StayRestrictionsType }
     * 
     */
    public StayRestrictionsType createStayRestrictionsType() {
        return new StayRestrictionsType();
    }

    /**
     * Create an instance of {@link RailReservationType }
     * 
     */
    public RailReservationType createRailReservationType() {
        return new RailReservationType();
    }

    /**
     * Create an instance of {@link ExtrasInfoType.ParentExtras }
     * 
     */
    public ExtrasInfoType.ParentExtras createExtrasInfoTypeParentExtras() {
        return new ExtrasInfoType.ParentExtras();
    }

    /**
     * Create an instance of {@link WarningsType }
     * 
     */
    public WarningsType createWarningsType() {
        return new WarningsType();
    }

    /**
     * Create an instance of {@link InsCoverageDetailType.CoveredTrips.CoveredTrip }
     * 
     */
    public InsCoverageDetailType.CoveredTrips.CoveredTrip createInsCoverageDetailTypeCoveredTripsCoveredTrip() {
        return new InsCoverageDetailType.CoveredTrips.CoveredTrip();
    }

    /**
     * Create an instance of {@link AirSearchPrefsType.FareRestrictPref }
     * 
     */
    public AirSearchPrefsType.FareRestrictPref createAirSearchPrefsTypeFareRestrictPref() {
        return new AirSearchPrefsType.FareRestrictPref();
    }

    /**
     * Create an instance of {@link OffLocationServicePricedType }
     * 
     */
    public OffLocationServicePricedType createOffLocationServicePricedType() {
        return new OffLocationServicePricedType();
    }

    /**
     * Create an instance of {@link ExtrasInfoType }
     * 
     */
    public ExtrasInfoType createExtrasInfoType() {
        return new ExtrasInfoType();
    }

    /**
     * Create an instance of {@link ParagraphType.ListItem }
     * 
     */
    public ParagraphType.ListItem createParagraphTypeListItem() {
        return new ParagraphType.ListItem();
    }

    /**
     * Create an instance of {@link RowDetailsType.AirRowCharacteristics }
     * 
     */
    public RowDetailsType.AirRowCharacteristics createRowDetailsTypeAirRowCharacteristics() {
        return new RowDetailsType.AirRowCharacteristics();
    }

    /**
     * Create an instance of {@link SeatRequestType }
     * 
     */
    public SeatRequestType createSeatRequestType() {
        return new SeatRequestType();
    }

    /**
     * Create an instance of {@link RoomPriceType }
     * 
     */
    public RoomPriceType createRoomPriceType() {
        return new RoomPriceType();
    }

    /**
     * Create an instance of {@link RoomSharesType.RoomShare.GuestRPHs.GuestRPH }
     * 
     */
    public RoomSharesType.RoomShare.GuestRPHs.GuestRPH createRoomSharesTypeRoomShareGuestRPHsGuestRPH() {
        return new RoomSharesType.RoomShare.GuestRPHs.GuestRPH();
    }

    /**
     * Create an instance of {@link MediaEntertainPrefType }
     * 
     */
    public MediaEntertainPrefType createMediaEntertainPrefType() {
        return new MediaEntertainPrefType();
    }

    /**
     * Create an instance of {@link FacilityChoicesType }
     * 
     */
    public FacilityChoicesType createFacilityChoicesType() {
        return new FacilityChoicesType();
    }

    /**
     * Create an instance of {@link AirTravelerType.ProfileRef }
     * 
     */
    public AirTravelerType.ProfileRef createAirTravelerTypeProfileRef() {
        return new AirTravelerType.ProfileRef();
    }

    /**
     * Create an instance of {@link AssociatedContentType.AssocItems.SpecialRequestDetails }
     * 
     */
    public AssociatedContentType.AssocItems.SpecialRequestDetails createAssociatedContentTypeAssocItemsSpecialRequestDetails() {
        return new AssociatedContentType.AssocItems.SpecialRequestDetails();
    }

    /**
     * Create an instance of {@link RFPResponseDetailType }
     * 
     */
    public RFPResponseDetailType createRFPResponseDetailType() {
        return new RFPResponseDetailType();
    }

    /**
     * Create an instance of {@link OperationSchedulePlusChargeType.Charge }
     * 
     */
    public OperationSchedulePlusChargeType.Charge createOperationSchedulePlusChargeTypeCharge() {
        return new OperationSchedulePlusChargeType.Charge();
    }

    /**
     * Create an instance of {@link VehicleTypeType }
     * 
     */
    public VehicleTypeType createVehicleTypeType() {
        return new VehicleTypeType();
    }

    /**
     * Create an instance of {@link SeatingPrefType }
     * 
     */
    public SeatingPrefType createSeatingPrefType() {
        return new SeatingPrefType();
    }

    /**
     * Create an instance of {@link CommissionType }
     * 
     */
    public CommissionType createCommissionType() {
        return new CommissionType();
    }

    /**
     * Create an instance of {@link CoveredTravelerType.Beneficiary }
     * 
     */
    public CoveredTravelerType.Beneficiary createCoveredTravelerTypeBeneficiary() {
        return new CoveredTravelerType.Beneficiary();
    }

    /**
     * Create an instance of {@link VehicleChargePurposeType }
     * 
     */
    public VehicleChargePurposeType createVehicleChargePurposeType() {
        return new VehicleChargePurposeType();
    }

    /**
     * Create an instance of {@link HotelReservationIDsType }
     * 
     */
    public HotelReservationIDsType createHotelReservationIDsType() {
        return new HotelReservationIDsType();
    }

    /**
     * Create an instance of {@link CoverageCoreType }
     * 
     */
    public CoverageCoreType createCoverageCoreType() {
        return new CoverageCoreType();
    }

    /**
     * Create an instance of {@link AmountType }
     * 
     */
    public AmountType createAmountType() {
        return new AmountType();
    }

    /**
     * Create an instance of {@link VehicleClassType }
     * 
     */
    public VehicleClassType createVehicleClassType() {
        return new VehicleClassType();
    }

    /**
     * Create an instance of {@link PkgPriceType }
     * 
     */
    public PkgPriceType createPkgPriceType() {
        return new PkgPriceType();
    }

    /**
     * Create an instance of {@link SellableProductsType }
     * 
     */
    public SellableProductsType createSellableProductsType() {
        return new SellableProductsType();
    }

    /**
     * Create an instance of {@link TrainSegmentType.Equipment }
     * 
     */
    public TrainSegmentType.Equipment createTrainSegmentTypeEquipment() {
        return new TrainSegmentType.Equipment();
    }

    /**
     * Create an instance of {@link PeriodPriceType }
     * 
     */
    public PeriodPriceType createPeriodPriceType() {
        return new PeriodPriceType();
    }

    /**
     * Create an instance of {@link ItineraryItemRequestType }
     * 
     */
    public ItineraryItemRequestType createItineraryItemRequestType() {
        return new ItineraryItemRequestType();
    }

    /**
     * Create an instance of {@link VehicleLocationInformationType }
     * 
     */
    public VehicleLocationInformationType createVehicleLocationInformationType() {
        return new VehicleLocationInformationType();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType.Vehicle }
     * 
     */
    public VehicleRentalTransactionType.Vehicle createVehicleRentalTransactionTypeVehicle() {
        return new VehicleRentalTransactionType.Vehicle();
    }

    /**
     * Create an instance of {@link VehicleSegmentCoreType.Fees }
     * 
     */
    public VehicleSegmentCoreType.Fees createVehicleSegmentCoreTypeFees() {
        return new VehicleSegmentCoreType.Fees();
    }

    /**
     * Create an instance of {@link VehicleReservationRQAdditionalInfoType.CoveragePrefs }
     * 
     */
    public VehicleReservationRQAdditionalInfoType.CoveragePrefs createVehicleReservationRQAdditionalInfoTypeCoveragePrefs() {
        return new VehicleReservationRQAdditionalInfoType.CoveragePrefs();
    }

    /**
     * Create an instance of {@link VehicleTotalChargeType }
     * 
     */
    public VehicleTotalChargeType createVehicleTotalChargeType() {
        return new VehicleTotalChargeType();
    }

    /**
     * Create an instance of {@link RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments }
     * 
     */
    public RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments createRailReservationTypeItineraryOriginandDestinationsOriginandDestinationTrainSegments() {
        return new RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments();
    }

    /**
     * Create an instance of {@link SeatAvailabilityType }
     * 
     */
    public SeatAvailabilityType createSeatAvailabilityType() {
        return new SeatAvailabilityType();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.BookingChannelCodes }
     * 
     */
    public ViewershipsType.Viewership.BookingChannelCodes createViewershipsTypeViewershipBookingChannelCodes() {
        return new ViewershipsType.Viewership.BookingChannelCodes();
    }

    /**
     * Create an instance of {@link PkgPassengerListItem }
     * 
     */
    public PkgPassengerListItem createPkgPassengerListItem() {
        return new PkgPassengerListItem();
    }

    /**
     * Create an instance of {@link RoomProfileType }
     * 
     */
    public RoomProfileType createRoomProfileType() {
        return new RoomProfileType();
    }

    /**
     * Create an instance of {@link InsuranceType }
     * 
     */
    public InsuranceType createInsuranceType() {
        return new InsuranceType();
    }

    /**
     * Create an instance of {@link RailReservationType.Fulfillment }
     * 
     */
    public RailReservationType.Fulfillment createRailReservationTypeFulfillment() {
        return new RailReservationType.Fulfillment();
    }

    /**
     * Create an instance of {@link DirectBillType }
     * 
     */
    public DirectBillType createDirectBillType() {
        return new DirectBillType();
    }

    /**
     * Create an instance of {@link SpecRequestPrefType }
     * 
     */
    public SpecRequestPrefType createSpecRequestPrefType() {
        return new SpecRequestPrefType();
    }

    /**
     * Create an instance of {@link FlightSegmentType }
     * 
     */
    public FlightSegmentType createFlightSegmentType() {
        return new FlightSegmentType();
    }

    /**
     * Create an instance of {@link TimeDurationType }
     * 
     */
    public TimeDurationType createTimeDurationType() {
        return new TimeDurationType();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Rail }
     * 
     */
    public TravelSegmentType.Rail createTravelSegmentTypeRail() {
        return new TravelSegmentType.Rail();
    }

    /**
     * Create an instance of {@link DocumentType.AdditionalPersonNames }
     * 
     */
    public DocumentType.AdditionalPersonNames createDocumentTypeAdditionalPersonNames() {
        return new DocumentType.AdditionalPersonNames();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.IndTripCost }
     * 
     */
    public IndCoverageReqsType.IndTripCost createIndCoverageReqsTypeIndTripCost() {
        return new IndCoverageReqsType.IndTripCost();
    }

    /**
     * Create an instance of {@link BusinessLocaleType }
     * 
     */
    public BusinessLocaleType createBusinessLocaleType() {
        return new BusinessLocaleType();
    }

    /**
     * Create an instance of {@link SpecialRemarkType }
     * 
     */
    public SpecialRemarkType createSpecialRemarkType() {
        return new SpecialRemarkType();
    }

    /**
     * Create an instance of {@link InvBlockCodeType }
     * 
     */
    public InvBlockCodeType createInvBlockCodeType() {
        return new InvBlockCodeType();
    }

    /**
     * Create an instance of {@link CancelInfoRSType.CancelRules }
     * 
     */
    public CancelInfoRSType.CancelRules createCancelInfoRSTypeCancelRules() {
        return new CancelInfoRSType.CancelRules();
    }

    /**
     * Create an instance of {@link RateType }
     * 
     */
    public RateType createRateType() {
        return new RateType();
    }

    /**
     * Create an instance of {@link OrganizationType }
     * 
     */
    public OrganizationType createOrganizationType() {
        return new OrganizationType();
    }

    /**
     * Create an instance of {@link RoomProfileType.PassengerRPHs }
     * 
     */
    public RoomProfileType.PassengerRPHs createRoomProfileTypePassengerRPHs() {
        return new RoomProfileType.PassengerRPHs();
    }

    /**
     * Create an instance of {@link ExtrasCoreType }
     * 
     */
    public ExtrasCoreType createExtrasCoreType() {
        return new ExtrasCoreType();
    }

    /**
     * Create an instance of {@link RelatedTravelerPrefType }
     * 
     */
    public RelatedTravelerPrefType createRelatedTravelerPrefType() {
        return new RelatedTravelerPrefType();
    }

    /**
     * Create an instance of {@link ReservationItemsType.Item }
     * 
     */
    public ReservationItemsType.Item createReservationItemsTypeItem() {
        return new ReservationItemsType.Item();
    }

    /**
     * Create an instance of {@link AccommodationInfoType.Resort }
     * 
     */
    public AccommodationInfoType.Resort createAccommodationInfoTypeResort() {
        return new AccommodationInfoType.Resort();
    }

    /**
     * Create an instance of {@link MethodInfoType }
     * 
     */
    public MethodInfoType createMethodInfoType() {
        return new MethodInfoType();
    }

    /**
     * Create an instance of {@link EquipmentTypePref }
     * 
     */
    public EquipmentTypePref createEquipmentTypePref() {
        return new EquipmentTypePref();
    }

    /**
     * Create an instance of {@link PkgInvoiceDetail.BalanceDueAmount }
     * 
     */
    public PkgInvoiceDetail.BalanceDueAmount createPkgInvoiceDetailBalanceDueAmount() {
        return new PkgInvoiceDetail.BalanceDueAmount();
    }

    /**
     * Create an instance of {@link PackageResponseType.DateRange }
     * 
     */
    public PackageResponseType.DateRange createPackageResponseTypeDateRange() {
        return new PackageResponseType.DateRange();
    }

    /**
     * Create an instance of {@link HotelSearchCriterionType }
     * 
     */
    public HotelSearchCriterionType createHotelSearchCriterionType() {
        return new HotelSearchCriterionType();
    }

    /**
     * Create an instance of {@link CountryNameType }
     * 
     */
    public CountryNameType createCountryNameType() {
        return new CountryNameType();
    }

    /**
     * Create an instance of {@link PropertyIdentityType }
     * 
     */
    public PropertyIdentityType createPropertyIdentityType() {
        return new PropertyIdentityType();
    }

    /**
     * Create an instance of {@link CabinAvailabilityType.Meal }
     * 
     */
    public CabinAvailabilityType.Meal createCabinAvailabilityTypeMeal() {
        return new CabinAvailabilityType.Meal();
    }

    /**
     * Create an instance of {@link AirItineraryType }
     * 
     */
    public AirItineraryType createAirItineraryType() {
        return new AirItineraryType();
    }

    /**
     * Create an instance of {@link RailReservationListType }
     * 
     */
    public RailReservationListType createRailReservationListType() {
        return new RailReservationListType();
    }

    /**
     * Create an instance of {@link AirSearchPrefsType }
     * 
     */
    public AirSearchPrefsType createAirSearchPrefsType() {
        return new AirSearchPrefsType();
    }

    /**
     * Create an instance of {@link PropertyValueMatchType.SearchValueMatch }
     * 
     */
    public PropertyValueMatchType.SearchValueMatch createPropertyValueMatchTypeSearchValueMatch() {
        return new PropertyValueMatchType.SearchValueMatch();
    }

    /**
     * Create an instance of {@link TransportationsType }
     * 
     */
    public TransportationsType createTransportationsType() {
        return new TransportationsType();
    }

    /**
     * Create an instance of {@link StatisticApplicationSetType }
     * 
     */
    public StatisticApplicationSetType createStatisticApplicationSetType() {
        return new StatisticApplicationSetType();
    }

    /**
     * Create an instance of {@link MealPlanType.PassengerRPHs }
     * 
     */
    public MealPlanType.PassengerRPHs createMealPlanTypePassengerRPHs() {
        return new MealPlanType.PassengerRPHs();
    }

    /**
     * Create an instance of {@link AddressPrefType }
     * 
     */
    public AddressPrefType createAddressPrefType() {
        return new AddressPrefType();
    }

    /**
     * Create an instance of {@link PriceRequestInformationType }
     * 
     */
    public PriceRequestInformationType createPriceRequestInformationType() {
        return new PriceRequestInformationType();
    }

    /**
     * Create an instance of {@link ItinPricingType.Cost }
     * 
     */
    public ItinPricingType.Cost createItinPricingTypeCost() {
        return new ItinPricingType.Cost();
    }

    /**
     * Create an instance of {@link PkgAirSegmentType }
     * 
     */
    public PkgAirSegmentType createPkgAirSegmentType() {
        return new PkgAirSegmentType();
    }

    /**
     * Create an instance of {@link BasicPropertyInfoType.ContactNumbers }
     * 
     */
    public BasicPropertyInfoType.ContactNumbers createBasicPropertyInfoTypeContactNumbers() {
        return new BasicPropertyInfoType.ContactNumbers();
    }

    /**
     * Create an instance of {@link VehicleIdentityType }
     * 
     */
    public VehicleIdentityType createVehicleIdentityType() {
        return new VehicleIdentityType();
    }

    /**
     * Create an instance of {@link RailAvailPrefsType }
     * 
     */
    public RailAvailPrefsType createRailAvailPrefsType() {
        return new RailAvailPrefsType();
    }

    /**
     * Create an instance of {@link GuestCountType }
     * 
     */
    public GuestCountType createGuestCountType() {
        return new GuestCountType();
    }

    /**
     * Create an instance of {@link CustomerCountsType.CustomerCount }
     * 
     */
    public CustomerCountsType.CustomerCount createCustomerCountsTypeCustomerCount() {
        return new CustomerCountsType.CustomerCount();
    }

    /**
     * Create an instance of {@link LoyaltyCertificateNumberType }
     * 
     */
    public LoyaltyCertificateNumberType createLoyaltyCertificateNumberType() {
        return new LoyaltyCertificateNumberType();
    }

    /**
     * Create an instance of {@link StatisticType.StatisticApplicationSets }
     * 
     */
    public StatisticType.StatisticApplicationSets createStatisticTypeStatisticApplicationSets() {
        return new StatisticType.StatisticApplicationSets();
    }

    /**
     * Create an instance of {@link GuaranteeType.GuaranteesAccepted }
     * 
     */
    public GuaranteeType.GuaranteesAccepted createGuaranteeTypeGuaranteesAccepted() {
        return new GuaranteeType.GuaranteesAccepted();
    }

    /**
     * Create an instance of {@link FareInfoType.FareReference }
     * 
     */
    public FareInfoType.FareReference createFareInfoTypeFareReference() {
        return new FareInfoType.FareReference();
    }

    /**
     * Create an instance of {@link RecreationSrvcPrefType }
     * 
     */
    public RecreationSrvcPrefType createRecreationSrvcPrefType() {
        return new RecreationSrvcPrefType();
    }

    /**
     * Create an instance of {@link HotelPaymentFormType }
     * 
     */
    public HotelPaymentFormType createHotelPaymentFormType() {
        return new HotelPaymentFormType();
    }

    /**
     * Create an instance of {@link PkgFlightSegmentBaseType }
     * 
     */
    public PkgFlightSegmentBaseType createPkgFlightSegmentBaseType() {
        return new PkgFlightSegmentBaseType();
    }

    /**
     * Create an instance of {@link PropertyNamePrefType }
     * 
     */
    public PropertyNamePrefType createPropertyNamePrefType() {
        return new PropertyNamePrefType();
    }

    /**
     * Create an instance of {@link RequestedCoveragesType }
     * 
     */
    public RequestedCoveragesType createRequestedCoveragesType() {
        return new RequestedCoveragesType();
    }

    /**
     * Create an instance of {@link CommonPrefType }
     * 
     */
    public CommonPrefType createCommonPrefType() {
        return new CommonPrefType();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.SystemCodes }
     * 
     */
    public ViewershipsType.Viewership.SystemCodes createViewershipsTypeViewershipSystemCodes() {
        return new ViewershipsType.Viewership.SystemCodes();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType.PricedEquips.PricedEquip.Equipment }
     * 
     */
    public VehicleRentalTransactionType.PricedEquips.PricedEquip.Equipment createVehicleRentalTransactionTypePricedEquipsPricedEquipEquipment() {
        return new VehicleRentalTransactionType.PricedEquips.PricedEquip.Equipment();
    }

    /**
     * Create an instance of {@link RatePlanType }
     * 
     */
    public RatePlanType createRatePlanType() {
        return new RatePlanType();
    }

    /**
     * Create an instance of {@link RateUploadType.GuaranteePolicies }
     * 
     */
    public RateUploadType.GuaranteePolicies createRateUploadTypeGuaranteePolicies() {
        return new RateUploadType.GuaranteePolicies();
    }

    /**
     * Create an instance of {@link InsCoverageType }
     * 
     */
    public InsCoverageType createInsCoverageType() {
        return new InsCoverageType();
    }

    /**
     * Create an instance of {@link AgreementsType }
     * 
     */
    public AgreementsType createAgreementsType() {
        return new AgreementsType();
    }

    /**
     * Create an instance of {@link CabinPrefType }
     * 
     */
    public CabinPrefType createCabinPrefType() {
        return new CabinPrefType();
    }

    /**
     * Create an instance of {@link AirTravelerType }
     * 
     */
    public AirTravelerType createAirTravelerType() {
        return new AirTravelerType();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Air }
     * 
     */
    public TravelSegmentType.Air createTravelSegmentTypeAir() {
        return new TravelSegmentType.Air();
    }

    /**
     * Create an instance of {@link VehicleWhereAtFacilityType }
     * 
     */
    public VehicleWhereAtFacilityType createVehicleWhereAtFacilityType() {
        return new VehicleWhereAtFacilityType();
    }

    /**
     * Create an instance of {@link RateQualifierCoreType }
     * 
     */
    public RateQualifierCoreType createRateQualifierCoreType() {
        return new RateQualifierCoreType();
    }

    /**
     * Create an instance of {@link InsurancePrefType }
     * 
     */
    public InsurancePrefType createInsurancePrefType() {
        return new InsurancePrefType();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Tour }
     * 
     */
    public TravelSegmentType.Tour createTravelSegmentTypeTour() {
        return new TravelSegmentType.Tour();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.SpecialRemarks.SpecialRemark }
     * 
     */
    public SpecialReqDetailsType.SpecialRemarks.SpecialRemark createSpecialReqDetailsTypeSpecialRemarksSpecialRemark() {
        return new SpecialReqDetailsType.SpecialRemarks.SpecialRemark();
    }

    /**
     * Create an instance of {@link PaymentDetailType }
     * 
     */
    public PaymentDetailType createPaymentDetailType() {
        return new PaymentDetailType();
    }

    /**
     * Create an instance of {@link AccommodationInfoType }
     * 
     */
    public AccommodationInfoType createAccommodationInfoType() {
        return new AccommodationInfoType();
    }

    /**
     * Create an instance of {@link BookingRulesType.BookingRule.AddtionalRules }
     * 
     */
    public BookingRulesType.BookingRule.AddtionalRules createBookingRulesTypeBookingRuleAddtionalRules() {
        return new BookingRulesType.BookingRule.AddtionalRules();
    }

    /**
     * Create an instance of {@link VehicleType }
     * 
     */
    public VehicleType createVehicleType() {
        return new VehicleType();
    }

    /**
     * Create an instance of {@link AirTaxType }
     * 
     */
    public AirTaxType createAirTaxType() {
        return new AirTaxType();
    }

    /**
     * Create an instance of {@link StationDetailsType }
     * 
     */
    public StationDetailsType createStationDetailsType() {
        return new StationDetailsType();
    }

    /**
     * Create an instance of {@link AirProcessingInfoType }
     * 
     */
    public AirProcessingInfoType createAirProcessingInfoType() {
        return new AirProcessingInfoType();
    }

    /**
     * Create an instance of {@link RailAmenityType.RailAmenity }
     * 
     */
    public RailAmenityType.RailAmenity createRailAmenityTypeRailAmenity() {
        return new RailAmenityType.RailAmenity();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership }
     * 
     */
    public ViewershipsType.Viewership createViewershipsTypeViewership() {
        return new ViewershipsType.Viewership();
    }

    /**
     * Create an instance of {@link ReferencePlaceHolderType }
     * 
     */
    public ReferencePlaceHolderType createReferencePlaceHolderType() {
        return new ReferencePlaceHolderType();
    }

    /**
     * Create an instance of {@link AirRowCharacteristicsType }
     * 
     */
    public AirRowCharacteristicsType createAirRowCharacteristicsType() {
        return new AirRowCharacteristicsType();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.SpecialServiceRequests }
     * 
     */
    public SpecialReqDetailsType.SpecialServiceRequests createSpecialReqDetailsTypeSpecialServiceRequests() {
        return new SpecialReqDetailsType.SpecialServiceRequests();
    }

    /**
     * Create an instance of {@link RoomStayLiteType.BasicPropertyInfo }
     * 
     */
    public RoomStayLiteType.BasicPropertyInfo createRoomStayLiteTypeBasicPropertyInfo() {
        return new RoomStayLiteType.BasicPropertyInfo();
    }

    /**
     * Create an instance of {@link ConnectionType }
     * 
     */
    public ConnectionType createConnectionType() {
        return new ConnectionType();
    }

    /**
     * Create an instance of {@link BookedTrainSegmentType }
     * 
     */
    public BookedTrainSegmentType createBookedTrainSegmentType() {
        return new BookedTrainSegmentType();
    }

    /**
     * Create an instance of {@link StatusApplicationControlType }
     * 
     */
    public StatusApplicationControlType createStatusApplicationControlType() {
        return new StatusApplicationControlType();
    }

    /**
     * Create an instance of {@link BusinessSrvcPrefType }
     * 
     */
    public BusinessSrvcPrefType createBusinessSrvcPrefType() {
        return new BusinessSrvcPrefType();
    }

    /**
     * Create an instance of {@link CostingItemType }
     * 
     */
    public CostingItemType createCostingItemType() {
        return new CostingItemType();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType }
     * 
     */
    public IndCoverageReqsType createIndCoverageReqsType() {
        return new IndCoverageReqsType();
    }

    /**
     * Create an instance of {@link TrainEquipmentType }
     * 
     */
    public TrainEquipmentType createTrainEquipmentType() {
        return new TrainEquipmentType();
    }

    /**
     * Create an instance of {@link TravelerInfoType }
     * 
     */
    public TravelerInfoType createTravelerInfoType() {
        return new TravelerInfoType();
    }

    /**
     * Create an instance of {@link PkgTravelJourney }
     * 
     */
    public PkgTravelJourney createPkgTravelJourney() {
        return new PkgTravelJourney();
    }

    /**
     * Create an instance of {@link AcceptablePaymentCardsInfoType }
     * 
     */
    public AcceptablePaymentCardsInfoType createAcceptablePaymentCardsInfoType() {
        return new AcceptablePaymentCardsInfoType();
    }

    /**
     * Create an instance of {@link RoomStayType.RoomRates }
     * 
     */
    public RoomStayType.RoomRates createRoomStayTypeRoomRates() {
        return new RoomStayType.RoomRates();
    }

    /**
     * Create an instance of {@link GuaranteeType.GuaranteesAccepted.GuaranteeAccepted }
     * 
     */
    public GuaranteeType.GuaranteesAccepted.GuaranteeAccepted createGuaranteeTypeGuaranteesAcceptedGuaranteeAccepted() {
        return new GuaranteeType.GuaranteesAccepted.GuaranteeAccepted();
    }

    /**
     * Create an instance of {@link NameOptionalCodeType }
     * 
     */
    public NameOptionalCodeType createNameOptionalCodeType() {
        return new NameOptionalCodeType();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.CoveredLuggage.LuggageItem }
     * 
     */
    public IndCoverageReqsType.CoveredLuggage.LuggageItem createIndCoverageReqsTypeCoveredLuggageLuggageItem() {
        return new IndCoverageReqsType.CoveredLuggage.LuggageItem();
    }

    /**
     * Create an instance of {@link ClassCodeType }
     * 
     */
    public ClassCodeType createClassCodeType() {
        return new ClassCodeType();
    }

    /**
     * Create an instance of {@link PkgPassengerRPHs }
     * 
     */
    public PkgPassengerRPHs createPkgPassengerRPHs() {
        return new PkgPassengerRPHs();
    }

    /**
     * Create an instance of {@link RowDetailsType.AirSeats }
     * 
     */
    public RowDetailsType.AirSeats createRowDetailsTypeAirSeats() {
        return new RowDetailsType.AirSeats();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.SeatRequests.SeatRequest }
     * 
     */
    public SpecialReqDetailsType.SeatRequests.SeatRequest createSpecialReqDetailsTypeSeatRequestsSeatRequest() {
        return new SpecialReqDetailsType.SeatRequests.SeatRequest();
    }

    /**
     * Create an instance of {@link AssociatedContentType }
     * 
     */
    public AssociatedContentType createAssociatedContentType() {
        return new AssociatedContentType();
    }

    /**
     * Create an instance of {@link MeetingRoomCapacityType.Occupancy }
     * 
     */
    public MeetingRoomCapacityType.Occupancy createMeetingRoomCapacityTypeOccupancy() {
        return new MeetingRoomCapacityType.Occupancy();
    }

    /**
     * Create an instance of {@link BookingRulesType }
     * 
     */
    public BookingRulesType createBookingRulesType() {
        return new BookingRulesType();
    }

    /**
     * Create an instance of {@link AccommodationSegmentRequestType }
     * 
     */
    public AccommodationSegmentRequestType createAccommodationSegmentRequestType() {
        return new AccommodationSegmentRequestType();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType }
     * 
     */
    public VehicleRentalTransactionType createVehicleRentalTransactionType() {
        return new VehicleRentalTransactionType();
    }

    /**
     * Create an instance of {@link VehicleRentalDetailsType.FuelLevelDetails }
     * 
     */
    public VehicleRentalDetailsType.FuelLevelDetails createVehicleRentalDetailsTypeFuelLevelDetails() {
        return new VehicleRentalDetailsType.FuelLevelDetails();
    }

    /**
     * Create an instance of {@link AllianceConsortiumType }
     * 
     */
    public AllianceConsortiumType createAllianceConsortiumType() {
        return new AllianceConsortiumType();
    }

    /**
     * Create an instance of {@link TicketingInfoType }
     * 
     */
    public TicketingInfoType createTicketingInfoType() {
        return new TicketingInfoType();
    }

    /**
     * Create an instance of {@link RailReservationSummaryType }
     * 
     */
    public RailReservationSummaryType createRailReservationSummaryType() {
        return new RailReservationSummaryType();
    }

    /**
     * Create an instance of {@link PropertyLocationPrefType }
     * 
     */
    public PropertyLocationPrefType createPropertyLocationPrefType() {
        return new PropertyLocationPrefType();
    }

    /**
     * Create an instance of {@link ItineraryInfoType.SpecialRequestDetails }
     * 
     */
    public ItineraryInfoType.SpecialRequestDetails createItineraryInfoTypeSpecialRequestDetails() {
        return new ItineraryInfoType.SpecialRequestDetails();
    }

    /**
     * Create an instance of {@link MeetingRoomsType.MeetingRoom.Codes.Code }
     * 
     */
    public MeetingRoomsType.MeetingRoom.Codes.Code createMeetingRoomsTypeMeetingRoomCodesCode() {
        return new MeetingRoomsType.MeetingRoom.Codes.Code();
    }

    /**
     * Create an instance of {@link FeeType }
     * 
     */
    public FeeType createFeeType() {
        return new FeeType();
    }

    /**
     * Create an instance of {@link TrainSegmentType }
     * 
     */
    public TrainSegmentType createTrainSegmentType() {
        return new TrainSegmentType();
    }

    /**
     * Create an instance of {@link OperationScheduleType.OperationTimes }
     * 
     */
    public OperationScheduleType.OperationTimes createOperationScheduleTypeOperationTimes() {
        return new OperationScheduleType.OperationTimes();
    }

    /**
     * Create an instance of {@link RateType.Rate }
     * 
     */
    public RateType.Rate createRateTypeRate() {
        return new RateType.Rate();
    }

    /**
     * Create an instance of {@link TravelerRefNumberType }
     * 
     */
    public TravelerRefNumberType createTravelerRefNumberType() {
        return new TravelerRefNumberType();
    }

    /**
     * Create an instance of {@link OtherServiceInfoType }
     * 
     */
    public OtherServiceInfoType createOtherServiceInfoType() {
        return new OtherServiceInfoType();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.CoveredLuggage }
     * 
     */
    public IndCoverageReqsType.CoveredLuggage createIndCoverageReqsTypeCoveredLuggage() {
        return new IndCoverageReqsType.CoveredLuggage();
    }

    /**
     * Create an instance of {@link HotelRoomListType }
     * 
     */
    public HotelRoomListType createHotelRoomListType() {
        return new HotelRoomListType();
    }

    /**
     * Create an instance of {@link TaxesType }
     * 
     */
    public TaxesType createTaxesType() {
        return new TaxesType();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Air.Seats }
     * 
     */
    public TravelSegmentType.Air.Seats createTravelSegmentTypeAirSeats() {
        return new TravelSegmentType.Air.Seats();
    }

    /**
     * Create an instance of {@link ExtrasCoreType.SubCategory }
     * 
     */
    public ExtrasCoreType.SubCategory createExtrasCoreTypeSubCategory() {
        return new ExtrasCoreType.SubCategory();
    }

    /**
     * Create an instance of {@link RoomSharesType.RoomShare.GuestRPHs }
     * 
     */
    public RoomSharesType.RoomShare.GuestRPHs createRoomSharesTypeRoomShareGuestRPHs() {
        return new RoomSharesType.RoomShare.GuestRPHs();
    }

    /**
     * Create an instance of {@link PkgAirSegmentType.Passengers }
     * 
     */
    public PkgAirSegmentType.Passengers createPkgAirSegmentTypePassengers() {
        return new PkgAirSegmentType.Passengers();
    }

    /**
     * Create an instance of {@link BookingClassAvailabilityType }
     * 
     */
    public BookingClassAvailabilityType createBookingClassAvailabilityType() {
        return new BookingClassAvailabilityType();
    }

    /**
     * Create an instance of {@link MonetaryRuleType }
     * 
     */
    public MonetaryRuleType createMonetaryRuleType() {
        return new MonetaryRuleType();
    }

    /**
     * Create an instance of {@link MessageAcknowledgementType }
     * 
     */
    public MessageAcknowledgementType createMessageAcknowledgementType() {
        return new MessageAcknowledgementType();
    }

    /**
     * Create an instance of {@link MeetingRoomsType.MeetingRoom }
     * 
     */
    public MeetingRoomsType.MeetingRoom createMeetingRoomsTypeMeetingRoom() {
        return new MeetingRoomsType.MeetingRoom();
    }

    /**
     * Create an instance of {@link DocumentType }
     * 
     */
    public DocumentType createDocumentType() {
        return new DocumentType();
    }

    /**
     * Create an instance of {@link VehicleTourInfoType }
     * 
     */
    public VehicleTourInfoType createVehicleTourInfoType() {
        return new VehicleTourInfoType();
    }

    /**
     * Create an instance of {@link PaymentFormType.Cash }
     * 
     */
    public PaymentFormType.Cash createPaymentFormTypeCash() {
        return new PaymentFormType.Cash();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.DistributorTypes }
     * 
     */
    public ViewershipsType.Viewership.DistributorTypes createViewershipsTypeViewershipDistributorTypes() {
        return new ViewershipsType.Viewership.DistributorTypes();
    }

    /**
     * Create an instance of {@link RequiredPaymentsType.GuaranteePayment }
     * 
     */
    public RequiredPaymentsType.GuaranteePayment createRequiredPaymentsTypeGuaranteePayment() {
        return new RequiredPaymentsType.GuaranteePayment();
    }

    /**
     * Create an instance of {@link FlightSegmentType.MarketingAirline }
     * 
     */
    public FlightSegmentType.MarketingAirline createFlightSegmentTypeMarketingAirline() {
        return new FlightSegmentType.MarketingAirline();
    }

    /**
     * Create an instance of {@link ItineraryRef }
     * 
     */
    public ItineraryRef createItineraryRef() {
        return new ItineraryRef();
    }

    /**
     * Create an instance of {@link RowDetailsType }
     * 
     */
    public RowDetailsType createRowDetailsType() {
        return new RowDetailsType();
    }

    /**
     * Create an instance of {@link VerificationType.StartLocation }
     * 
     */
    public VerificationType.StartLocation createVerificationTypeStartLocation() {
        return new VerificationType.StartLocation();
    }

    /**
     * Create an instance of {@link AirReservationType }
     * 
     */
    public AirReservationType createAirReservationType() {
        return new AirReservationType();
    }

    /**
     * Create an instance of {@link BasicPropertyInfoType.RelativePosition }
     * 
     */
    public BasicPropertyInfoType.RelativePosition createBasicPropertyInfoTypeRelativePosition() {
        return new BasicPropertyInfoType.RelativePosition();
    }

    /**
     * Create an instance of {@link UniqueRemarkType }
     * 
     */
    public UniqueRemarkType createUniqueRemarkType() {
        return new UniqueRemarkType();
    }

    /**
     * Create an instance of {@link TimeWindowType }
     * 
     */
    public TimeWindowType createTimeWindowType() {
        return new TimeWindowType();
    }

    /**
     * Create an instance of {@link HotelPaymentFormType.MasterAccountUsage }
     * 
     */
    public HotelPaymentFormType.MasterAccountUsage createHotelPaymentFormTypeMasterAccountUsage() {
        return new HotelPaymentFormType.MasterAccountUsage();
    }

    /**
     * Create an instance of {@link ContactPersonType }
     * 
     */
    public ContactPersonType createContactPersonType() {
        return new ContactPersonType();
    }

    /**
     * Create an instance of {@link IssuerNameType }
     * 
     */
    public IssuerNameType createIssuerNameType() {
        return new IssuerNameType();
    }

    /**
     * Create an instance of {@link VehicleEquipmentPricedType }
     * 
     */
    public VehicleEquipmentPricedType createVehicleEquipmentPricedType() {
        return new VehicleEquipmentPricedType();
    }

    /**
     * Create an instance of {@link HotelRoomListType.Guests.Guest.GuaranteePayment }
     * 
     */
    public HotelRoomListType.Guests.Guest.GuaranteePayment createHotelRoomListTypeGuestsGuestGuaranteePayment() {
        return new HotelRoomListType.Guests.Guest.GuaranteePayment();
    }

    /**
     * Create an instance of {@link DirectBillType.CompanyName }
     * 
     */
    public DirectBillType.CompanyName createDirectBillTypeCompanyName() {
        return new DirectBillType.CompanyName();
    }

    /**
     * Create an instance of {@link VehicleReservationType }
     * 
     */
    public VehicleReservationType createVehicleReservationType() {
        return new VehicleReservationType();
    }

    /**
     * Create an instance of {@link BookFlightSegmentType }
     * 
     */
    public BookFlightSegmentType createBookFlightSegmentType() {
        return new BookFlightSegmentType();
    }

    /**
     * Create an instance of {@link OriginDestinationInformationType.OriginLocation }
     * 
     */
    public OriginDestinationInformationType.OriginLocation createOriginDestinationInformationTypeOriginLocation() {
        return new OriginDestinationInformationType.OriginLocation();
    }

    /**
     * Create an instance of {@link MarketingCabinType }
     * 
     */
    public MarketingCabinType createMarketingCabinType() {
        return new MarketingCabinType();
    }

    /**
     * Create an instance of {@link VehicleReservationRQAdditionalInfoType }
     * 
     */
    public VehicleReservationRQAdditionalInfoType createVehicleReservationRQAdditionalInfoType() {
        return new VehicleReservationRQAdditionalInfoType();
    }

    /**
     * Create an instance of {@link LengthsOfStayType.LengthOfStay }
     * 
     */
    public LengthsOfStayType.LengthOfStay createLengthsOfStayTypeLengthOfStay() {
        return new LengthsOfStayType.LengthOfStay();
    }

    /**
     * Create an instance of {@link DOWPatternType }
     * 
     */
    public DOWPatternType createDOWPatternType() {
        return new DOWPatternType();
    }

    /**
     * Create an instance of {@link FareType.FareConstruction }
     * 
     */
    public FareType.FareConstruction createFareTypeFareConstruction() {
        return new FareType.FareConstruction();
    }

    /**
     * Create an instance of {@link VehicleCoreType }
     * 
     */
    public VehicleCoreType createVehicleCoreType() {
        return new VehicleCoreType();
    }

    /**
     * Create an instance of {@link SupplementChargesType }
     * 
     */
    public SupplementChargesType createSupplementChargesType() {
        return new SupplementChargesType();
    }

    /**
     * Create an instance of {@link PkgInvoiceDetail.CostingItems }
     * 
     */
    public PkgInvoiceDetail.CostingItems createPkgInvoiceDetailCostingItems() {
        return new PkgInvoiceDetail.CostingItems();
    }

    /**
     * Create an instance of {@link RoomLocationPrefType }
     * 
     */
    public RoomLocationPrefType createRoomLocationPrefType() {
        return new RoomLocationPrefType();
    }

    /**
     * Create an instance of {@link VehicleReservationRQCoreType.SpecialEquipPrefs }
     * 
     */
    public VehicleReservationRQCoreType.SpecialEquipPrefs createVehicleReservationRQCoreTypeSpecialEquipPrefs() {
        return new VehicleReservationRQCoreType.SpecialEquipPrefs();
    }

    /**
     * Create an instance of {@link TravelClubType }
     * 
     */
    public TravelClubType createTravelClubType() {
        return new TravelClubType();
    }

    /**
     * Create an instance of {@link SpecialRemarkType.AuthorizedViewers.AuthorizedViewer }
     * 
     */
    public SpecialRemarkType.AuthorizedViewers.AuthorizedViewer createSpecialRemarkTypeAuthorizedViewersAuthorizedViewer() {
        return new SpecialRemarkType.AuthorizedViewers.AuthorizedViewer();
    }

    /**
     * Create an instance of {@link VehicleAvailCoreType.Fees }
     * 
     */
    public VehicleAvailCoreType.Fees createVehicleAvailCoreTypeFees() {
        return new VehicleAvailCoreType.Fees();
    }

    /**
     * Create an instance of {@link CancelInfoRQType }
     * 
     */
    public CancelInfoRQType createCancelInfoRQType() {
        return new CancelInfoRQType();
    }

    /**
     * Create an instance of {@link AssociatedContentType.AssocItems }
     * 
     */
    public AssociatedContentType.AssocItems createAssociatedContentTypeAssocItems() {
        return new AssociatedContentType.AssocItems();
    }

    /**
     * Create an instance of {@link VendorMessageType }
     * 
     */
    public VendorMessageType createVendorMessageType() {
        return new VendorMessageType();
    }

    /**
     * Create an instance of {@link MembershipType.Membership }
     * 
     */
    public MembershipType.Membership createMembershipTypeMembership() {
        return new MembershipType.Membership();
    }

    /**
     * Create an instance of {@link AmountType.AdditionalGuestAmounts }
     * 
     */
    public AmountType.AdditionalGuestAmounts createAmountTypeAdditionalGuestAmounts() {
        return new AmountType.AdditionalGuestAmounts();
    }

    /**
     * Create an instance of {@link AirTravelerType.Email }
     * 
     */
    public AirTravelerType.Email createAirTravelerTypeEmail() {
        return new AirTravelerType.Email();
    }

    /**
     * Create an instance of {@link AirItineraryPricingInfoType.FareInfos }
     * 
     */
    public AirItineraryPricingInfoType.FareInfos createAirItineraryPricingInfoTypeFareInfos() {
        return new AirItineraryPricingInfoType.FareInfos();
    }

    /**
     * Create an instance of {@link FoodSrvcPrefType }
     * 
     */
    public FoodSrvcPrefType createFoodSrvcPrefType() {
        return new FoodSrvcPrefType();
    }

    /**
     * Create an instance of {@link RoomAmenityPrefType }
     * 
     */
    public RoomAmenityPrefType createRoomAmenityPrefType() {
        return new RoomAmenityPrefType();
    }

    /**
     * Create an instance of {@link RateLiteType }
     * 
     */
    public RateLiteType createRateLiteType() {
        return new RateLiteType();
    }

    /**
     * Create an instance of {@link PreferencesType.PrefCollection }
     * 
     */
    public PreferencesType.PrefCollection createPreferencesTypePrefCollection() {
        return new PreferencesType.PrefCollection();
    }

    /**
     * Create an instance of {@link ViewershipsType }
     * 
     */
    public ViewershipsType createViewershipsType() {
        return new ViewershipsType();
    }

    /**
     * Create an instance of {@link AdjustmentsType }
     * 
     */
    public AdjustmentsType createAdjustmentsType() {
        return new AdjustmentsType();
    }

    /**
     * Create an instance of {@link PlanCostType.Charges }
     * 
     */
    public PlanCostType.Charges createPlanCostTypeCharges() {
        return new PlanCostType.Charges();
    }

    /**
     * Create an instance of {@link CustomerPrimaryAdditionalType.Additional }
     * 
     */
    public CustomerPrimaryAdditionalType.Additional createCustomerPrimaryAdditionalTypeAdditional() {
        return new CustomerPrimaryAdditionalType.Additional();
    }

    /**
     * Create an instance of {@link FeesType }
     * 
     */
    public FeesType createFeesType() {
        return new FeesType();
    }

    /**
     * Create an instance of {@link CitizenCountryNameType }
     * 
     */
    public CitizenCountryNameType createCitizenCountryNameType() {
        return new CitizenCountryNameType();
    }

    /**
     * Create an instance of {@link AirReservationType.Fulfillment.PaymentDetails }
     * 
     */
    public AirReservationType.Fulfillment.PaymentDetails createAirReservationTypeFulfillmentPaymentDetails() {
        return new AirReservationType.Fulfillment.PaymentDetails();
    }

    /**
     * Create an instance of {@link CertificationType }
     * 
     */
    public CertificationType createCertificationType() {
        return new CertificationType();
    }

    /**
     * Create an instance of {@link DiscountType }
     * 
     */
    public DiscountType createDiscountType() {
        return new DiscountType();
    }

    /**
     * Create an instance of {@link RoomStayType.RatePlans }
     * 
     */
    public RoomStayType.RatePlans createRoomStayTypeRatePlans() {
        return new RoomStayType.RatePlans();
    }

    /**
     * Create an instance of {@link VehicleChargeType.Calculation }
     * 
     */
    public VehicleChargeType.Calculation createVehicleChargeTypeCalculation() {
        return new VehicleChargeType.Calculation();
    }

    /**
     * Create an instance of {@link TaxItemType }
     * 
     */
    public TaxItemType createTaxItemType() {
        return new TaxItemType();
    }

    /**
     * Create an instance of {@link MeetingRoomCapacityType }
     * 
     */
    public MeetingRoomCapacityType createMeetingRoomCapacityType() {
        return new MeetingRoomCapacityType();
    }

    /**
     * Create an instance of {@link AssociatedContentType.AssocItems.AssocItem }
     * 
     */
    public AssociatedContentType.AssocItems.AssocItem createAssociatedContentTypeAssocItemsAssocItem() {
        return new AssociatedContentType.AssocItems.AssocItem();
    }

    /**
     * Create an instance of {@link VehicleLocationAdditionalDetailsType.Shuttle.ShuttleInfos.ShuttleInfo }
     * 
     */
    public VehicleLocationAdditionalDetailsType.Shuttle.ShuttleInfos.ShuttleInfo createVehicleLocationAdditionalDetailsTypeShuttleShuttleInfosShuttleInfo() {
        return new VehicleLocationAdditionalDetailsType.Shuttle.ShuttleInfos.ShuttleInfo();
    }

    /**
     * Create an instance of {@link ProductDescriptionsType.ProductDescription }
     * 
     */
    public ProductDescriptionsType.ProductDescription createProductDescriptionsTypeProductDescription() {
        return new ProductDescriptionsType.ProductDescription();
    }

    /**
     * Create an instance of {@link PackageType }
     * 
     */
    public PackageType createPackageType() {
        return new PackageType();
    }

    /**
     * Create an instance of {@link VehicleLocationAdditionalDetailsType }
     * 
     */
    public VehicleLocationAdditionalDetailsType createVehicleLocationAdditionalDetailsType() {
        return new VehicleLocationAdditionalDetailsType();
    }

    /**
     * Create an instance of {@link PkgPassengerRPHs.PassengerRPH }
     * 
     */
    public PkgPassengerRPHs.PassengerRPH createPkgPassengerRPHsPassengerRPH() {
        return new PkgPassengerRPHs.PassengerRPH();
    }

    /**
     * Create an instance of {@link AffiliationsType }
     * 
     */
    public AffiliationsType createAffiliationsType() {
        return new AffiliationsType();
    }

    /**
     * Create an instance of {@link TransportationsType.Transportations }
     * 
     */
    public TransportationsType.Transportations createTransportationsTypeTransportations() {
        return new TransportationsType.Transportations();
    }

    /**
     * Create an instance of {@link CompanyNamePrefType }
     * 
     */
    public CompanyNamePrefType createCompanyNamePrefType() {
        return new CompanyNamePrefType();
    }

    /**
     * Create an instance of {@link CountCategorySummariesType }
     * 
     */
    public CountCategorySummariesType createCountCategorySummariesType() {
        return new CountCategorySummariesType();
    }

    /**
     * Create an instance of {@link PhysChallFeaturePrefType }
     * 
     */
    public PhysChallFeaturePrefType createPhysChallFeaturePrefType() {
        return new PhysChallFeaturePrefType();
    }

    /**
     * Create an instance of {@link AddressesType }
     * 
     */
    public AddressesType createAddressesType() {
        return new AddressesType();
    }

    /**
     * Create an instance of {@link TicketingInfoRSType }
     * 
     */
    public TicketingInfoRSType createTicketingInfoRSType() {
        return new TicketingInfoRSType();
    }

    /**
     * Create an instance of {@link BookingChannelType }
     * 
     */
    public BookingChannelType createBookingChannelType() {
        return new BookingChannelType();
    }

    /**
     * Create an instance of {@link SeatMapDetailsType }
     * 
     */
    public SeatMapDetailsType createSeatMapDetailsType() {
        return new SeatMapDetailsType();
    }

    /**
     * Create an instance of {@link MealPlanType.Prices }
     * 
     */
    public MealPlanType.Prices createMealPlanTypePrices() {
        return new MealPlanType.Prices();
    }

    /**
     * Create an instance of {@link ItineraryInfoType.Ticketing }
     * 
     */
    public ItineraryInfoType.Ticketing createItineraryInfoTypeTicketing() {
        return new ItineraryInfoType.Ticketing();
    }

    /**
     * Create an instance of {@link RoutingHopType }
     * 
     */
    public RoutingHopType createRoutingHopType() {
        return new RoutingHopType();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.PreexistingConditions.PreexistingCondition }
     * 
     */
    public IndCoverageReqsType.PreexistingConditions.PreexistingCondition createIndCoverageReqsTypePreexistingConditionsPreexistingCondition() {
        return new IndCoverageReqsType.PreexistingConditions.PreexistingCondition();
    }

    /**
     * Create an instance of {@link CancelPenaltyType }
     * 
     */
    public CancelPenaltyType createCancelPenaltyType() {
        return new CancelPenaltyType();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.DistributorTypes.DistributorType }
     * 
     */
    public ViewershipsType.Viewership.DistributorTypes.DistributorType createViewershipsTypeViewershipDistributorTypesDistributorType() {
        return new ViewershipsType.Viewership.DistributorTypes.DistributorType();
    }

    /**
     * Create an instance of {@link AdvResTicketingType.AdvReservation }
     * 
     */
    public AdvResTicketingType.AdvReservation createAdvResTicketingTypeAdvReservation() {
        return new AdvResTicketingType.AdvReservation();
    }

    /**
     * Create an instance of {@link CabinAvailabilityType }
     * 
     */
    public CabinAvailabilityType createCabinAvailabilityType() {
        return new CabinAvailabilityType();
    }

    /**
     * Create an instance of {@link ProfilesType }
     * 
     */
    public ProfilesType createProfilesType() {
        return new ProfilesType();
    }

    /**
     * Create an instance of {@link BookingRulesType.BookingRule.AddtionalRules.AdditionalRule }
     * 
     */
    public BookingRulesType.BookingRule.AddtionalRules.AdditionalRule createBookingRulesTypeBookingRuleAddtionalRulesAdditionalRule() {
        return new BookingRulesType.BookingRule.AddtionalRules.AdditionalRule();
    }

    /**
     * Create an instance of {@link VehicleRateDistanceType }
     * 
     */
    public VehicleRateDistanceType createVehicleRateDistanceType() {
        return new VehicleRateDistanceType();
    }

    /**
     * Create an instance of {@link PropertyTypePrefType }
     * 
     */
    public PropertyTypePrefType createPropertyTypePrefType() {
        return new PropertyTypePrefType();
    }

    /**
     * Create an instance of {@link RoomTypeType.Amenities }
     * 
     */
    public RoomTypeType.Amenities createRoomTypeTypeAmenities() {
        return new RoomTypeType.Amenities();
    }

    /**
     * Create an instance of {@link VehicleRentalRateType.VehicleCharges }
     * 
     */
    public VehicleRentalRateType.VehicleCharges createVehicleRentalRateTypeVehicleCharges() {
        return new VehicleRentalRateType.VehicleCharges();
    }

    /**
     * Create an instance of {@link PackageType.Extras }
     * 
     */
    public PackageType.Extras createPackageTypeExtras() {
        return new PackageType.Extras();
    }

    /**
     * Create an instance of {@link VehicleLocationDetailsType }
     * 
     */
    public VehicleLocationDetailsType createVehicleLocationDetailsType() {
        return new VehicleLocationDetailsType();
    }

    /**
     * Create an instance of {@link TPAExtensionsType }
     * 
     */
    public TPAExtensionsType createTPAExtensionsType() {
        return new TPAExtensionsType();
    }

    /**
     * Create an instance of {@link CoverageLimitType }
     * 
     */
    public CoverageLimitType createCoverageLimitType() {
        return new CoverageLimitType();
    }

    /**
     * Create an instance of {@link RatePlanType.RatePlanInclusions }
     * 
     */
    public RatePlanType.RatePlanInclusions createRatePlanTypeRatePlanInclusions() {
        return new RatePlanType.RatePlanInclusions();
    }

    /**
     * Create an instance of {@link DeadlineType }
     * 
     */
    public DeadlineType createDeadlineType() {
        return new DeadlineType();
    }

    /**
     * Create an instance of {@link OTATravelItineraryReadRQ }
     * 
     */
    public OTATravelItineraryReadRQ createOTATravelItineraryReadRQ() {
        return new OTATravelItineraryReadRQ();
    }

    /**
     * Create an instance of {@link ExtrasInfoType.AdditionalInfoPrompt }
     * 
     */
    public ExtrasInfoType.AdditionalInfoPrompt createExtrasInfoTypeAdditionalInfoPrompt() {
        return new ExtrasInfoType.AdditionalInfoPrompt();
    }

    /**
     * Create an instance of {@link VehicleLocationAdditionalDetailsType.Shuttle }
     * 
     */
    public VehicleLocationAdditionalDetailsType.Shuttle createVehicleLocationAdditionalDetailsTypeShuttle() {
        return new VehicleLocationAdditionalDetailsType.Shuttle();
    }

    /**
     * Create an instance of {@link TimeInstantType }
     * 
     */
    public TimeInstantType createTimeInstantType() {
        return new TimeInstantType();
    }

    /**
     * Create an instance of {@link AdditionalGuestAmountType }
     * 
     */
    public AdditionalGuestAmountType createAdditionalGuestAmountType() {
        return new AdditionalGuestAmountType();
    }

    /**
     * Create an instance of {@link VehicleAvailVendorInfoType }
     * 
     */
    public VehicleAvailVendorInfoType createVehicleAvailVendorInfoType() {
        return new VehicleAvailVendorInfoType();
    }

    /**
     * Create an instance of {@link HotelRoomListType.RoomStays }
     * 
     */
    public HotelRoomListType.RoomStays createHotelRoomListTypeRoomStays() {
        return new HotelRoomListType.RoomStays();
    }

    /**
     * Create an instance of {@link PropertyClassPrefType }
     * 
     */
    public PropertyClassPrefType createPropertyClassPrefType() {
        return new PropertyClassPrefType();
    }

    /**
     * Create an instance of {@link ItineraryItemResponseType.Accommodation.RoomProfiles.RoomProfile.Prices }
     * 
     */
    public ItineraryItemResponseType.Accommodation.RoomProfiles.RoomProfile.Prices createItineraryItemResponseTypeAccommodationRoomProfilesRoomProfilePrices() {
        return new ItineraryItemResponseType.Accommodation.RoomProfiles.RoomProfile.Prices();
    }

    /**
     * Create an instance of {@link TravelItineraryType.CustomerInfos }
     * 
     */
    public TravelItineraryType.CustomerInfos createTravelItineraryTypeCustomerInfos() {
        return new TravelItineraryType.CustomerInfos();
    }

    /**
     * Create an instance of {@link StatisticCodeType }
     * 
     */
    public StatisticCodeType createStatisticCodeType() {
        return new StatisticCodeType();
    }

    /**
     * Create an instance of {@link InterestPrefType }
     * 
     */
    public InterestPrefType createInterestPrefType() {
        return new InterestPrefType();
    }

    /**
     * Create an instance of {@link FlightRefNumberType }
     * 
     */
    public FlightRefNumberType createFlightRefNumberType() {
        return new FlightRefNumberType();
    }

    /**
     * Create an instance of {@link WeatherInfoType }
     * 
     */
    public WeatherInfoType createWeatherInfoType() {
        return new WeatherInfoType();
    }

    /**
     * Create an instance of {@link PropertyAmenityPrefType }
     * 
     */
    public PropertyAmenityPrefType createPropertyAmenityPrefType() {
        return new PropertyAmenityPrefType();
    }

    /**
     * Create an instance of {@link LoyaltyProgramType }
     * 
     */
    public LoyaltyProgramType createLoyaltyProgramType() {
        return new LoyaltyProgramType();
    }

    /**
     * Create an instance of {@link BookingRulesType.BookingRule.AcceptableGuarantees.AcceptableGuarantee }
     * 
     */
    public BookingRulesType.BookingRule.AcceptableGuarantees.AcceptableGuarantee createBookingRulesTypeBookingRuleAcceptableGuaranteesAcceptableGuarantee() {
        return new BookingRulesType.BookingRule.AcceptableGuarantees.AcceptableGuarantee();
    }

    /**
     * Create an instance of {@link CoveredTravelerType }
     * 
     */
    public CoveredTravelerType createCoveredTravelerType() {
        return new CoveredTravelerType();
    }

    /**
     * Create an instance of {@link AirTravelerType.Telephone }
     * 
     */
    public AirTravelerType.Telephone createAirTravelerTypeTelephone() {
        return new AirTravelerType.Telephone();
    }

    /**
     * Create an instance of {@link POSType }
     * 
     */
    public POSType createPOSType() {
        return new POSType();
    }

    /**
     * Create an instance of {@link SSRPrefType }
     * 
     */
    public SSRPrefType createSSRPrefType() {
        return new SSRPrefType();
    }

    /**
     * Create an instance of {@link RoomSharesType.RoomShare }
     * 
     */
    public RoomSharesType.RoomShare createRoomSharesTypeRoomShare() {
        return new RoomSharesType.RoomShare();
    }

    /**
     * Create an instance of {@link AirTravelerType.CustLoyalty }
     * 
     */
    public AirTravelerType.CustLoyalty createAirTravelerTypeCustLoyalty() {
        return new AirTravelerType.CustLoyalty();
    }

    /**
     * Create an instance of {@link RailReservationType.TravelerNames }
     * 
     */
    public RailReservationType.TravelerNames createRailReservationTypeTravelerNames() {
        return new RailReservationType.TravelerNames();
    }

    /**
     * Create an instance of {@link HotelRoomListType.MasterAccount }
     * 
     */
    public HotelRoomListType.MasterAccount createHotelRoomListTypeMasterAccount() {
        return new HotelRoomListType.MasterAccount();
    }

    /**
     * Create an instance of {@link CountCategorySummaryType }
     * 
     */
    public CountCategorySummaryType createCountCategorySummaryType() {
        return new CountCategorySummaryType();
    }

    /**
     * Create an instance of {@link CabinClassType.AirRows }
     * 
     */
    public CabinClassType.AirRows createCabinClassTypeAirRows() {
        return new CabinClassType.AirRows();
    }

    /**
     * Create an instance of {@link PTCFareBreakdownType.TicketDesignators.TicketDesignator }
     * 
     */
    public PTCFareBreakdownType.TicketDesignators.TicketDesignator createPTCFareBreakdownTypeTicketDesignatorsTicketDesignator() {
        return new PTCFareBreakdownType.TicketDesignators.TicketDesignator();
    }

    /**
     * Create an instance of {@link RailAvailPrefsType.TransportModes }
     * 
     */
    public RailAvailPrefsType.TransportModes createRailAvailPrefsTypeTransportModes() {
        return new RailAvailPrefsType.TransportModes();
    }

    /**
     * Create an instance of {@link VehicleReservationRQCoreType }
     * 
     */
    public VehicleReservationRQCoreType createVehicleReservationRQCoreType() {
        return new VehicleReservationRQCoreType();
    }

    /**
     * Create an instance of {@link AirTravelerType.Document }
     * 
     */
    public AirTravelerType.Document createAirTravelerTypeDocument() {
        return new AirTravelerType.Document();
    }

    /**
     * Create an instance of {@link EmployerType }
     * 
     */
    public EmployerType createEmployerType() {
        return new EmployerType();
    }

    /**
     * Create an instance of {@link AcceptablePaymentCardType }
     * 
     */
    public AcceptablePaymentCardType createAcceptablePaymentCardType() {
        return new AcceptablePaymentCardType();
    }

    /**
     * Create an instance of {@link FeaturesType.Feature }
     * 
     */
    public FeaturesType.Feature createFeaturesTypeFeature() {
        return new FeaturesType.Feature();
    }

    /**
     * Create an instance of {@link OperationSchedulesPlusChargeType.OperationSchedule }
     * 
     */
    public OperationSchedulesPlusChargeType.OperationSchedule createOperationSchedulesPlusChargeTypeOperationSchedule() {
        return new OperationSchedulesPlusChargeType.OperationSchedule();
    }

    /**
     * Create an instance of {@link ExtrasInfoType.Criteria }
     * 
     */
    public ExtrasInfoType.Criteria createExtrasInfoTypeCriteria() {
        return new ExtrasInfoType.Criteria();
    }

    /**
     * Create an instance of {@link PriceRequestInformationType.NegotiatedFareCode }
     * 
     */
    public PriceRequestInformationType.NegotiatedFareCode createPriceRequestInformationTypeNegotiatedFareCode() {
        return new PriceRequestInformationType.NegotiatedFareCode();
    }

    /**
     * Create an instance of {@link FeaturesType }
     * 
     */
    public FeaturesType createFeaturesType() {
        return new FeaturesType();
    }

    /**
     * Create an instance of {@link VerificationType.ReservationTimeSpan }
     * 
     */
    public VerificationType.ReservationTimeSpan createVerificationTypeReservationTimeSpan() {
        return new VerificationType.ReservationTimeSpan();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Air.Seats.Seat }
     * 
     */
    public TravelSegmentType.Air.Seats.Seat createTravelSegmentTypeAirSeatsSeat() {
        return new TravelSegmentType.Air.Seats.Seat();
    }

    /**
     * Create an instance of {@link BasicPropertyInfoType }
     * 
     */
    public BasicPropertyInfoType createBasicPropertyInfoType() {
        return new BasicPropertyInfoType();
    }

    /**
     * Create an instance of {@link PositionType }
     * 
     */
    public PositionType createPositionType() {
        return new PositionType();
    }

    /**
     * Create an instance of {@link PaymentRulesType }
     * 
     */
    public PaymentRulesType createPaymentRulesType() {
        return new PaymentRulesType();
    }

    /**
     * Create an instance of {@link SeatAssignmentType }
     * 
     */
    public SeatAssignmentType createSeatAssignmentType() {
        return new SeatAssignmentType();
    }

    /**
     * Create an instance of {@link AccommodationDetailType }
     * 
     */
    public AccommodationDetailType createAccommodationDetailType() {
        return new AccommodationDetailType();
    }

    /**
     * Create an instance of {@link RoomStayLiteType.RatePlans }
     * 
     */
    public RoomStayLiteType.RatePlans createRoomStayLiteTypeRatePlans() {
        return new RoomStayLiteType.RatePlans();
    }

    /**
     * Create an instance of {@link InvBlockCodesType }
     * 
     */
    public InvBlockCodesType createInvBlockCodesType() {
        return new InvBlockCodesType();
    }

    /**
     * Create an instance of {@link OrganizationType.OrgMemberName }
     * 
     */
    public OrganizationType.OrgMemberName createOrganizationTypeOrgMemberName() {
        return new OrganizationType.OrgMemberName();
    }

    /**
     * Create an instance of {@link CoverageLimitType.IndividualLimit }
     * 
     */
    public CoverageLimitType.IndividualLimit createCoverageLimitTypeIndividualLimit() {
        return new CoverageLimitType.IndividualLimit();
    }

    /**
     * Create an instance of {@link VehicleLocationServicesType }
     * 
     */
    public VehicleLocationServicesType createVehicleLocationServicesType() {
        return new VehicleLocationServicesType();
    }

    /**
     * Create an instance of {@link GuestRoomType.Room }
     * 
     */
    public GuestRoomType.Room createGuestRoomTypeRoom() {
        return new GuestRoomType.Room();
    }

    /**
     * Create an instance of {@link VehicleVendorAvailabilityType.VehAvails }
     * 
     */
    public VehicleVendorAvailabilityType.VehAvails createVehicleVendorAvailabilityTypeVehAvails() {
        return new VehicleVendorAvailabilityType.VehAvails();
    }

    /**
     * Create an instance of {@link StationType }
     * 
     */
    public StationType createStationType() {
        return new StationType();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType.Fees }
     * 
     */
    public VehicleRentalTransactionType.Fees createVehicleRentalTransactionTypeFees() {
        return new VehicleRentalTransactionType.Fees();
    }

    /**
     * Create an instance of {@link AirTravelerType.FlightSegmentRPHs }
     * 
     */
    public AirTravelerType.FlightSegmentRPHs createAirTravelerTypeFlightSegmentRPHs() {
        return new AirTravelerType.FlightSegmentRPHs();
    }

    /**
     * Create an instance of {@link CabinAvailabilityType.BaggageAllowance }
     * 
     */
    public CabinAvailabilityType.BaggageAllowance createCabinAvailabilityTypeBaggageAllowance() {
        return new CabinAvailabilityType.BaggageAllowance();
    }

    /**
     * Create an instance of {@link MembershipType }
     * 
     */
    public MembershipType createMembershipType() {
        return new MembershipType();
    }

    /**
     * Create an instance of {@link VehicleChargeType }
     * 
     */
    public VehicleChargeType createVehicleChargeType() {
        return new VehicleChargeType();
    }

    /**
     * Create an instance of {@link ItineraryItemRequestType.RentalCar }
     * 
     */
    public ItineraryItemRequestType.RentalCar createItineraryItemRequestTypeRentalCar() {
        return new ItineraryItemRequestType.RentalCar();
    }

    /**
     * Create an instance of {@link DescriptionsType }
     * 
     */
    public DescriptionsType createDescriptionsType() {
        return new DescriptionsType();
    }

    /**
     * Create an instance of {@link FacilityChoicesType.AvailableRooms }
     * 
     */
    public FacilityChoicesType.AvailableRooms createFacilityChoicesTypeAvailableRooms() {
        return new FacilityChoicesType.AvailableRooms();
    }

    /**
     * Create an instance of {@link CancelRuleType }
     * 
     */
    public CancelRuleType createCancelRuleType() {
        return new CancelRuleType();
    }

    /**
     * Create an instance of {@link RuleInfoType.ResTicketingRules }
     * 
     */
    public RuleInfoType.ResTicketingRules createRuleInfoTypeResTicketingRules() {
        return new RuleInfoType.ResTicketingRules();
    }

    /**
     * Create an instance of {@link SellableProductsType.SellableProduct }
     * 
     */
    public SellableProductsType.SellableProduct createSellableProductsTypeSellableProduct() {
        return new SellableProductsType.SellableProduct();
    }

    /**
     * Create an instance of {@link TravelCostType.CostTotals }
     * 
     */
    public TravelCostType.CostTotals createTravelCostTypeCostTotals() {
        return new TravelCostType.CostTotals();
    }

    /**
     * Create an instance of {@link ConnectionType.ConnectionLocation }
     * 
     */
    public ConnectionType.ConnectionLocation createConnectionTypeConnectionLocation() {
        return new ConnectionType.ConnectionLocation();
    }

    /**
     * Create an instance of {@link AccommodationClassType }
     * 
     */
    public AccommodationClassType createAccommodationClassType() {
        return new AccommodationClassType();
    }

    /**
     * Create an instance of {@link PropertyValueMatchType }
     * 
     */
    public PropertyValueMatchType createPropertyValueMatchType() {
        return new PropertyValueMatchType();
    }

    /**
     * Create an instance of {@link RequiredPaymentsType }
     * 
     */
    public RequiredPaymentsType createRequiredPaymentsType() {
        return new RequiredPaymentsType();
    }

    /**
     * Create an instance of {@link OperationScheduleType }
     * 
     */
    public OperationScheduleType createOperationScheduleType() {
        return new OperationScheduleType();
    }

    /**
     * Create an instance of {@link PropertyValueMatchType.Amenities }
     * 
     */
    public PropertyValueMatchType.Amenities createPropertyValueMatchTypeAmenities() {
        return new PropertyValueMatchType.Amenities();
    }

    /**
     * Create an instance of {@link VehicleRentalRateType }
     * 
     */
    public VehicleRentalRateType createVehicleRentalRateType() {
        return new VehicleRentalRateType();
    }

    /**
     * Create an instance of {@link VoucherType }
     * 
     */
    public VoucherType createVoucherType() {
        return new VoucherType();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Cruise }
     * 
     */
    public TravelSegmentType.Cruise createTravelSegmentTypeCruise() {
        return new TravelSegmentType.Cruise();
    }

    /**
     * Create an instance of {@link ItineraryItemResponseType.Accommodation.MealPlans }
     * 
     */
    public ItineraryItemResponseType.Accommodation.MealPlans createItineraryItemResponseTypeAccommodationMealPlans() {
        return new ItineraryItemResponseType.Accommodation.MealPlans();
    }

    /**
     * Create an instance of {@link RevenueCategorySummariesType }
     * 
     */
    public RevenueCategorySummariesType createRevenueCategorySummariesType() {
        return new RevenueCategorySummariesType();
    }

    /**
     * Create an instance of {@link VerificationType }
     * 
     */
    public VerificationType createVerificationType() {
        return new VerificationType();
    }

    /**
     * Create an instance of {@link AddressType }
     * 
     */
    public AddressType createAddressType() {
        return new AddressType();
    }

    /**
     * Create an instance of {@link AreasType }
     * 
     */
    public AreasType createAreasType() {
        return new AreasType();
    }

    /**
     * Create an instance of {@link CoverageLimitType.Deductible }
     * 
     */
    public CoverageLimitType.Deductible createCoverageLimitTypeDeductible() {
        return new CoverageLimitType.Deductible();
    }

    /**
     * Create an instance of {@link StatisticApplicationSetType.RevenueCategorySummaries }
     * 
     */
    public StatisticApplicationSetType.RevenueCategorySummaries createStatisticApplicationSetTypeRevenueCategorySummaries() {
        return new StatisticApplicationSetType.RevenueCategorySummaries();
    }

    /**
     * Create an instance of {@link VehiclePrefType }
     * 
     */
    public VehiclePrefType createVehiclePrefType() {
        return new VehiclePrefType();
    }

    /**
     * Create an instance of {@link FacilityChoicesType.RoomPrices }
     * 
     */
    public FacilityChoicesType.RoomPrices createFacilityChoicesTypeRoomPrices() {
        return new FacilityChoicesType.RoomPrices();
    }

    /**
     * Create an instance of {@link VerificationType.PersonName }
     * 
     */
    public VerificationType.PersonName createVerificationTypePersonName() {
        return new VerificationType.PersonName();
    }

    /**
     * Create an instance of {@link PropertyValueMatchType.Amenities.Amenity }
     * 
     */
    public PropertyValueMatchType.Amenities.Amenity createPropertyValueMatchTypeAmenitiesAmenity() {
        return new PropertyValueMatchType.Amenities.Amenity();
    }

    /**
     * Create an instance of {@link TelephoneType }
     * 
     */
    public TelephoneType createTelephoneType() {
        return new TelephoneType();
    }

    /**
     * Create an instance of {@link SpecialServiceRequestType }
     * 
     */
    public SpecialServiceRequestType createSpecialServiceRequestType() {
        return new SpecialServiceRequestType();
    }

    /**
     * Create an instance of {@link RateQualifierType }
     * 
     */
    public RateQualifierType createRateQualifierType() {
        return new RateQualifierType();
    }

    /**
     * Create an instance of {@link PackageResponseType }
     * 
     */
    public PackageResponseType createPackageResponseType() {
        return new PackageResponseType();
    }

    /**
     * Create an instance of {@link VehicleAvailCoreType.PricedEquips }
     * 
     */
    public VehicleAvailCoreType.PricedEquips createVehicleAvailCoreTypePricedEquips() {
        return new VehicleAvailCoreType.PricedEquips();
    }

    /**
     * Create an instance of {@link PkgPassengerListItem.SpecialNeed }
     * 
     */
    public PkgPassengerListItem.SpecialNeed createPkgPassengerListItemSpecialNeed() {
        return new PkgPassengerListItem.SpecialNeed();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType.PickUpReturnDetails }
     * 
     */
    public VehicleRentalTransactionType.PickUpReturnDetails createVehicleRentalTransactionTypePickUpReturnDetails() {
        return new VehicleRentalTransactionType.PickUpReturnDetails();
    }

    /**
     * Create an instance of {@link PackageResponseType.Extras }
     * 
     */
    public PackageResponseType.Extras createPackageResponseTypeExtras() {
        return new PackageResponseType.Extras();
    }

    /**
     * Create an instance of {@link SecurityFeaturePrefType }
     * 
     */
    public SecurityFeaturePrefType createSecurityFeaturePrefType() {
        return new SecurityFeaturePrefType();
    }

    /**
     * Create an instance of {@link OperatingAirlineType }
     * 
     */
    public OperatingAirlineType createOperatingAirlineType() {
        return new OperatingAirlineType();
    }

    /**
     * Create an instance of {@link PlanCostType }
     * 
     */
    public PlanCostType createPlanCostType() {
        return new PlanCostType();
    }

    /**
     * Create an instance of {@link AssociatedContentType.SpecialRequestDetails }
     * 
     */
    public AssociatedContentType.SpecialRequestDetails createAssociatedContentTypeSpecialRequestDetails() {
        return new AssociatedContentType.SpecialRequestDetails();
    }

    /**
     * Create an instance of {@link MessageType.OriginalPayloadStdAttributes }
     * 
     */
    public MessageType.OriginalPayloadStdAttributes createMessageTypeOriginalPayloadStdAttributes() {
        return new MessageType.OriginalPayloadStdAttributes();
    }

    /**
     * Create an instance of {@link RateUploadType }
     * 
     */
    public RateUploadType createRateUploadType() {
        return new RateUploadType();
    }

    /**
     * Create an instance of {@link MessageType }
     * 
     */
    public MessageType createMessageType() {
        return new MessageType();
    }

    /**
     * Create an instance of {@link OriginDestinationOptionType }
     * 
     */
    public OriginDestinationOptionType createOriginDestinationOptionType() {
        return new OriginDestinationOptionType();
    }

    /**
     * Create an instance of {@link PassengerTypeQuantityType }
     * 
     */
    public PassengerTypeQuantityType createPassengerTypeQuantityType() {
        return new PassengerTypeQuantityType();
    }

    /**
     * Create an instance of {@link SourceType.BookingChannel }
     * 
     */
    public SourceType.BookingChannel createSourceTypeBookingChannel() {
        return new SourceType.BookingChannel();
    }

    /**
     * Create an instance of {@link SpecialRemarkType.AuthorizedViewers }
     * 
     */
    public SpecialRemarkType.AuthorizedViewers createSpecialRemarkTypeAuthorizedViewers() {
        return new SpecialRemarkType.AuthorizedViewers();
    }

    /**
     * Create an instance of {@link StayRestrictionsType.MinimumStay }
     * 
     */
    public StayRestrictionsType.MinimumStay createStayRestrictionsTypeMinimumStay() {
        return new StayRestrictionsType.MinimumStay();
    }

    /**
     * Create an instance of {@link RailChargesType }
     * 
     */
    public RailChargesType createRailChargesType() {
        return new RailChargesType();
    }

    /**
     * Create an instance of {@link CoveredTravelerType.CoveredPerson }
     * 
     */
    public CoveredTravelerType.CoveredPerson createCoveredTravelerTypeCoveredPerson() {
        return new CoveredTravelerType.CoveredPerson();
    }

    /**
     * Create an instance of {@link RoutingHopType.RoutingHop }
     * 
     */
    public RoutingHopType.RoutingHop createRoutingHopTypeRoutingHop() {
        return new RoutingHopType.RoutingHop();
    }

    /**
     * Create an instance of {@link ReservationItemsType }
     * 
     */
    public ReservationItemsType createReservationItemsType() {
        return new ReservationItemsType();
    }

    /**
     * Create an instance of {@link BookingClassPrefType }
     * 
     */
    public BookingClassPrefType createBookingClassPrefType() {
        return new BookingClassPrefType();
    }

    /**
     * Create an instance of {@link SourceIdentificationType }
     * 
     */
    public SourceIdentificationType createSourceIdentificationType() {
        return new SourceIdentificationType();
    }

    /**
     * Create an instance of {@link PackageType.DateRange }
     * 
     */
    public PackageType.DateRange createPackageTypeDateRange() {
        return new PackageType.DateRange();
    }

    /**
     * Create an instance of {@link SpecificFlightInfoType }
     * 
     */
    public SpecificFlightInfoType createSpecificFlightInfoType() {
        return new SpecificFlightInfoType();
    }

    /**
     * Create an instance of {@link TicketDistribPrefType }
     * 
     */
    public TicketDistribPrefType createTicketDistribPrefType() {
        return new TicketDistribPrefType();
    }

    /**
     * Create an instance of {@link RatePlanLiteType }
     * 
     */
    public RatePlanLiteType createRatePlanLiteType() {
        return new RatePlanLiteType();
    }

    /**
     * Create an instance of {@link GuestRoomType.Amenities.Amenity }
     * 
     */
    public GuestRoomType.Amenities.Amenity createGuestRoomTypeAmenitiesAmenity() {
        return new GuestRoomType.Amenities.Amenity();
    }

    /**
     * Create an instance of {@link TaxType }
     * 
     */
    public TaxType createTaxType() {
        return new TaxType();
    }

    /**
     * Create an instance of {@link BookedTrainSegmentType.SeatAssignments }
     * 
     */
    public BookedTrainSegmentType.SeatAssignments createBookedTrainSegmentTypeSeatAssignments() {
        return new BookedTrainSegmentType.SeatAssignments();
    }

    /**
     * Create an instance of {@link NamePrefType }
     * 
     */
    public NamePrefType createNamePrefType() {
        return new NamePrefType();
    }

    /**
     * Create an instance of {@link SearchTravelerType }
     * 
     */
    public SearchTravelerType createSearchTravelerType() {
        return new SearchTravelerType();
    }

    /**
     * Create an instance of {@link ReservationItemsType.SpecialRequestDetails }
     * 
     */
    public ReservationItemsType.SpecialRequestDetails createReservationItemsTypeSpecialRequestDetails() {
        return new ReservationItemsType.SpecialRequestDetails();
    }

    /**
     * Create an instance of {@link RatePlanType.MealsIncluded }
     * 
     */
    public RatePlanType.MealsIncluded createRatePlanTypeMealsIncluded() {
        return new RatePlanType.MealsIncluded();
    }

    /**
     * Create an instance of {@link AirTravelerType.Address }
     * 
     */
    public AirTravelerType.Address createAirTravelerTypeAddress() {
        return new AirTravelerType.Address();
    }

    /**
     * Create an instance of {@link RelatedTravelerType }
     * 
     */
    public RelatedTravelerType createRelatedTravelerType() {
        return new RelatedTravelerType();
    }

    /**
     * Create an instance of {@link BoundedAffiliationsType }
     * 
     */
    public BoundedAffiliationsType createBoundedAffiliationsType() {
        return new BoundedAffiliationsType();
    }

    /**
     * Create an instance of {@link TravelArrangerType }
     * 
     */
    public TravelArrangerType createTravelArrangerType() {
        return new TravelArrangerType();
    }

    /**
     * Create an instance of {@link VehicleProfileRentalPrefType }
     * 
     */
    public VehicleProfileRentalPrefType createVehicleProfileRentalPrefType() {
        return new VehicleProfileRentalPrefType();
    }

    /**
     * Create an instance of {@link ItineraryInfoType }
     * 
     */
    public ItineraryInfoType createItineraryInfoType() {
        return new ItineraryInfoType();
    }

    /**
     * Create an instance of {@link AirReservationType.Fulfillment }
     * 
     */
    public AirReservationType.Fulfillment createAirReservationTypeFulfillment() {
        return new AirReservationType.Fulfillment();
    }

    /**
     * Create an instance of {@link VehicleRentalRateType.RateRestrictions }
     * 
     */
    public VehicleRentalRateType.RateRestrictions createVehicleRentalRateTypeRateRestrictions() {
        return new VehicleRentalRateType.RateRestrictions();
    }

    /**
     * Create an instance of {@link SuccessType }
     * 
     */
    public SuccessType createSuccessType() {
        return new SuccessType();
    }

    /**
     * Create an instance of {@link VehicleCustomerType }
     * 
     */
    public VehicleCustomerType createVehicleCustomerType() {
        return new VehicleCustomerType();
    }

    /**
     * Create an instance of {@link RoomStayLiteType }
     * 
     */
    public RoomStayLiteType createRoomStayLiteType() {
        return new RoomStayLiteType();
    }

    /**
     * Create an instance of {@link PaymentDetailType.PaymentAmount }
     * 
     */
    public PaymentDetailType.PaymentAmount createPaymentDetailTypePaymentAmount() {
        return new PaymentDetailType.PaymentAmount();
    }

    /**
     * Create an instance of {@link WarningType }
     * 
     */
    public WarningType createWarningType() {
        return new WarningType();
    }

    /**
     * Create an instance of {@link org.opentravel.ota._2003._05.ProfileType }
     * 
     */
    public org.opentravel.ota._2003._05.ProfileType createProfileType() {
        return new org.opentravel.ota._2003._05.ProfileType();
    }

    /**
     * Create an instance of {@link VehicleLocationAdditionalDetailsType.VehRentLocInfos }
     * 
     */
    public VehicleLocationAdditionalDetailsType.VehRentLocInfos createVehicleLocationAdditionalDetailsTypeVehRentLocInfos() {
        return new VehicleLocationAdditionalDetailsType.VehRentLocInfos();
    }

    /**
     * Create an instance of {@link ItineraryItemResponseType.Accommodation.RoomProfiles.RoomProfile }
     * 
     */
    public ItineraryItemResponseType.Accommodation.RoomProfiles.RoomProfile createItineraryItemResponseTypeAccommodationRoomProfilesRoomProfile() {
        return new ItineraryItemResponseType.Accommodation.RoomProfiles.RoomProfile();
    }

    /**
     * Create an instance of {@link VoluntaryChangesType }
     * 
     */
    public VoluntaryChangesType createVoluntaryChangesType() {
        return new VoluntaryChangesType();
    }

    /**
     * Create an instance of {@link InsCoverageType.CoveredTravelers }
     * 
     */
    public InsCoverageType.CoveredTravelers createInsCoverageTypeCoveredTravelers() {
        return new InsCoverageType.CoveredTravelers();
    }

    /**
     * Create an instance of {@link ChargesType }
     * 
     */
    public ChargesType createChargesType() {
        return new ChargesType();
    }

    /**
     * Create an instance of {@link ExtrasType }
     * 
     */
    public ExtrasType createExtrasType() {
        return new ExtrasType();
    }

    /**
     * Create an instance of {@link CoverageLimitType.PolicyLimit }
     * 
     */
    public CoverageLimitType.PolicyLimit createCoverageLimitTypePolicyLimit() {
        return new CoverageLimitType.PolicyLimit();
    }

    /**
     * Create an instance of {@link BankAcctType }
     * 
     */
    public BankAcctType createBankAcctType() {
        return new BankAcctType();
    }

    /**
     * Create an instance of {@link GuestRoomType.Amenities }
     * 
     */
    public GuestRoomType.Amenities createGuestRoomTypeAmenities() {
        return new GuestRoomType.Amenities();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.SpecialServiceRequests.SpecialServiceRequest }
     * 
     */
    public SpecialReqDetailsType.SpecialServiceRequests.SpecialServiceRequest createSpecialReqDetailsTypeSpecialServiceRequestsSpecialServiceRequest() {
        return new SpecialReqDetailsType.SpecialServiceRequests.SpecialServiceRequest();
    }

    /**
     * Create an instance of {@link DistribPrefType }
     * 
     */
    public DistribPrefType createDistribPrefType() {
        return new DistribPrefType();
    }

    /**
     * Create an instance of {@link AirItineraryType.OriginDestinationOptions }
     * 
     */
    public AirItineraryType.OriginDestinationOptions createAirItineraryTypeOriginDestinationOptions() {
        return new AirItineraryType.OriginDestinationOptions();
    }

    /**
     * Create an instance of {@link FacilityChoicesType.AvailableMealPlans }
     * 
     */
    public FacilityChoicesType.AvailableMealPlans createFacilityChoicesTypeAvailableMealPlans() {
        return new FacilityChoicesType.AvailableMealPlans();
    }

    /**
     * Create an instance of {@link TravelSegmentType.General }
     * 
     */
    public TravelSegmentType.General createTravelSegmentTypeGeneral() {
        return new TravelSegmentType.General();
    }

    /**
     * Create an instance of {@link VehicleVendorAvailabilityType }
     * 
     */
    public VehicleVendorAvailabilityType createVehicleVendorAvailabilityType() {
        return new VehicleVendorAvailabilityType();
    }

    /**
     * Create an instance of {@link RailReservationType.PaymentRules }
     * 
     */
    public RailReservationType.PaymentRules createRailReservationTypePaymentRules() {
        return new RailReservationType.PaymentRules();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Package }
     * 
     */
    public TravelSegmentType.Package createTravelSegmentTypePackage() {
        return new TravelSegmentType.Package();
    }

    /**
     * Create an instance of {@link VehicleTaxAmountType }
     * 
     */
    public VehicleTaxAmountType createVehicleTaxAmountType() {
        return new VehicleTaxAmountType();
    }

    /**
     * Create an instance of {@link VehicleAvailCoreType.Reference }
     * 
     */
    public VehicleAvailCoreType.Reference createVehicleAvailCoreTypeReference() {
        return new VehicleAvailCoreType.Reference();
    }

    /**
     * Create an instance of {@link OriginDestinationInformationType.DestinationLocation }
     * 
     */
    public OriginDestinationInformationType.DestinationLocation createOriginDestinationInformationTypeDestinationLocation() {
        return new OriginDestinationInformationType.DestinationLocation();
    }

    /**
     * Create an instance of {@link RoomRateType.Features.Feature }
     * 
     */
    public RoomRateType.Features.Feature createRoomRateTypeFeaturesFeature() {
        return new RoomRateType.Features.Feature();
    }

    /**
     * Create an instance of {@link StatisticApplicationSetType.CountCategorySummaries }
     * 
     */
    public StatisticApplicationSetType.CountCategorySummaries createStatisticApplicationSetTypeCountCategorySummaries() {
        return new StatisticApplicationSetType.CountCategorySummaries();
    }

    /**
     * Create an instance of {@link CommentType.Comment }
     * 
     */
    public CommentType.Comment createCommentTypeComment() {
        return new CommentType.Comment();
    }

    /**
     * Create an instance of {@link AreasType.Area }
     * 
     */
    public AreasType.Area createAreasTypeArea() {
        return new AreasType.Area();
    }

    /**
     * Create an instance of {@link AirlinePrefType }
     * 
     */
    public AirlinePrefType createAirlinePrefType() {
        return new AirlinePrefType();
    }

    /**
     * Create an instance of {@link ExtrasInfoType.ExtraLocationInfo }
     * 
     */
    public ExtrasInfoType.ExtraLocationInfo createExtrasInfoTypeExtraLocationInfo() {
        return new ExtrasInfoType.ExtraLocationInfo();
    }

    /**
     * Create an instance of {@link RoomTypeType }
     * 
     */
    public RoomTypeType createRoomTypeType() {
        return new RoomTypeType();
    }

    /**
     * Create an instance of {@link RoomStayType.RoomTypes }
     * 
     */
    public RoomStayType.RoomTypes createRoomStayTypeRoomTypes() {
        return new RoomStayType.RoomTypes();
    }

    /**
     * Create an instance of {@link HotelRoomListType.MasterContact.UniqueIDs }
     * 
     */
    public HotelRoomListType.MasterContact.UniqueIDs createHotelRoomListTypeMasterContactUniqueIDs() {
        return new HotelRoomListType.MasterContact.UniqueIDs();
    }

    /**
     * Create an instance of {@link AdditionalDetailType }
     * 
     */
    public AdditionalDetailType createAdditionalDetailType() {
        return new AdditionalDetailType();
    }

    /**
     * Create an instance of {@link PersonNameType }
     * 
     */
    public PersonNameType createPersonNameType() {
        return new PersonNameType();
    }

    /**
     * Create an instance of {@link TravelSegmentType }
     * 
     */
    public TravelSegmentType createTravelSegmentType() {
        return new TravelSegmentType();
    }

    /**
     * Create an instance of {@link TripFeaturesType.Operators }
     * 
     */
    public TripFeaturesType.Operators createTripFeaturesTypeOperators() {
        return new TripFeaturesType.Operators();
    }

    /**
     * Create an instance of {@link RFPResponseDetailType.Comments }
     * 
     */
    public RFPResponseDetailType.Comments createRFPResponseDetailTypeComments() {
        return new RFPResponseDetailType.Comments();
    }

    /**
     * Create an instance of {@link CompanyNameType }
     * 
     */
    public CompanyNameType createCompanyNameType() {
        return new CompanyNameType();
    }

    /**
     * Create an instance of {@link ItemSearchCriterionType.HotelRef }
     * 
     */
    public ItemSearchCriterionType.HotelRef createItemSearchCriterionTypeHotelRef() {
        return new ItemSearchCriterionType.HotelRef();
    }

    /**
     * Create an instance of {@link AddressesType.Address }
     * 
     */
    public AddressesType.Address createAddressesTypeAddress() {
        return new AddressesType.Address();
    }

    /**
     * Create an instance of {@link WeatherInfoType.Precipitation }
     * 
     */
    public WeatherInfoType.Precipitation createWeatherInfoTypePrecipitation() {
        return new WeatherInfoType.Precipitation();
    }

    /**
     * Create an instance of {@link VehicleEquipmentType }
     * 
     */
    public VehicleEquipmentType createVehicleEquipmentType() {
        return new VehicleEquipmentType();
    }

    /**
     * Create an instance of {@link OffLocationServiceCoreType }
     * 
     */
    public OffLocationServiceCoreType createOffLocationServiceCoreType() {
        return new OffLocationServiceCoreType();
    }

    /**
     * Create an instance of {@link VoluntaryChangesType.Penalty }
     * 
     */
    public VoluntaryChangesType.Penalty createVoluntaryChangesTypePenalty() {
        return new VoluntaryChangesType.Penalty();
    }

    /**
     * Create an instance of {@link CommentType }
     * 
     */
    public CommentType createCommentType() {
        return new CommentType();
    }

    /**
     * Create an instance of {@link CustomerCountsType }
     * 
     */
    public CustomerCountsType createCustomerCountsType() {
        return new CustomerCountsType();
    }

    /**
     * Create an instance of {@link CustLoyaltyType }
     * 
     */
    public CustLoyaltyType createCustLoyaltyType() {
        return new CustLoyaltyType();
    }

    /**
     * Create an instance of {@link PkgAirSegmentType.AvailableSeats }
     * 
     */
    public PkgAirSegmentType.AvailableSeats createPkgAirSegmentTypeAvailableSeats() {
        return new PkgAirSegmentType.AvailableSeats();
    }

    /**
     * Create an instance of {@link RailReservationType.Itinerary }
     * 
     */
    public RailReservationType.Itinerary createRailReservationTypeItinerary() {
        return new RailReservationType.Itinerary();
    }

    /**
     * Create an instance of {@link FareType.UnstructuredFareCalc }
     * 
     */
    public FareType.UnstructuredFareCalc createFareTypeUnstructuredFareCalc() {
        return new FareType.UnstructuredFareCalc();
    }

    /**
     * Create an instance of {@link VehicleArrivalDetailsType }
     * 
     */
    public VehicleArrivalDetailsType createVehicleArrivalDetailsType() {
        return new VehicleArrivalDetailsType();
    }

    /**
     * Create an instance of {@link OwnInsuranceChoiceType }
     * 
     */
    public OwnInsuranceChoiceType createOwnInsuranceChoiceType() {
        return new OwnInsuranceChoiceType();
    }

    /**
     * Create an instance of {@link FareInfoType }
     * 
     */
    public FareInfoType createFareInfoType() {
        return new FareInfoType();
    }

    /**
     * Create an instance of {@link CabinAvailType }
     * 
     */
    public CabinAvailType createCabinAvailType() {
        return new CabinAvailType();
    }

    /**
     * Create an instance of {@link PaymentFormType }
     * 
     */
    public PaymentFormType createPaymentFormType() {
        return new PaymentFormType();
    }

    /**
     * Create an instance of {@link VehicleReservationSummaryType }
     * 
     */
    public VehicleReservationSummaryType createVehicleReservationSummaryType() {
        return new VehicleReservationSummaryType();
    }

    /**
     * Create an instance of {@link PlanCostType.BasePremium }
     * 
     */
    public PlanCostType.BasePremium createPlanCostTypeBasePremium() {
        return new PlanCostType.BasePremium();
    }

    /**
     * Create an instance of {@link LoyaltyPrefType }
     * 
     */
    public LoyaltyPrefType createLoyaltyPrefType() {
        return new LoyaltyPrefType();
    }

    /**
     * Create an instance of {@link AcceptablePaymentCardsInfoType.AcceptablePaymentCards }
     * 
     */
    public AcceptablePaymentCardsInfoType.AcceptablePaymentCards createAcceptablePaymentCardsInfoTypeAcceptablePaymentCards() {
        return new AcceptablePaymentCardsInfoType.AcceptablePaymentCards();
    }

    /**
     * Create an instance of {@link VehicleAvailCoreType }
     * 
     */
    public VehicleAvailCoreType createVehicleAvailCoreType() {
        return new VehicleAvailCoreType();
    }

    /**
     * Create an instance of {@link TravelItineraryType.Remarks }
     * 
     */
    public TravelItineraryType.Remarks createTravelItineraryTypeRemarks() {
        return new TravelItineraryType.Remarks();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.SeatRequests }
     * 
     */
    public SpecialReqDetailsType.SeatRequests createSpecialReqDetailsTypeSeatRequests() {
        return new SpecialReqDetailsType.SeatRequests();
    }

    /**
     * Create an instance of {@link UniqueIDType }
     * 
     */
    public UniqueIDType createUniqueIDType() {
        return new UniqueIDType();
    }

    /**
     * Create an instance of {@link PlanRestrictionType.PlanRestriction }
     * 
     */
    public PlanRestrictionType.PlanRestriction createPlanRestrictionTypePlanRestriction() {
        return new PlanRestrictionType.PlanRestriction();
    }

    /**
     * Create an instance of {@link FormattedTextType }
     * 
     */
    public FormattedTextType createFormattedTextType() {
        return new FormattedTextType();
    }

    /**
     * Create an instance of {@link VerificationType.EndLocation }
     * 
     */
    public VerificationType.EndLocation createVerificationTypeEndLocation() {
        return new VerificationType.EndLocation();
    }

    /**
     * Create an instance of {@link OtherSrvcPrefType }
     * 
     */
    public OtherSrvcPrefType createOtherSrvcPrefType() {
        return new OtherSrvcPrefType();
    }

    /**
     * Create an instance of {@link PTCFareBreakdownType.TicketDesignators }
     * 
     */
    public PTCFareBreakdownType.TicketDesignators createPTCFareBreakdownTypeTicketDesignators() {
        return new PTCFareBreakdownType.TicketDesignators();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.OtherServiceInformations.OtherServiceInformation }
     * 
     */
    public SpecialReqDetailsType.OtherServiceInformations.OtherServiceInformation createSpecialReqDetailsTypeOtherServiceInformationsOtherServiceInformation() {
        return new SpecialReqDetailsType.OtherServiceInformations.OtherServiceInformation();
    }

    /**
     * Create an instance of {@link CabinAvailType.BaggageAllowance }
     * 
     */
    public CabinAvailType.BaggageAllowance createCabinAvailTypeBaggageAllowance() {
        return new CabinAvailType.BaggageAllowance();
    }

    /**
     * Create an instance of {@link SpecialRequestType.SpecialRequest }
     * 
     */
    public SpecialRequestType.SpecialRequest createSpecialRequestTypeSpecialRequest() {
        return new SpecialRequestType.SpecialRequest();
    }

    /**
     * Create an instance of {@link VehicleSegmentCoreType.PricedEquips }
     * 
     */
    public VehicleSegmentCoreType.PricedEquips createVehicleSegmentCoreTypePricedEquips() {
        return new VehicleSegmentCoreType.PricedEquips();
    }

    /**
     * Create an instance of {@link ItemSearchCriterionType }
     * 
     */
    public ItemSearchCriterionType createItemSearchCriterionType() {
        return new ItemSearchCriterionType();
    }

    /**
     * Create an instance of {@link AddressInfoType }
     * 
     */
    public AddressInfoType createAddressInfoType() {
        return new AddressInfoType();
    }

    /**
     * Create an instance of {@link HotelReservationIDsType.HotelReservationID }
     * 
     */
    public HotelReservationIDsType.HotelReservationID createHotelReservationIDsTypeHotelReservationID() {
        return new HotelReservationIDsType.HotelReservationID();
    }

    /**
     * Create an instance of {@link SpecialRequestType }
     * 
     */
    public SpecialRequestType createSpecialRequestType() {
        return new SpecialRequestType();
    }

    /**
     * Create an instance of {@link RoomAssignmentType }
     * 
     */
    public RoomAssignmentType createRoomAssignmentType() {
        return new RoomAssignmentType();
    }

    /**
     * Create an instance of {@link VehicleReservationRQAdditionalInfoType.Reference }
     * 
     */
    public VehicleReservationRQAdditionalInfoType.Reference createVehicleReservationRQAdditionalInfoTypeReference() {
        return new VehicleReservationRQAdditionalInfoType.Reference();
    }

    /**
     * Create an instance of {@link TravelerInfoSummaryType }
     * 
     */
    public TravelerInfoSummaryType createTravelerInfoSummaryType() {
        return new TravelerInfoSummaryType();
    }

    /**
     * Create an instance of {@link ErrorType }
     * 
     */
    public ErrorType createErrorType() {
        return new ErrorType();
    }

    /**
     * Create an instance of {@link BookedTrainSegmentType.Compartments }
     * 
     */
    public BookedTrainSegmentType.Compartments createBookedTrainSegmentTypeCompartments() {
        return new BookedTrainSegmentType.Compartments();
    }

    /**
     * Create an instance of {@link PkgRoomInventoryType }
     * 
     */
    public PkgRoomInventoryType createPkgRoomInventoryType() {
        return new PkgRoomInventoryType();
    }

    /**
     * Create an instance of {@link RoomStayType }
     * 
     */
    public RoomStayType createRoomStayType() {
        return new RoomStayType();
    }

    /**
     * Create an instance of {@link AllianceConsortiumType.AllianceMember }
     * 
     */
    public AllianceConsortiumType.AllianceMember createAllianceConsortiumTypeAllianceMember() {
        return new AllianceConsortiumType.AllianceMember();
    }

    /**
     * Create an instance of {@link FareType.Taxes }
     * 
     */
    public FareType.Taxes createFareTypeTaxes() {
        return new FareType.Taxes();
    }

    /**
     * Create an instance of {@link PaymentFormType.MiscChargeOrder }
     * 
     */
    public PaymentFormType.MiscChargeOrder createPaymentFormTypeMiscChargeOrder() {
        return new PaymentFormType.MiscChargeOrder();
    }

    /**
     * Create an instance of {@link AccommodationSegmentRequestType.RoomProfiles }
     * 
     */
    public AccommodationSegmentRequestType.RoomProfiles createAccommodationSegmentRequestTypeRoomProfiles() {
        return new AccommodationSegmentRequestType.RoomProfiles();
    }

    /**
     * Create an instance of {@link ExtrasInfoType.Periods }
     * 
     */
    public ExtrasInfoType.Periods createExtrasInfoTypePeriods() {
        return new ExtrasInfoType.Periods();
    }

    /**
     * Create an instance of {@link BookingPriceInfoType }
     * 
     */
    public BookingPriceInfoType createBookingPriceInfoType() {
        return new BookingPriceInfoType();
    }

    /**
     * Create an instance of {@link TravelItinerary }
     * 
     */
    public TravelItinerary createTravelItinerary() {
        return new TravelItinerary();
    }

    /**
     * Create an instance of {@link RuleInfoType }
     * 
     */
    public RuleInfoType createRuleInfoType() {
        return new RuleInfoType();
    }

    /**
     * Create an instance of {@link HotelRoomListType.Guests.Guest }
     * 
     */
    public HotelRoomListType.Guests.Guest createHotelRoomListTypeGuestsGuest() {
        return new HotelRoomListType.Guests.Guest();
    }

    /**
     * Create an instance of {@link MealPrefType }
     * 
     */
    public MealPrefType createMealPrefType() {
        return new MealPrefType();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType.Vehicle.VehRentalDetails }
     * 
     */
    public VehicleRentalTransactionType.Vehicle.VehRentalDetails createVehicleRentalTransactionTypeVehicleVehRentalDetails() {
        return new VehicleRentalTransactionType.Vehicle.VehRentalDetails();
    }

    /**
     * Create an instance of {@link ItineraryItemResponseType }
     * 
     */
    public ItineraryItemResponseType createItineraryItemResponseType() {
        return new ItineraryItemResponseType();
    }

    /**
     * Create an instance of {@link RequiredPaymentLiteType }
     * 
     */
    public RequiredPaymentLiteType createRequiredPaymentLiteType() {
        return new RequiredPaymentLiteType();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType.PricedEquips.PricedEquip }
     * 
     */
    public VehicleRentalTransactionType.PricedEquips.PricedEquip createVehicleRentalTransactionTypePricedEquipsPricedEquip() {
        return new VehicleRentalTransactionType.PricedEquips.PricedEquip();
    }

    /**
     * Create an instance of {@link CoveragePricedType }
     * 
     */
    public CoveragePricedType createCoveragePricedType() {
        return new CoveragePricedType();
    }

    /**
     * Create an instance of {@link AirReservationType.Queues }
     * 
     */
    public AirReservationType.Queues createAirReservationTypeQueues() {
        return new AirReservationType.Queues();
    }

    /**
     * Create an instance of {@link TravelerRPHs }
     * 
     */
    public TravelerRPHs createTravelerRPHs() {
        return new TravelerRPHs();
    }

    /**
     * Create an instance of {@link PackageResponseType.ItineraryItems }
     * 
     */
    public PackageResponseType.ItineraryItems createPackageResponseTypeItineraryItems() {
        return new PackageResponseType.ItineraryItems();
    }

    /**
     * Create an instance of {@link GuestRoomType }
     * 
     */
    public GuestRoomType createGuestRoomType() {
        return new GuestRoomType();
    }

    /**
     * Create an instance of {@link AirFeeType }
     * 
     */
    public AirFeeType createAirFeeType() {
        return new AirFeeType();
    }

    /**
     * Create an instance of {@link TravelerCountType }
     * 
     */
    public TravelerCountType createTravelerCountType() {
        return new TravelerCountType();
    }

    /**
     * Create an instance of {@link RateUploadType.AdditionalGuestAmounts.AdditionalGuestAmount }
     * 
     */
    public RateUploadType.AdditionalGuestAmounts.AdditionalGuestAmount createRateUploadTypeAdditionalGuestAmountsAdditionalGuestAmount() {
        return new RateUploadType.AdditionalGuestAmounts.AdditionalGuestAmount();
    }

    /**
     * Create an instance of {@link AmountPercentType }
     * 
     */
    public AmountPercentType createAmountPercentType() {
        return new AmountPercentType();
    }

    /**
     * Create an instance of {@link PkgFlightSegmentType }
     * 
     */
    public PkgFlightSegmentType createPkgFlightSegmentType() {
        return new PkgFlightSegmentType();
    }

    /**
     * Create an instance of {@link LocationType }
     * 
     */
    public LocationType createLocationType() {
        return new LocationType();
    }

    /**
     * Create an instance of {@link AirItineraryPricingInfoType.PTCFareBreakdowns }
     * 
     */
    public AirItineraryPricingInfoType.PTCFareBreakdowns createAirItineraryPricingInfoTypePTCFareBreakdowns() {
        return new AirItineraryPricingInfoType.PTCFareBreakdowns();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.ProfileRefs }
     * 
     */
    public ViewershipsType.Viewership.ProfileRefs createViewershipsTypeViewershipProfileRefs() {
        return new ViewershipsType.Viewership.ProfileRefs();
    }

    /**
     * Create an instance of {@link RailTaxAmountType }
     * 
     */
    public RailTaxAmountType createRailTaxAmountType() {
        return new RailTaxAmountType();
    }

    /**
     * Create an instance of {@link DropTimeOffsetType }
     * 
     */
    public DropTimeOffsetType createDropTimeOffsetType() {
        return new DropTimeOffsetType();
    }

    /**
     * Create an instance of {@link AirReservationType.Queues.Queue }
     * 
     */
    public AirReservationType.Queues.Queue createAirReservationTypeQueuesQueue() {
        return new AirReservationType.Queues.Queue();
    }

    /**
     * Create an instance of {@link PhonePrefType }
     * 
     */
    public PhonePrefType createPhonePrefType() {
        return new PhonePrefType();
    }

    /**
     * Create an instance of {@link TripFeaturesType.Activities }
     * 
     */
    public TripFeaturesType.Activities createTripFeaturesTypeActivities() {
        return new TripFeaturesType.Activities();
    }

    /**
     * Create an instance of {@link HotelSearchCriterionType.Award }
     * 
     */
    public HotelSearchCriterionType.Award createHotelSearchCriterionTypeAward() {
        return new HotelSearchCriterionType.Award();
    }

    /**
     * Create an instance of {@link RailReservationType.Itinerary.OriginandDestinations }
     * 
     */
    public RailReservationType.Itinerary.OriginandDestinations createRailReservationTypeItineraryOriginandDestinations() {
        return new RailReservationType.Itinerary.OriginandDestinations();
    }

    /**
     * Create an instance of {@link ReservationItemsType.ItemPricing }
     * 
     */
    public ReservationItemsType.ItemPricing createReservationItemsTypeItemPricing() {
        return new ReservationItemsType.ItemPricing();
    }

    /**
     * Create an instance of {@link PricedItineraryType }
     * 
     */
    public PricedItineraryType createPricedItineraryType() {
        return new PricedItineraryType();
    }

    /**
     * Create an instance of {@link CancelInfoRSType }
     * 
     */
    public CancelInfoRSType createCancelInfoRSType() {
        return new CancelInfoRSType();
    }

    /**
     * Create an instance of {@link AdvResTicketingType.AdvTicketing }
     * 
     */
    public AdvResTicketingType.AdvTicketing createAdvResTicketingTypeAdvTicketing() {
        return new AdvResTicketingType.AdvTicketing();
    }

    /**
     * Create an instance of {@link StatisticApplicationSetType.StatisticCodes }
     * 
     */
    public StatisticApplicationSetType.StatisticCodes createStatisticApplicationSetTypeStatisticCodes() {
        return new StatisticApplicationSetType.StatisticCodes();
    }

    /**
     * Create an instance of {@link ItineraryItemResponseType.RentalCar }
     * 
     */
    public ItineraryItemResponseType.RentalCar createItineraryItemResponseTypeRentalCar() {
        return new ItineraryItemResponseType.RentalCar();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.ProfileTypes.ProfileType }
     * 
     */
    public ViewershipsType.Viewership.ProfileTypes.ProfileType createViewershipsTypeViewershipProfileTypesProfileType() {
        return new ViewershipsType.Viewership.ProfileTypes.ProfileType();
    }

    /**
     * Create an instance of {@link CoveredTravelerType.Beneficiary.Name }
     * 
     */
    public CoveredTravelerType.Beneficiary.Name createCoveredTravelerTypeBeneficiaryName() {
        return new CoveredTravelerType.Beneficiary.Name();
    }

    /**
     * Create an instance of {@link FareRestrictPrefType }
     * 
     */
    public FareRestrictPrefType createFareRestrictPrefType() {
        return new FareRestrictPrefType();
    }

    /**
     * Create an instance of {@link VehicleRentalDetailsType.ConditionReport }
     * 
     */
    public VehicleRentalDetailsType.ConditionReport createVehicleRentalDetailsTypeConditionReport() {
        return new VehicleRentalDetailsType.ConditionReport();
    }

    /**
     * Create an instance of {@link PetInfoPrefType }
     * 
     */
    public PetInfoPrefType createPetInfoPrefType() {
        return new PetInfoPrefType();
    }

    /**
     * Create an instance of {@link ItineraryItemResponseType.Accommodation.RoomProfiles }
     * 
     */
    public ItineraryItemResponseType.Accommodation.RoomProfiles createItineraryItemResponseTypeAccommodationRoomProfiles() {
        return new ItineraryItemResponseType.Accommodation.RoomProfiles();
    }

    /**
     * Create an instance of {@link TelephoneInfoType }
     * 
     */
    public TelephoneInfoType createTelephoneInfoType() {
        return new TelephoneInfoType();
    }

    /**
     * Create an instance of {@link EmailType }
     * 
     */
    public EmailType createEmailType() {
        return new EmailType();
    }

    /**
     * Create an instance of {@link OperationSchedulesType }
     * 
     */
    public OperationSchedulesType createOperationSchedulesType() {
        return new OperationSchedulesType();
    }

    /**
     * Create an instance of {@link TripFeaturesType.Destinations }
     * 
     */
    public TripFeaturesType.Destinations createTripFeaturesTypeDestinations() {
        return new TripFeaturesType.Destinations();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.ProfileTypes }
     * 
     */
    public ViewershipsType.Viewership.ProfileTypes createViewershipsTypeViewershipProfileTypes() {
        return new ViewershipsType.Viewership.ProfileTypes();
    }

    /**
     * Create an instance of {@link AirportPrefType }
     * 
     */
    public AirportPrefType createAirportPrefType() {
        return new AirportPrefType();
    }

    /**
     * Create an instance of {@link GuestRoomType.Quantities }
     * 
     */
    public GuestRoomType.Quantities createGuestRoomTypeQuantities() {
        return new GuestRoomType.Quantities();
    }

    /**
     * Create an instance of {@link MeetingRoomsType.MeetingRoom.Codes }
     * 
     */
    public MeetingRoomsType.MeetingRoom.Codes createMeetingRoomsTypeMeetingRoomCodes() {
        return new MeetingRoomsType.MeetingRoom.Codes();
    }

    /**
     * Create an instance of {@link HotelPrefType }
     * 
     */
    public HotelPrefType createHotelPrefType() {
        return new HotelPrefType();
    }

    /**
     * Create an instance of {@link VehicleChargeType.TaxAmounts }
     * 
     */
    public VehicleChargeType.TaxAmounts createVehicleChargeTypeTaxAmounts() {
        return new VehicleChargeType.TaxAmounts();
    }

    /**
     * Create an instance of {@link VehicleEquipmentPrefType }
     * 
     */
    public VehicleEquipmentPrefType createVehicleEquipmentPrefType() {
        return new VehicleEquipmentPrefType();
    }

    /**
     * Create an instance of {@link AccommodationSegmentRequestType.MealPlans }
     * 
     */
    public AccommodationSegmentRequestType.MealPlans createAccommodationSegmentRequestTypeMealPlans() {
        return new AccommodationSegmentRequestType.MealPlans();
    }

    /**
     * Create an instance of {@link SpecialReqDetailsType.SpecialRemarks }
     * 
     */
    public SpecialReqDetailsType.SpecialRemarks createSpecialReqDetailsTypeSpecialRemarks() {
        return new SpecialReqDetailsType.SpecialRemarks();
    }

    /**
     * Create an instance of {@link ErrorsType }
     * 
     */
    public ErrorsType createErrorsType() {
        return new ErrorsType();
    }

    /**
     * Create an instance of {@link AirItineraryPricingInfoType }
     * 
     */
    public AirItineraryPricingInfoType createAirItineraryPricingInfoType() {
        return new AirItineraryPricingInfoType();
    }

    /**
     * Create an instance of {@link VehicleSegmentCoreType }
     * 
     */
    public VehicleSegmentCoreType createVehicleSegmentCoreType() {
        return new VehicleSegmentCoreType();
    }

    /**
     * Create an instance of {@link TransportationsType.Transportations.Transportation }
     * 
     */
    public TransportationsType.Transportations.Transportation createTransportationsTypeTransportationsTransportation() {
        return new TransportationsType.Transportations.Transportation();
    }

    /**
     * Create an instance of {@link MeetingRoomsType.MeetingRoom.AvailableCapacities }
     * 
     */
    public MeetingRoomsType.MeetingRoom.AvailableCapacities createMeetingRoomsTypeMeetingRoomAvailableCapacities() {
        return new MeetingRoomsType.MeetingRoom.AvailableCapacities();
    }

    /**
     * Create an instance of {@link PersonalInsuranceItemType }
     * 
     */
    public PersonalInsuranceItemType createPersonalInsuranceItemType() {
        return new PersonalInsuranceItemType();
    }

    /**
     * Create an instance of {@link RPHPrefType }
     * 
     */
    public RPHPrefType createRPHPrefType() {
        return new RPHPrefType();
    }

    /**
     * Create an instance of {@link FlightSegmentBaseType }
     * 
     */
    public FlightSegmentBaseType createFlightSegmentBaseType() {
        return new FlightSegmentBaseType();
    }

    /**
     * Create an instance of {@link AdditionalDetailsType }
     * 
     */
    public AdditionalDetailsType createAdditionalDetailsType() {
        return new AdditionalDetailsType();
    }

    /**
     * Create an instance of {@link WeatherInfoType.Temperature }
     * 
     */
    public WeatherInfoType.Temperature createWeatherInfoTypeTemperature() {
        return new WeatherInfoType.Temperature();
    }

    /**
     * Create an instance of {@link PackageType.ItineraryItems }
     * 
     */
    public PackageType.ItineraryItems createPackageTypeItineraryItems() {
        return new PackageType.ItineraryItems();
    }

    /**
     * Create an instance of {@link GuaranteeType }
     * 
     */
    public GuaranteeType createGuaranteeType() {
        return new GuaranteeType();
    }

    /**
     * Create an instance of {@link VehicleVendorAvailabilityType.VehAvails.VehAvail }
     * 
     */
    public VehicleVendorAvailabilityType.VehAvails.VehAvail createVehicleVendorAvailabilityTypeVehAvailsVehAvail() {
        return new VehicleVendorAvailabilityType.VehAvails.VehAvail();
    }

    /**
     * Create an instance of {@link CustomerInfoType }
     * 
     */
    public CustomerInfoType createCustomerInfoType() {
        return new CustomerInfoType();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.LocationCodes.LocationCode }
     * 
     */
    public ViewershipsType.Viewership.LocationCodes.LocationCode createViewershipsTypeViewershipLocationCodesLocationCode() {
        return new ViewershipsType.Viewership.LocationCodes.LocationCode();
    }

    /**
     * Create an instance of {@link CustomerType }
     * 
     */
    public CustomerType createCustomerType() {
        return new CustomerType();
    }

    /**
     * Create an instance of {@link VehicleAvailAdditionalInfoType }
     * 
     */
    public VehicleAvailAdditionalInfoType createVehicleAvailAdditionalInfoType() {
        return new VehicleAvailAdditionalInfoType();
    }

    /**
     * Create an instance of {@link VehicleRentalCoreType }
     * 
     */
    public VehicleRentalCoreType createVehicleRentalCoreType() {
        return new VehicleRentalCoreType();
    }

    /**
     * Create an instance of {@link ParagraphType }
     * 
     */
    public ParagraphType createParagraphType() {
        return new ParagraphType();
    }

    /**
     * Create an instance of {@link VehicleSegmentAdditionalInfoType.PricedCoverages }
     * 
     */
    public VehicleSegmentAdditionalInfoType.PricedCoverages createVehicleSegmentAdditionalInfoTypePricedCoverages() {
        return new VehicleSegmentAdditionalInfoType.PricedCoverages();
    }

    /**
     * Create an instance of {@link HotelSearchCriteriaType }
     * 
     */
    public HotelSearchCriteriaType createHotelSearchCriteriaType() {
        return new HotelSearchCriteriaType();
    }

    /**
     * Create an instance of {@link RowDetailsType.AirSeats.AirSeat }
     * 
     */
    public RowDetailsType.AirSeats.AirSeat createRowDetailsTypeAirSeatsAirSeat() {
        return new RowDetailsType.AirSeats.AirSeat();
    }

    /**
     * Create an instance of {@link RoomStayLiteType.RoomRates }
     * 
     */
    public RoomStayLiteType.RoomRates createRoomStayLiteTypeRoomRates() {
        return new RoomStayLiteType.RoomRates();
    }

    /**
     * Create an instance of {@link HotelRoomListType.MasterContact }
     * 
     */
    public HotelRoomListType.MasterContact createHotelRoomListTypeMasterContact() {
        return new HotelRoomListType.MasterContact();
    }

    /**
     * Create an instance of {@link PreferencesType }
     * 
     */
    public PreferencesType createPreferencesType() {
        return new PreferencesType();
    }

    /**
     * Create an instance of {@link TravelDateTimeType }
     * 
     */
    public TravelDateTimeType createTravelDateTimeType() {
        return new TravelDateTimeType();
    }

    /**
     * Create an instance of {@link FareType.Fees }
     * 
     */
    public FareType.Fees createFareTypeFees() {
        return new FareType.Fees();
    }

    /**
     * Create an instance of {@link BookingRulesType.BookingRule }
     * 
     */
    public BookingRulesType.BookingRule createBookingRulesTypeBookingRule() {
        return new BookingRulesType.BookingRule();
    }

    /**
     * Create an instance of {@link VehicleCoveragePrefType }
     * 
     */
    public VehicleCoveragePrefType createVehicleCoveragePrefType() {
        return new VehicleCoveragePrefType();
    }

    /**
     * Create an instance of {@link PackageResponseType.Cautions }
     * 
     */
    public PackageResponseType.Cautions createPackageResponseTypeCautions() {
        return new PackageResponseType.Cautions();
    }

    /**
     * Create an instance of {@link ProductDescriptionsType }
     * 
     */
    public ProductDescriptionsType createProductDescriptionsType() {
        return new ProductDescriptionsType();
    }

    /**
     * Create an instance of {@link RailAmenityType }
     * 
     */
    public RailAmenityType createRailAmenityType() {
        return new RailAmenityType();
    }

    /**
     * Create an instance of {@link StatisticType }
     * 
     */
    public StatisticType createStatisticType() {
        return new StatisticType();
    }

    /**
     * Create an instance of {@link AirSearchPrefsType.TicketDistribPref }
     * 
     */
    public AirSearchPrefsType.TicketDistribPref createAirSearchPrefsTypeTicketDistribPref() {
        return new AirSearchPrefsType.TicketDistribPref();
    }

    /**
     * Create an instance of {@link CustomerPrimaryAdditionalType }
     * 
     */
    public CustomerPrimaryAdditionalType createCustomerPrimaryAdditionalType() {
        return new CustomerPrimaryAdditionalType();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue }
     * 
     */
    public IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue createIndCoverageReqsTypeCoveredLuggageLuggageItemItemDeclaredValue() {
        return new IndCoverageReqsType.CoveredLuggage.LuggageItem.ItemDeclaredValue();
    }

    /**
     * Create an instance of {@link StatisticsType }
     * 
     */
    public StatisticsType createStatisticsType() {
        return new StatisticsType();
    }

    /**
     * Create an instance of {@link EquipmentType }
     * 
     */
    public EquipmentType createEquipmentType() {
        return new EquipmentType();
    }

    /**
     * Create an instance of {@link FareType }
     * 
     */
    public FareType createFareType() {
        return new FareType();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.Profiles }
     * 
     */
    public ViewershipsType.Viewership.Profiles createViewershipsTypeViewershipProfiles() {
        return new ViewershipsType.Viewership.Profiles();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.ViewershipCodes }
     * 
     */
    public ViewershipsType.Viewership.ViewershipCodes createViewershipsTypeViewershipViewershipCodes() {
        return new ViewershipsType.Viewership.ViewershipCodes();
    }

    /**
     * Create an instance of {@link OperationSchedulePlusChargeType }
     * 
     */
    public OperationSchedulePlusChargeType createOperationSchedulePlusChargeType() {
        return new OperationSchedulePlusChargeType();
    }

    /**
     * Create an instance of {@link TravelSegmentType.Hotel }
     * 
     */
    public TravelSegmentType.Hotel createTravelSegmentTypeHotel() {
        return new TravelSegmentType.Hotel();
    }

    /**
     * Create an instance of {@link FareType.BaseFare }
     * 
     */
    public FareType.BaseFare createFareTypeBaseFare() {
        return new FareType.BaseFare();
    }

    /**
     * Create an instance of {@link RevenueCategorySummaryType }
     * 
     */
    public RevenueCategorySummaryType createRevenueCategorySummaryType() {
        return new RevenueCategorySummaryType();
    }

    /**
     * Create an instance of {@link RestrictionStatusType }
     * 
     */
    public RestrictionStatusType createRestrictionStatusType() {
        return new RestrictionStatusType();
    }

    /**
     * Create an instance of {@link InsCoverageDetailType.TotalTripQuantity }
     * 
     */
    public InsCoverageDetailType.TotalTripQuantity createInsCoverageDetailTypeTotalTripQuantity() {
        return new InsCoverageDetailType.TotalTripQuantity();
    }

    /**
     * Create an instance of {@link DistanceAttributesType }
     * 
     */
    public DistanceAttributesType createDistanceAttributesType() {
        return new DistanceAttributesType();
    }

    /**
     * Create an instance of {@link BasicPropertyInfoType.Award }
     * 
     */
    public BasicPropertyInfoType.Award createBasicPropertyInfoTypeAward() {
        return new BasicPropertyInfoType.Award();
    }

    /**
     * Create an instance of {@link SelectedLoyaltyType }
     * 
     */
    public SelectedLoyaltyType createSelectedLoyaltyType() {
        return new SelectedLoyaltyType();
    }

    /**
     * Create an instance of {@link TripFeaturesType }
     * 
     */
    public TripFeaturesType createTripFeaturesType() {
        return new TripFeaturesType();
    }

    /**
     * Create an instance of {@link CabinClassType }
     * 
     */
    public CabinClassType createCabinClassType() {
        return new CabinClassType();
    }

    /**
     * Create an instance of {@link MeetingRoomsType }
     * 
     */
    public MeetingRoomsType createMeetingRoomsType() {
        return new MeetingRoomsType();
    }

    /**
     * Create an instance of {@link PaymentFormType.LoyaltyRedemption }
     * 
     */
    public PaymentFormType.LoyaltyRedemption createPaymentFormTypeLoyaltyRedemption() {
        return new PaymentFormType.LoyaltyRedemption();
    }

    /**
     * Create an instance of {@link CoverageType }
     * 
     */
    public CoverageType createCoverageType() {
        return new CoverageType();
    }

    /**
     * Create an instance of {@link AccessesType }
     * 
     */
    public AccessesType createAccessesType() {
        return new AccessesType();
    }

    /**
     * Create an instance of {@link URLType }
     * 
     */
    public URLType createURLType() {
        return new URLType();
    }

    /**
     * Create an instance of {@link FormattedTextTextType }
     * 
     */
    public FormattedTextTextType createFormattedTextTextType() {
        return new FormattedTextTextType();
    }

    /**
     * Create an instance of {@link PersonalSrvcPrefType }
     * 
     */
    public PersonalSrvcPrefType createPersonalSrvcPrefType() {
        return new PersonalSrvcPrefType();
    }

    /**
     * Create an instance of {@link DateTimeSpanType }
     * 
     */
    public DateTimeSpanType createDateTimeSpanType() {
        return new DateTimeSpanType();
    }

    /**
     * Create an instance of {@link PlanRestrictionType }
     * 
     */
    public PlanRestrictionType createPlanRestrictionType() {
        return new PlanRestrictionType();
    }

    /**
     * Create an instance of {@link InsCoverageDetailType.CoveredTrips }
     * 
     */
    public InsCoverageDetailType.CoveredTrips createInsCoverageDetailTypeCoveredTrips() {
        return new InsCoverageDetailType.CoveredTrips();
    }

    /**
     * Create an instance of {@link VendorMessagesType }
     * 
     */
    public VendorMessagesType createVendorMessagesType() {
        return new VendorMessagesType();
    }

    /**
     * Create an instance of {@link LengthsOfStayType.LengthOfStay.LOSPattern }
     * 
     */
    public LengthsOfStayType.LengthOfStay.LOSPattern createLengthsOfStayTypeLengthOfStayLOSPattern() {
        return new LengthsOfStayType.LengthOfStay.LOSPattern();
    }

    /**
     * Create an instance of {@link VehicleRentalTransactionType.PricedEquips }
     * 
     */
    public VehicleRentalTransactionType.PricedEquips createVehicleRentalTransactionTypePricedEquips() {
        return new VehicleRentalTransactionType.PricedEquips();
    }

    /**
     * Create an instance of {@link ItinPricingType }
     * 
     */
    public ItinPricingType createItinPricingType() {
        return new ItinPricingType();
    }

    /**
     * Create an instance of {@link RateQualifierType.RateComments }
     * 
     */
    public RateQualifierType.RateComments createRateQualifierTypeRateComments() {
        return new RateQualifierType.RateComments();
    }

    /**
     * Create an instance of {@link ViewershipsType.Viewership.LocationCodes }
     * 
     */
    public ViewershipsType.Viewership.LocationCodes createViewershipsTypeViewershipLocationCodes() {
        return new ViewershipsType.Viewership.LocationCodes();
    }

    /**
     * Create an instance of {@link InsuranceCustomerType }
     * 
     */
    public InsuranceCustomerType createInsuranceCustomerType() {
        return new InsuranceCustomerType();
    }

    /**
     * Create an instance of {@link IndCoverageReqsType.FlightAccidentAmount }
     * 
     */
    public IndCoverageReqsType.FlightAccidentAmount createIndCoverageReqsTypeFlightAccidentAmount() {
        return new IndCoverageReqsType.FlightAccidentAmount();
    }

    /**
     * Create an instance of {@link BedTypePrefType }
     * 
     */
    public BedTypePrefType createBedTypePrefType() {
        return new BedTypePrefType();
    }

    /**
     * Create an instance of {@link FlightTypePrefType }
     * 
     */
    public FlightTypePrefType createFlightTypePrefType() {
        return new FlightTypePrefType();
    }

    /**
     * Create an instance of {@link FreeTextType }
     * 
     */
    public FreeTextType createFreeTextType() {
        return new FreeTextType();
    }

    /**
     * Create an instance of {@link SeatPrefType }
     * 
     */
    public SeatPrefType createSeatPrefType() {
        return new SeatPrefType();
    }

    /**
     * Create an instance of {@link CancelPenaltiesType }
     * 
     */
    public CancelPenaltiesType createCancelPenaltiesType() {
        return new CancelPenaltiesType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TPAExtensionsType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.opentravel.org/OTA/2003/05", name = "TPA_Extensions")
    public JAXBElement<TPAExtensionsType> createTPAExtensions(TPAExtensionsType value) {
        return new JAXBElement<TPAExtensionsType>(_TPAExtensions_QNAME, TPAExtensionsType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.opentravel.org/OTA/2003/05", name = "CancellationStatus")
    public JAXBElement<Boolean> createCancellationStatus(Boolean value) {
        return new JAXBElement<Boolean>(_CancellationStatus_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParagraphType.ListItem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.opentravel.org/OTA/2003/05", name = "ListItem", scope = ParagraphType.class)
    public JAXBElement<ParagraphType.ListItem> createParagraphTypeListItem(ParagraphType.ListItem value) {
        return new JAXBElement<ParagraphType.ListItem>(_ParagraphTypeListItem_QNAME, ParagraphType.ListItem.class, ParagraphType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FormattedTextTextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.opentravel.org/OTA/2003/05", name = "Text", scope = ParagraphType.class)
    public JAXBElement<FormattedTextTextType> createParagraphTypeText(FormattedTextTextType value) {
        return new JAXBElement<FormattedTextTextType>(_ParagraphTypeText_QNAME, FormattedTextTextType.class, ParagraphType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.opentravel.org/OTA/2003/05", name = "Image", scope = ParagraphType.class)
    public JAXBElement<String> createParagraphTypeImage(String value) {
        return new JAXBElement<String>(_ParagraphTypeImage_QNAME, String.class, ParagraphType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.opentravel.org/OTA/2003/05", name = "URL", scope = ParagraphType.class)
    public JAXBElement<String> createParagraphTypeURL(String value) {
        return new JAXBElement<String>(_ParagraphTypeURL_QNAME, String.class, ParagraphType.class, value);
    }

}
