
package org.opentravel.ota._2003._05;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for ProximityType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ProximityType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="onsite"/>
 *     &lt;enumeration value="offsite"/>
 *     &lt;enumeration value="nearby"/>
 *     &lt;enumeration value="information not available"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum ProximityType {

    @XmlEnumValue("onsite")
    ONSITE("onsite"),
    @XmlEnumValue("offsite")
    OFFSITE("offsite"),
    @XmlEnumValue("nearby")
    NEARBY("nearby"),
    @XmlEnumValue("information not available")
    INFORMATION_NOT_AVAILABLE("information not available");
    private final String value;

    ProximityType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ProximityType fromValue(String v) {
        for (ProximityType c: ProximityType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
