
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Collection of insurance coverage requirements from the individuals requesting coverage.
 * 
 * <p>Java class for RequestedCoveragesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequestedCoveragesType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="CoverageRequirement" type="{http://www.opentravel.org/OTA/2003/05}CoverageLimitType" maxOccurs="20"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestedCoveragesType", propOrder = {
    "coverageRequirement"
})
public class RequestedCoveragesType {

    @XmlElement(name = "CoverageRequirement", required = true)
    protected List<CoverageLimitType> coverageRequirement;

    /**
     * Gets the value of the coverageRequirement property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the coverageRequirement property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCoverageRequirement().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CoverageLimitType }
     * 
     * 
     */
    public List<CoverageLimitType> getCoverageRequirement() {
        if (coverageRequirement == null) {
            coverageRequirement = new ArrayList<CoverageLimitType>();
        }
        return this.coverageRequirement;
    }

}
