
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Gives a total price and prices by traveler type for a room occupancy combination e.g. 2 adults and 2 children
 * 
 * <p>Java class for RoomPriceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RoomPriceType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="GuestCounts" type="{http://www.opentravel.org/OTA/2003/05}GuestCountType" maxOccurs="5" minOccurs="0"/>
 *         &lt;element name="ItemPrice" type="{http://www.opentravel.org/OTA/2003/05}CostingItemType" maxOccurs="5" minOccurs="0"/>
 *         &lt;element name="ProfilePrice" type="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="Code" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to16" />
 *       &lt;attribute name="RoomRPH" type="{http://www.opentravel.org/OTA/2003/05}RPH_Type" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RoomPriceType", propOrder = {
    "guestCounts",
    "itemPrice",
    "profilePrice"
})
public class RoomPriceType {

    @XmlElement(name = "GuestCounts")
    protected List<GuestCountType> guestCounts;
    @XmlElement(name = "ItemPrice")
    protected List<CostingItemType> itemPrice;
    @XmlElement(name = "ProfilePrice")
    protected CurrencyAmountType profilePrice;
    @XmlAttribute(name = "Code")
    protected String code;
    @XmlAttribute(name = "RoomRPH")
    protected String roomRPH;

    /**
     * Gets the value of the guestCounts property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the guestCounts property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGuestCounts().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GuestCountType }
     * 
     * 
     */
    public List<GuestCountType> getGuestCounts() {
        if (guestCounts == null) {
            guestCounts = new ArrayList<GuestCountType>();
        }
        return this.guestCounts;
    }

    /**
     * Gets the value of the itemPrice property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the itemPrice property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getItemPrice().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CostingItemType }
     * 
     * 
     */
    public List<CostingItemType> getItemPrice() {
        if (itemPrice == null) {
            itemPrice = new ArrayList<CostingItemType>();
        }
        return this.itemPrice;
    }

    /**
     * Gets the value of the profilePrice property.
     * 
     * @return
     *     possible object is
     *     {@link CurrencyAmountType }
     *     
     */
    public CurrencyAmountType getProfilePrice() {
        return profilePrice;
    }

    /**
     * Sets the value of the profilePrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link CurrencyAmountType }
     *     
     */
    public void setProfilePrice(CurrencyAmountType value) {
        this.profilePrice = value;
    }

    /**
     * Gets the value of the code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode() {
        return code;
    }

    /**
     * Sets the value of the code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode(String value) {
        this.code = value;
    }

    /**
     * Gets the value of the roomRPH property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoomRPH() {
        return roomRPH;
    }

    /**
     * Sets the value of the roomRPH property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoomRPH(String value) {
        this.roomRPH = value;
    }

}
