
package org.opentravel.ota._2003._05;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * The StationType complex type defines information used to fully describe a station.
 * 
 * <p>Java class for StationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StationType">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;http://www.opentravel.org/OTA/2003/05>LocationType">
 *       &lt;attribute name="SST_Machine" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="Staffed" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="TicketPrinter" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="USTimeZone" type="{http://www.opentravel.org/OTA/2003/05}USTimeZoneType" />
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StationType")
public class StationType
    extends LocationType
{

    @XmlAttribute(name = "SST_Machine")
    protected Boolean sstMachine;
    @XmlAttribute(name = "Staffed")
    protected Boolean staffed;
    @XmlAttribute(name = "TicketPrinter")
    protected Boolean ticketPrinter;
    @XmlAttribute(name = "USTimeZone")
    protected USTimeZoneType usTimeZone;

    /**
     * Gets the value of the sstMachine property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSSTMachine() {
        return sstMachine;
    }

    /**
     * Sets the value of the sstMachine property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSSTMachine(Boolean value) {
        this.sstMachine = value;
    }

    /**
     * Gets the value of the staffed property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isStaffed() {
        return staffed;
    }

    /**
     * Sets the value of the staffed property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setStaffed(Boolean value) {
        this.staffed = value;
    }

    /**
     * Gets the value of the ticketPrinter property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isTicketPrinter() {
        return ticketPrinter;
    }

    /**
     * Sets the value of the ticketPrinter property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setTicketPrinter(Boolean value) {
        this.ticketPrinter = value;
    }

    /**
     * Gets the value of the usTimeZone property.
     * 
     * @return
     *     possible object is
     *     {@link USTimeZoneType }
     *     
     */
    public USTimeZoneType getUSTimeZone() {
        return usTimeZone;
    }

    /**
     * Sets the value of the usTimeZone property.
     * 
     * @param value
     *     allowed object is
     *     {@link USTimeZoneType }
     *     
     */
    public void setUSTimeZone(USTimeZoneType value) {
        this.usTimeZone = value;
    }

}
