
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Includes the statistic data reported and the codes for which it has been aggregated, if applicable. The applicable date range for the data is defined in its attributes.
 * 
 * <p>Java class for StatisticApplicationSetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StatisticApplicationSetType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="StatisticCodes" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="StatisticCode" type="{http://www.opentravel.org/OTA/2003/05}StatisticCodeType" maxOccurs="5"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="RevenueCategorySummaries" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="RevenueCategorySummary" type="{http://www.opentravel.org/OTA/2003/05}RevenueCategorySummaryType" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="CountCategorySummaries" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="CountCategorySummary" type="{http://www.opentravel.org/OTA/2003/05}CountCategorySummaryType" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="ReportSummaries" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="ReportSummary" type="{http://www.opentravel.org/OTA/2003/05}ParagraphType" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}DateTimeSpanGroup"/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StatisticApplicationSetType", propOrder = {
    "statisticCodes",
    "revenueCategorySummaries",
    "countCategorySummaries",
    "reportSummaries"
})
public class StatisticApplicationSetType {

    @XmlElement(name = "StatisticCodes")
    protected StatisticApplicationSetType.StatisticCodes statisticCodes;
    @XmlElement(name = "RevenueCategorySummaries")
    protected StatisticApplicationSetType.RevenueCategorySummaries revenueCategorySummaries;
    @XmlElement(name = "CountCategorySummaries")
    protected StatisticApplicationSetType.CountCategorySummaries countCategorySummaries;
    @XmlElement(name = "ReportSummaries")
    protected StatisticApplicationSetType.ReportSummaries reportSummaries;
    @XmlAttribute(name = "Duration")
    protected String duration;
    @XmlAttribute(name = "End")
    protected String end;
    @XmlAttribute(name = "Start")
    protected String start;

    /**
     * Gets the value of the statisticCodes property.
     * 
     * @return
     *     possible object is
     *     {@link StatisticApplicationSetType.StatisticCodes }
     *     
     */
    public StatisticApplicationSetType.StatisticCodes getStatisticCodes() {
        return statisticCodes;
    }

    /**
     * Sets the value of the statisticCodes property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatisticApplicationSetType.StatisticCodes }
     *     
     */
    public void setStatisticCodes(StatisticApplicationSetType.StatisticCodes value) {
        this.statisticCodes = value;
    }

    /**
     * Gets the value of the revenueCategorySummaries property.
     * 
     * @return
     *     possible object is
     *     {@link StatisticApplicationSetType.RevenueCategorySummaries }
     *     
     */
    public StatisticApplicationSetType.RevenueCategorySummaries getRevenueCategorySummaries() {
        return revenueCategorySummaries;
    }

    /**
     * Sets the value of the revenueCategorySummaries property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatisticApplicationSetType.RevenueCategorySummaries }
     *     
     */
    public void setRevenueCategorySummaries(StatisticApplicationSetType.RevenueCategorySummaries value) {
        this.revenueCategorySummaries = value;
    }

    /**
     * Gets the value of the countCategorySummaries property.
     * 
     * @return
     *     possible object is
     *     {@link StatisticApplicationSetType.CountCategorySummaries }
     *     
     */
    public StatisticApplicationSetType.CountCategorySummaries getCountCategorySummaries() {
        return countCategorySummaries;
    }

    /**
     * Sets the value of the countCategorySummaries property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatisticApplicationSetType.CountCategorySummaries }
     *     
     */
    public void setCountCategorySummaries(StatisticApplicationSetType.CountCategorySummaries value) {
        this.countCategorySummaries = value;
    }

    /**
     * Gets the value of the reportSummaries property.
     * 
     * @return
     *     possible object is
     *     {@link StatisticApplicationSetType.ReportSummaries }
     *     
     */
    public StatisticApplicationSetType.ReportSummaries getReportSummaries() {
        return reportSummaries;
    }

    /**
     * Sets the value of the reportSummaries property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatisticApplicationSetType.ReportSummaries }
     *     
     */
    public void setReportSummaries(StatisticApplicationSetType.ReportSummaries value) {
        this.reportSummaries = value;
    }

    /**
     * Gets the value of the duration property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDuration() {
        return duration;
    }

    /**
     * Sets the value of the duration property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDuration(String value) {
        this.duration = value;
    }

    /**
     * Gets the value of the end property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEnd() {
        return end;
    }

    /**
     * Sets the value of the end property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEnd(String value) {
        this.end = value;
    }

    /**
     * Gets the value of the start property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStart() {
        return start;
    }

    /**
     * Sets the value of the start property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStart(String value) {
        this.start = value;
    }


    /**
     * A collection of CountCategorySummaryType elements.
     * 
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="CountCategorySummary" type="{http://www.opentravel.org/OTA/2003/05}CountCategorySummaryType" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "countCategorySummary"
    })
    public static class CountCategorySummaries {

        @XmlElement(name = "CountCategorySummary", required = true)
        protected List<CountCategorySummaryType> countCategorySummary;

        /**
         * Gets the value of the countCategorySummary property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the countCategorySummary property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCountCategorySummary().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link CountCategorySummaryType }
         * 
         * 
         */
        public List<CountCategorySummaryType> getCountCategorySummary() {
            if (countCategorySummary == null) {
                countCategorySummary = new ArrayList<CountCategorySummaryType>();
            }
            return this.countCategorySummary;
        }

    }


    /**
     * Container for ReportSummary elements of type ParagraphType.
     * 
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ReportSummary" type="{http://www.opentravel.org/OTA/2003/05}ParagraphType" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "reportSummary"
    })
    public static class ReportSummaries {

        @XmlElement(name = "ReportSummary", required = true)
        protected List<ParagraphType> reportSummary;

        /**
         * Gets the value of the reportSummary property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the reportSummary property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getReportSummary().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ParagraphType }
         * 
         * 
         */
        public List<ParagraphType> getReportSummary() {
            if (reportSummary == null) {
                reportSummary = new ArrayList<ParagraphType>();
            }
            return this.reportSummary;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="RevenueCategorySummary" type="{http://www.opentravel.org/OTA/2003/05}RevenueCategorySummaryType" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "revenueCategorySummary"
    })
    public static class RevenueCategorySummaries {

        @XmlElement(name = "RevenueCategorySummary", required = true)
        protected List<RevenueCategorySummaryType> revenueCategorySummary;

        /**
         * Gets the value of the revenueCategorySummary property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the revenueCategorySummary property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRevenueCategorySummary().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RevenueCategorySummaryType }
         * 
         * 
         */
        public List<RevenueCategorySummaryType> getRevenueCategorySummary() {
            if (revenueCategorySummary == null) {
                revenueCategorySummary = new ArrayList<RevenueCategorySummaryType>();
            }
            return this.revenueCategorySummary;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="StatisticCode" type="{http://www.opentravel.org/OTA/2003/05}StatisticCodeType" maxOccurs="5"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "statisticCode"
    })
    public static class StatisticCodes {

        @XmlElement(name = "StatisticCode", required = true)
        protected List<StatisticCodeType> statisticCode;

        /**
         * Gets the value of the statisticCode property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the statisticCode property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getStatisticCode().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StatisticCodeType }
         * 
         * 
         */
        public List<StatisticCodeType> getStatisticCode() {
            if (statisticCode == null) {
                statisticCode = new ArrayList<StatisticCodeType>();
            }
            return this.statisticCode;
        }

    }

}
