
package org.opentravel.ota._2003._05;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * The VehicleLocationServicesType complex type defines the services that are offered by a vehicle rental location.  Such services include shuttle information to transport the customer to the facility.
 * 
 * <p>Java class for VehicleLocationServicesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VehicleLocationServicesType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="ShuttleProvided" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VehicleLocationServicesType")
public class VehicleLocationServicesType {

    @XmlAttribute(name = "ShuttleProvided")
    protected Boolean shuttleProvided;

    /**
     * Gets the value of the shuttleProvided property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isShuttleProvided() {
        return shuttleProvided;
    }

    /**
     * Sets the value of the shuttleProvided property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setShuttleProvided(Boolean value) {
        this.shuttleProvided = value;
    }

}
