
package org.opentravel.ota._2003._05;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * Provides information on a distance associated with a particular rate (e.g., the distance may be  expressed as Unlimited miles per rental period or 200 miles per day).
 * 
 * <p>Java class for VehicleRateDistanceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VehicleRateDistanceType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="DistUnitName" use="required" type="{http://www.opentravel.org/OTA/2003/05}DistanceUnitNameType" />
 *       &lt;attribute name="Quantity" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="Unlimited" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="VehiclePeriodUnitName" use="required" type="{http://www.opentravel.org/OTA/2003/05}VehiclePeriodUnitNameType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VehicleRateDistanceType")
public class VehicleRateDistanceType {

    @XmlAttribute(name = "DistUnitName", required = true)
    protected DistanceUnitNameType distUnitName;
    @XmlAttribute(name = "Quantity")
    protected BigInteger quantity;
    @XmlAttribute(name = "Unlimited", required = true)
    protected boolean unlimited;
    @XmlAttribute(name = "VehiclePeriodUnitName", required = true)
    protected VehiclePeriodUnitNameType vehiclePeriodUnitName;

    /**
     * Gets the value of the distUnitName property.
     * 
     * @return
     *     possible object is
     *     {@link DistanceUnitNameType }
     *     
     */
    public DistanceUnitNameType getDistUnitName() {
        return distUnitName;
    }

    /**
     * Sets the value of the distUnitName property.
     * 
     * @param value
     *     allowed object is
     *     {@link DistanceUnitNameType }
     *     
     */
    public void setDistUnitName(DistanceUnitNameType value) {
        this.distUnitName = value;
    }

    /**
     * Gets the value of the quantity property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getQuantity() {
        return quantity;
    }

    /**
     * Sets the value of the quantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setQuantity(BigInteger value) {
        this.quantity = value;
    }

    /**
     * Gets the value of the unlimited property.
     * 
     */
    public boolean isUnlimited() {
        return unlimited;
    }

    /**
     * Sets the value of the unlimited property.
     * 
     */
    public void setUnlimited(boolean value) {
        this.unlimited = value;
    }

    /**
     * Gets the value of the vehiclePeriodUnitName property.
     * 
     * @return
     *     possible object is
     *     {@link VehiclePeriodUnitNameType }
     *     
     */
    public VehiclePeriodUnitNameType getVehiclePeriodUnitName() {
        return vehiclePeriodUnitName;
    }

    /**
     * Sets the value of the vehiclePeriodUnitName property.
     * 
     * @param value
     *     allowed object is
     *     {@link VehiclePeriodUnitNameType }
     *     
     */
    public void setVehiclePeriodUnitName(VehiclePeriodUnitNameType value) {
        this.vehiclePeriodUnitName = value;
    }

}
