
package org.opentravel.ota._2003._05;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * A collection of information that specifies how the message processing should occur or how the data should be returned.
 * 
 * <p>Java class for AirProcessingInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AirProcessingInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="BaseFaresOnlyIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="DisplayOrder" type="{http://www.opentravel.org/OTA/2003/05}DisplayOrderType" />
 *       &lt;attribute name="FlightSvcInfoIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="ReducedDataIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="SearchType">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="Normal"/>
 *             &lt;enumeration value="Window"/>
 *             &lt;enumeration value="ArrivalTime"/>
 *             &lt;enumeration value="PowerFlight"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="TargetSource">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="Core"/>
 *             &lt;enumeration value="Vendor"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AirProcessingInfoType")
public class AirProcessingInfoType {

    @XmlAttribute(name = "BaseFaresOnlyIndicator")
    protected Boolean baseFaresOnlyIndicator;
    @XmlAttribute(name = "DisplayOrder")
    protected DisplayOrderType displayOrder;
    @XmlAttribute(name = "FlightSvcInfoIndicator")
    protected Boolean flightSvcInfoIndicator;
    @XmlAttribute(name = "ReducedDataIndicator")
    protected Boolean reducedDataIndicator;
    @XmlAttribute(name = "SearchType")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String searchType;
    @XmlAttribute(name = "TargetSource")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String targetSource;

    /**
     * Gets the value of the baseFaresOnlyIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isBaseFaresOnlyIndicator() {
        return baseFaresOnlyIndicator;
    }

    /**
     * Sets the value of the baseFaresOnlyIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBaseFaresOnlyIndicator(Boolean value) {
        this.baseFaresOnlyIndicator = value;
    }

    /**
     * Gets the value of the displayOrder property.
     * 
     * @return
     *     possible object is
     *     {@link DisplayOrderType }
     *     
     */
    public DisplayOrderType getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Sets the value of the displayOrder property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisplayOrderType }
     *     
     */
    public void setDisplayOrder(DisplayOrderType value) {
        this.displayOrder = value;
    }

    /**
     * Gets the value of the flightSvcInfoIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isFlightSvcInfoIndicator() {
        return flightSvcInfoIndicator;
    }

    /**
     * Sets the value of the flightSvcInfoIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFlightSvcInfoIndicator(Boolean value) {
        this.flightSvcInfoIndicator = value;
    }

    /**
     * Gets the value of the reducedDataIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isReducedDataIndicator() {
        return reducedDataIndicator;
    }

    /**
     * Sets the value of the reducedDataIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setReducedDataIndicator(Boolean value) {
        this.reducedDataIndicator = value;
    }

    /**
     * Gets the value of the searchType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSearchType() {
        return searchType;
    }

    /**
     * Sets the value of the searchType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSearchType(String value) {
        this.searchType = value;
    }

    /**
     * Gets the value of the targetSource property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTargetSource() {
        return targetSource;
    }

    /**
     * Sets the value of the targetSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTargetSource(String value) {
        this.targetSource = value;
    }

}
