
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * The BookedTrainSegmentType complex type defines the information needed to describe a train segment that has been booked as part of a reservation.
 * 
 * <p>Java class for BookedTrainSegmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BookedTrainSegmentType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.opentravel.org/OTA/2003/05}TrainSegmentType">
 *       &lt;sequence>
 *         &lt;element name="ClassCode" type="{http://www.opentravel.org/OTA/2003/05}ClassCodeType"/>
 *         &lt;element name="Comment" type="{http://www.opentravel.org/OTA/2003/05}FreeTextType" maxOccurs="10" minOccurs="0"/>
 *         &lt;element name="Compartments" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Compartment" type="{http://www.opentravel.org/OTA/2003/05}RoomAssignmentType" maxOccurs="99"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="SeatAssignments" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="SeatAssignment" type="{http://www.opentravel.org/OTA/2003/05}SeatAssignmentType" maxOccurs="99"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="BookStatus" use="required" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to8" />
 *       &lt;attribute name="TicketStatus" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to8" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BookedTrainSegmentType", propOrder = {
    "classCode",
    "comment",
    "compartments",
    "seatAssignments"
})
public class BookedTrainSegmentType
    extends TrainSegmentType
{

    @XmlElement(name = "ClassCode", required = true)
    protected ClassCodeType classCode;
    @XmlElement(name = "Comment")
    protected List<FreeTextType> comment;
    @XmlElement(name = "Compartments")
    protected BookedTrainSegmentType.Compartments compartments;
    @XmlElement(name = "SeatAssignments")
    protected BookedTrainSegmentType.SeatAssignments seatAssignments;
    @XmlAttribute(name = "BookStatus", required = true)
    protected String bookStatus;
    @XmlAttribute(name = "TicketStatus")
    protected String ticketStatus;

    /**
     * Gets the value of the classCode property.
     * 
     * @return
     *     possible object is
     *     {@link ClassCodeType }
     *     
     */
    public ClassCodeType getClassCode() {
        return classCode;
    }

    /**
     * Sets the value of the classCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassCodeType }
     *     
     */
    public void setClassCode(ClassCodeType value) {
        this.classCode = value;
    }

    /**
     * Gets the value of the comment property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the comment property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getComment().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FreeTextType }
     * 
     * 
     */
    public List<FreeTextType> getComment() {
        if (comment == null) {
            comment = new ArrayList<FreeTextType>();
        }
        return this.comment;
    }

    /**
     * Gets the value of the compartments property.
     * 
     * @return
     *     possible object is
     *     {@link BookedTrainSegmentType.Compartments }
     *     
     */
    public BookedTrainSegmentType.Compartments getCompartments() {
        return compartments;
    }

    /**
     * Sets the value of the compartments property.
     * 
     * @param value
     *     allowed object is
     *     {@link BookedTrainSegmentType.Compartments }
     *     
     */
    public void setCompartments(BookedTrainSegmentType.Compartments value) {
        this.compartments = value;
    }

    /**
     * Gets the value of the seatAssignments property.
     * 
     * @return
     *     possible object is
     *     {@link BookedTrainSegmentType.SeatAssignments }
     *     
     */
    public BookedTrainSegmentType.SeatAssignments getSeatAssignments() {
        return seatAssignments;
    }

    /**
     * Sets the value of the seatAssignments property.
     * 
     * @param value
     *     allowed object is
     *     {@link BookedTrainSegmentType.SeatAssignments }
     *     
     */
    public void setSeatAssignments(BookedTrainSegmentType.SeatAssignments value) {
        this.seatAssignments = value;
    }

    /**
     * Gets the value of the bookStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBookStatus() {
        return bookStatus;
    }

    /**
     * Sets the value of the bookStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBookStatus(String value) {
        this.bookStatus = value;
    }

    /**
     * Gets the value of the ticketStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTicketStatus() {
        return ticketStatus;
    }

    /**
     * Sets the value of the ticketStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTicketStatus(String value) {
        this.ticketStatus = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Compartment" type="{http://www.opentravel.org/OTA/2003/05}RoomAssignmentType" maxOccurs="99"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "compartment"
    })
    public static class Compartments {

        @XmlElement(name = "Compartment", required = true)
        protected List<RoomAssignmentType> compartment;

        /**
         * Gets the value of the compartment property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the compartment property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCompartment().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RoomAssignmentType }
         * 
         * 
         */
        public List<RoomAssignmentType> getCompartment() {
            if (compartment == null) {
                compartment = new ArrayList<RoomAssignmentType>();
            }
            return this.compartment;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="SeatAssignment" type="{http://www.opentravel.org/OTA/2003/05}SeatAssignmentType" maxOccurs="99"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "seatAssignment"
    })
    public static class SeatAssignments {

        @XmlElement(name = "SeatAssignment", required = true)
        protected List<SeatAssignmentType> seatAssignment;

        /**
         * Gets the value of the seatAssignment property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the seatAssignment property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getSeatAssignment().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SeatAssignmentType }
         * 
         * 
         */
        public List<SeatAssignmentType> getSeatAssignment() {
            if (seatAssignment == null) {
                seatAssignment = new ArrayList<SeatAssignmentType>();
            }
            return this.seatAssignment;
        }

    }

}
