
package org.opentravel.ota._2003._05;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * This element has count data for each count category, identified using OTA Code List CNT, such as number of guests, rooms occupied, etc.
 * 
 * <p>Java class for CountCategorySummaryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CountCategorySummaryType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="CountCategoryCode" type="{http://www.opentravel.org/OTA/2003/05}OTA_CodeType" />
 *       &lt;attribute name="SummaryCount" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CountCategorySummaryType")
public class CountCategorySummaryType {

    @XmlAttribute(name = "CountCategoryCode")
    protected String countCategoryCode;
    @XmlAttribute(name = "SummaryCount")
    protected BigInteger summaryCount;

    /**
     * Gets the value of the countCategoryCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCountCategoryCode() {
        return countCategoryCode;
    }

    /**
     * Sets the value of the countCategoryCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCountCategoryCode(String value) {
        this.countCategoryCode = value;
    }

    /**
     * Gets the value of the summaryCount property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getSummaryCount() {
        return summaryCount;
    }

    /**
     * Sets the value of the summaryCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setSummaryCount(BigInteger value) {
        this.summaryCount = value;
    }

}
