
package org.opentravel.ota._2003._05;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.Duration;


/**
 * Provides date information for the inventory block.  
 * 
 * <p>Java class for InvBlockDatesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InvBlockDatesType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}InvBlockCutoffGroup"/>
 *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}DateTimeSpanGroup"/>
 *       &lt;attribute name="EndDateExtensionIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InvBlockDatesType")
public class InvBlockDatesType {

    @XmlAttribute(name = "EndDateExtensionIndicator")
    protected Boolean endDateExtensionIndicator;
    @XmlAttribute(name = "AbsoluteCutoff")
    protected String absoluteCutoff;
    @XmlAttribute(name = "OffsetCalculationMode")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String offsetCalculationMode;
    @XmlAttribute(name = "OffsetDuration")
    protected Duration offsetDuration;
    @XmlAttribute(name = "Duration")
    protected String duration;
    @XmlAttribute(name = "End")
    protected String end;
    @XmlAttribute(name = "Start")
    protected String start;

    /**
     * Gets the value of the endDateExtensionIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEndDateExtensionIndicator() {
        return endDateExtensionIndicator;
    }

    /**
     * Sets the value of the endDateExtensionIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEndDateExtensionIndicator(Boolean value) {
        this.endDateExtensionIndicator = value;
    }

    /**
     * Gets the value of the absoluteCutoff property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAbsoluteCutoff() {
        return absoluteCutoff;
    }

    /**
     * Sets the value of the absoluteCutoff property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAbsoluteCutoff(String value) {
        this.absoluteCutoff = value;
    }

    /**
     * Gets the value of the offsetCalculationMode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOffsetCalculationMode() {
        return offsetCalculationMode;
    }

    /**
     * Sets the value of the offsetCalculationMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOffsetCalculationMode(String value) {
        this.offsetCalculationMode = value;
    }

    /**
     * Gets the value of the offsetDuration property.
     * 
     * @return
     *     possible object is
     *     {@link Duration }
     *     
     */
    public Duration getOffsetDuration() {
        return offsetDuration;
    }

    /**
     * Sets the value of the offsetDuration property.
     * 
     * @param value
     *     allowed object is
     *     {@link Duration }
     *     
     */
    public void setOffsetDuration(Duration value) {
        this.offsetDuration = value;
    }

    /**
     * Gets the value of the duration property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDuration() {
        return duration;
    }

    /**
     * Sets the value of the duration property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDuration(String value) {
        this.duration = value;
    }

    /**
     * Gets the value of the end property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEnd() {
        return end;
    }

    /**
     * Sets the value of the end property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEnd(String value) {
        this.end = value;
    }

    /**
     * Gets the value of the start property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStart() {
        return start;
    }

    /**
     * Sets the value of the start property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStart(String value) {
        this.start = value;
    }

}
