
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ItineraryInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ItineraryInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ContactInfo" type="{http://www.opentravel.org/OTA/2003/05}ContactPersonType" minOccurs="0"/>
 *         &lt;element name="ReservationItems" type="{http://www.opentravel.org/OTA/2003/05}ReservationItemsType" minOccurs="0"/>
 *         &lt;element name="Ticketing" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://www.opentravel.org/OTA/2003/05}TicketingInfoRS_Type">
 *                 &lt;attribute name="PlatingCarrier" type="{http://www.opentravel.org/OTA/2003/05}AlphaLength3" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="ItineraryPricing" type="{http://www.opentravel.org/OTA/2003/05}ItinPricingType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SpecialRequestDetails">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://www.opentravel.org/OTA/2003/05}SpecialReqDetailsType">
 *                 &lt;sequence>
 *                   &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ItineraryInfoType", propOrder = {
    "contactInfo",
    "reservationItems",
    "ticketing",
    "itineraryPricing",
    "specialRequestDetails",
    "tpaExtensions"
})
public class ItineraryInfoType {

    @XmlElement(name = "ContactInfo")
    protected ContactPersonType contactInfo;
    @XmlElement(name = "ReservationItems")
    protected ReservationItemsType reservationItems;
    @XmlElement(name = "Ticketing")
    protected ItineraryInfoType.Ticketing ticketing;
    @XmlElement(name = "ItineraryPricing")
    protected List<ItinPricingType> itineraryPricing;
    @XmlElement(name = "SpecialRequestDetails", required = true)
    protected ItineraryInfoType.SpecialRequestDetails specialRequestDetails;
    @XmlElement(name = "TPA_Extensions")
    protected TPAExtensionsType tpaExtensions;

    /**
     * Gets the value of the contactInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ContactPersonType }
     *     
     */
    public ContactPersonType getContactInfo() {
        return contactInfo;
    }

    /**
     * Sets the value of the contactInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContactPersonType }
     *     
     */
    public void setContactInfo(ContactPersonType value) {
        this.contactInfo = value;
    }

    /**
     * Gets the value of the reservationItems property.
     * 
     * @return
     *     possible object is
     *     {@link ReservationItemsType }
     *     
     */
    public ReservationItemsType getReservationItems() {
        return reservationItems;
    }

    /**
     * Sets the value of the reservationItems property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReservationItemsType }
     *     
     */
    public void setReservationItems(ReservationItemsType value) {
        this.reservationItems = value;
    }

    /**
     * Gets the value of the ticketing property.
     * 
     * @return
     *     possible object is
     *     {@link ItineraryInfoType.Ticketing }
     *     
     */
    public ItineraryInfoType.Ticketing getTicketing() {
        return ticketing;
    }

    /**
     * Sets the value of the ticketing property.
     * 
     * @param value
     *     allowed object is
     *     {@link ItineraryInfoType.Ticketing }
     *     
     */
    public void setTicketing(ItineraryInfoType.Ticketing value) {
        this.ticketing = value;
    }

    /**
     * Gets the value of the itineraryPricing property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the itineraryPricing property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getItineraryPricing().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ItinPricingType }
     * 
     * 
     */
    public List<ItinPricingType> getItineraryPricing() {
        if (itineraryPricing == null) {
            itineraryPricing = new ArrayList<ItinPricingType>();
        }
        return this.itineraryPricing;
    }

    /**
     * Gets the value of the specialRequestDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ItineraryInfoType.SpecialRequestDetails }
     *     
     */
    public ItineraryInfoType.SpecialRequestDetails getSpecialRequestDetails() {
        return specialRequestDetails;
    }

    /**
     * Sets the value of the specialRequestDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ItineraryInfoType.SpecialRequestDetails }
     *     
     */
    public void setSpecialRequestDetails(ItineraryInfoType.SpecialRequestDetails value) {
        this.specialRequestDetails = value;
    }

    /**
     * Gets the value of the tpaExtensions property.
     * 
     * @return
     *     possible object is
     *     {@link TPAExtensionsType }
     *     
     */
    public TPAExtensionsType getTPAExtensions() {
        return tpaExtensions;
    }

    /**
     * Sets the value of the tpaExtensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link TPAExtensionsType }
     *     
     */
    public void setTPAExtensions(TPAExtensionsType value) {
        this.tpaExtensions = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://www.opentravel.org/OTA/2003/05}SpecialReqDetailsType">
     *       &lt;sequence>
     *         &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "tpaExtensions"
    })
    public static class SpecialRequestDetails
        extends SpecialReqDetailsType
    {

        @XmlElement(name = "TPA_Extensions")
        protected TPAExtensionsType tpaExtensions;

        /**
         * Gets the value of the tpaExtensions property.
         * 
         * @return
         *     possible object is
         *     {@link TPAExtensionsType }
         *     
         */
        public TPAExtensionsType getTPAExtensions() {
            return tpaExtensions;
        }

        /**
         * Sets the value of the tpaExtensions property.
         * 
         * @param value
         *     allowed object is
         *     {@link TPAExtensionsType }
         *     
         */
        public void setTPAExtensions(TPAExtensionsType value) {
            this.tpaExtensions = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://www.opentravel.org/OTA/2003/05}TicketingInfoRS_Type">
     *       &lt;attribute name="PlatingCarrier" type="{http://www.opentravel.org/OTA/2003/05}AlphaLength3" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Ticketing
        extends TicketingInfoRSType
    {

        @XmlAttribute(name = "PlatingCarrier")
        protected String platingCarrier;

        /**
         * Gets the value of the platingCarrier property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getPlatingCarrier() {
            return platingCarrier;
        }

        /**
         * Sets the value of the platingCarrier property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPlatingCarrier(String value) {
            this.platingCarrier = value;
        }

    }

}
