
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * A list of all the items making up a costed booking
 * 
 * <p>Java class for PkgInvoiceDetail complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PkgInvoiceDetail">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="CostingItems" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="CostingItem" type="{http://www.opentravel.org/OTA/2003/05}CostingItemType" maxOccurs="99"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="GrossAmount" type="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType" minOccurs="0"/>
 *         &lt;element name="DepositAmount" type="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType" minOccurs="0"/>
 *         &lt;element name="AgentCommission" type="{http://www.opentravel.org/OTA/2003/05}AgentCommissionType" maxOccurs="8" minOccurs="0"/>
 *         &lt;element name="NetAmount" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType">
 *                 &lt;attribute name="PaymentDueDate" type="{http://www.w3.org/2001/XMLSchema}date" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="TaxItems" type="{http://www.opentravel.org/OTA/2003/05}TaxesType" minOccurs="0"/>
 *         &lt;element name="BalanceDueAmount" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType">
 *                 &lt;attribute name="PaymentDueDate" type="{http://www.w3.org/2001/XMLSchema}date" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="AmountReceived" type="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PkgInvoiceDetail", propOrder = {
    "costingItems",
    "grossAmount",
    "depositAmount",
    "agentCommission",
    "netAmount",
    "taxItems",
    "balanceDueAmount",
    "amountReceived"
})
public class PkgInvoiceDetail {

    @XmlElement(name = "CostingItems")
    protected PkgInvoiceDetail.CostingItems costingItems;
    @XmlElement(name = "GrossAmount")
    protected CurrencyAmountType grossAmount;
    @XmlElement(name = "DepositAmount")
    protected CurrencyAmountType depositAmount;
    @XmlElement(name = "AgentCommission")
    protected List<AgentCommissionType> agentCommission;
    @XmlElement(name = "NetAmount")
    protected PkgInvoiceDetail.NetAmount netAmount;
    @XmlElement(name = "TaxItems")
    protected TaxesType taxItems;
    @XmlElement(name = "BalanceDueAmount")
    protected PkgInvoiceDetail.BalanceDueAmount balanceDueAmount;
    @XmlElement(name = "AmountReceived")
    protected CurrencyAmountType amountReceived;

    /**
     * Gets the value of the costingItems property.
     * 
     * @return
     *     possible object is
     *     {@link PkgInvoiceDetail.CostingItems }
     *     
     */
    public PkgInvoiceDetail.CostingItems getCostingItems() {
        return costingItems;
    }

    /**
     * Sets the value of the costingItems property.
     * 
     * @param value
     *     allowed object is
     *     {@link PkgInvoiceDetail.CostingItems }
     *     
     */
    public void setCostingItems(PkgInvoiceDetail.CostingItems value) {
        this.costingItems = value;
    }

    /**
     * Gets the value of the grossAmount property.
     * 
     * @return
     *     possible object is
     *     {@link CurrencyAmountType }
     *     
     */
    public CurrencyAmountType getGrossAmount() {
        return grossAmount;
    }

    /**
     * Sets the value of the grossAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link CurrencyAmountType }
     *     
     */
    public void setGrossAmount(CurrencyAmountType value) {
        this.grossAmount = value;
    }

    /**
     * Gets the value of the depositAmount property.
     * 
     * @return
     *     possible object is
     *     {@link CurrencyAmountType }
     *     
     */
    public CurrencyAmountType getDepositAmount() {
        return depositAmount;
    }

    /**
     * Sets the value of the depositAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link CurrencyAmountType }
     *     
     */
    public void setDepositAmount(CurrencyAmountType value) {
        this.depositAmount = value;
    }

    /**
     * Gets the value of the agentCommission property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the agentCommission property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAgentCommission().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AgentCommissionType }
     * 
     * 
     */
    public List<AgentCommissionType> getAgentCommission() {
        if (agentCommission == null) {
            agentCommission = new ArrayList<AgentCommissionType>();
        }
        return this.agentCommission;
    }

    /**
     * Gets the value of the netAmount property.
     * 
     * @return
     *     possible object is
     *     {@link PkgInvoiceDetail.NetAmount }
     *     
     */
    public PkgInvoiceDetail.NetAmount getNetAmount() {
        return netAmount;
    }

    /**
     * Sets the value of the netAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link PkgInvoiceDetail.NetAmount }
     *     
     */
    public void setNetAmount(PkgInvoiceDetail.NetAmount value) {
        this.netAmount = value;
    }

    /**
     * Gets the value of the taxItems property.
     * 
     * @return
     *     possible object is
     *     {@link TaxesType }
     *     
     */
    public TaxesType getTaxItems() {
        return taxItems;
    }

    /**
     * Sets the value of the taxItems property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaxesType }
     *     
     */
    public void setTaxItems(TaxesType value) {
        this.taxItems = value;
    }

    /**
     * Gets the value of the balanceDueAmount property.
     * 
     * @return
     *     possible object is
     *     {@link PkgInvoiceDetail.BalanceDueAmount }
     *     
     */
    public PkgInvoiceDetail.BalanceDueAmount getBalanceDueAmount() {
        return balanceDueAmount;
    }

    /**
     * Sets the value of the balanceDueAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link PkgInvoiceDetail.BalanceDueAmount }
     *     
     */
    public void setBalanceDueAmount(PkgInvoiceDetail.BalanceDueAmount value) {
        this.balanceDueAmount = value;
    }

    /**
     * Gets the value of the amountReceived property.
     * 
     * @return
     *     possible object is
     *     {@link CurrencyAmountType }
     *     
     */
    public CurrencyAmountType getAmountReceived() {
        return amountReceived;
    }

    /**
     * Sets the value of the amountReceived property.
     * 
     * @param value
     *     allowed object is
     *     {@link CurrencyAmountType }
     *     
     */
    public void setAmountReceived(CurrencyAmountType value) {
        this.amountReceived = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType">
     *       &lt;attribute name="PaymentDueDate" type="{http://www.w3.org/2001/XMLSchema}date" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class BalanceDueAmount
        extends CurrencyAmountType
    {

        @XmlAttribute(name = "PaymentDueDate")
        protected XMLGregorianCalendar paymentDueDate;

        /**
         * Gets the value of the paymentDueDate property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getPaymentDueDate() {
            return paymentDueDate;
        }

        /**
         * Sets the value of the paymentDueDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setPaymentDueDate(XMLGregorianCalendar value) {
            this.paymentDueDate = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="CostingItem" type="{http://www.opentravel.org/OTA/2003/05}CostingItemType" maxOccurs="99"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "costingItem"
    })
    public static class CostingItems {

        @XmlElement(name = "CostingItem", required = true)
        protected List<CostingItemType> costingItem;

        /**
         * Gets the value of the costingItem property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the costingItem property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCostingItem().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link CostingItemType }
         * 
         * 
         */
        public List<CostingItemType> getCostingItem() {
            if (costingItem == null) {
                costingItem = new ArrayList<CostingItemType>();
            }
            return this.costingItem;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountType">
     *       &lt;attribute name="PaymentDueDate" type="{http://www.w3.org/2001/XMLSchema}date" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class NetAmount
        extends CurrencyAmountType
    {

        @XmlAttribute(name = "PaymentDueDate")
        protected XMLGregorianCalendar paymentDueDate;

        /**
         * Gets the value of the paymentDueDate property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getPaymentDueDate() {
            return paymentDueDate;
        }

        /**
         * Sets the value of the paymentDueDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setPaymentDueDate(XMLGregorianCalendar value) {
            this.paymentDueDate = value;
        }

    }

}
