
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * The RailReservationListType complex type defines the data needed to provide a list of reservations, where each eservation is referenced using summary data for that reservation..
 * 
 * <p>Java class for RailReservationListType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RailReservationListType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="RailResSummary" type="{http://www.opentravel.org/OTA/2003/05}RailReservationSummaryType" maxOccurs="99" minOccurs="2"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RailReservationListType", propOrder = {
    "railResSummary"
})
public class RailReservationListType {

    @XmlElement(name = "RailResSummary", required = true)
    protected List<RailReservationSummaryType> railResSummary;

    /**
     * Gets the value of the railResSummary property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the railResSummary property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRailResSummary().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RailReservationSummaryType }
     * 
     * 
     */
    public List<RailReservationSummaryType> getRailResSummary() {
        if (railResSummary == null) {
            railResSummary = new ArrayList<RailReservationSummaryType>();
        }
        return this.railResSummary;
    }

}
