
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * Describes the status of a restriction on a room and/or rate.
 * 
 * <p>Java class for RestrictionStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RestrictionStatusType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="Restriction">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKENS">
 *             &lt;enumeration value="Master"/>
 *             &lt;enumeration value="Arrival"/>
 *             &lt;enumeration value="Departure"/>
 *             &lt;enumeration value="NonGuarantee"/>
 *             &lt;enumeration value="TravelAgent"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="SellThroughOpenIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="Status">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKENS">
 *             &lt;enumeration value="Open"/>
 *             &lt;enumeration value="Close"/>
 *             &lt;enumeration value="ClosedOnArrival"/>
 *             &lt;enumeration value="ClosedOnArrivalOnRequest"/>
 *             &lt;enumeration value="OnRequest"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RestrictionStatusType")
public class RestrictionStatusType {

    @XmlAttribute(name = "Restriction")
    protected List<String> restriction;
    @XmlAttribute(name = "SellThroughOpenIndicator")
    protected Boolean sellThroughOpenIndicator;
    @XmlAttribute(name = "Status")
    protected List<String> status;

    /**
     * Gets the value of the restriction property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the restriction property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRestriction().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getRestriction() {
        if (restriction == null) {
            restriction = new ArrayList<String>();
        }
        return this.restriction;
    }

    /**
     * Gets the value of the sellThroughOpenIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSellThroughOpenIndicator() {
        return sellThroughOpenIndicator;
    }

    /**
     * Sets the value of the sellThroughOpenIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSellThroughOpenIndicator(Boolean value) {
        this.sellThroughOpenIndicator = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the status property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStatus().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getStatus() {
        if (status == null) {
            status = new ArrayList<String>();
        }
        return this.status;
    }

}
