
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TravelItineraryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TravelItineraryType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://www.opentravel.org/OTA/2003/05}ItineraryRef"/>
 *         &lt;element name="CustomerInfos">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="CustomerInfo" type="{http://www.opentravel.org/OTA/2003/05}CustomerInfoType" maxOccurs="unbounded"/>
 *                   &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="ItineraryInfo" type="{http://www.opentravel.org/OTA/2003/05}ItineraryInfoType"/>
 *         &lt;element name="AssociatedContent" type="{http://www.opentravel.org/OTA/2003/05}AssociatedContentType" minOccurs="0"/>
 *         &lt;element name="TravelCost" type="{http://www.opentravel.org/OTA/2003/05}TravelCostType" minOccurs="0"/>
 *         &lt;element name="Remarks" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Remark" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to64" maxOccurs="unbounded"/>
 *                   &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="RemarkType">
 *                   &lt;simpleType>
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                       &lt;enumeration value="General"/>
 *                       &lt;enumeration value="TravelPolicy"/>
 *                     &lt;/restriction>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="UpdatedBy" type="{http://www.opentravel.org/OTA/2003/05}AccessesType"/>
 *         &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TravelItineraryType", propOrder = {
    "itineraryRef",
    "customerInfos",
    "itineraryInfo",
    "associatedContent",
    "travelCost",
    "remarks",
    "updatedBy",
    "tpaExtensions"
})
public class TravelItineraryType {

    @XmlElement(name = "ItineraryRef", required = true)
    protected ItineraryRef itineraryRef;
    @XmlElement(name = "CustomerInfos", required = true)
    protected TravelItineraryType.CustomerInfos customerInfos;
    @XmlElement(name = "ItineraryInfo", required = true)
    protected ItineraryInfoType itineraryInfo;
    @XmlElement(name = "AssociatedContent")
    protected AssociatedContentType associatedContent;
    @XmlElement(name = "TravelCost")
    protected TravelCostType travelCost;
    @XmlElement(name = "Remarks")
    protected TravelItineraryType.Remarks remarks;
    @XmlElement(name = "UpdatedBy", required = true)
    protected AccessesType updatedBy;
    @XmlElement(name = "TPA_Extensions")
    protected TPAExtensionsType tpaExtensions;

    /**
     * Controlling system's reference to this itinerary.
     * 
     * @return
     *     possible object is
     *     {@link ItineraryRef }
     *     
     */
    public ItineraryRef getItineraryRef() {
        return itineraryRef;
    }

    /**
     * Controlling system's reference to this itinerary.
     * 
     * @param value
     *     allowed object is
     *     {@link ItineraryRef }
     *     
     */
    public void setItineraryRef(ItineraryRef value) {
        this.itineraryRef = value;
    }

    /**
     * Gets the value of the customerInfos property.
     * 
     * @return
     *     possible object is
     *     {@link TravelItineraryType.CustomerInfos }
     *     
     */
    public TravelItineraryType.CustomerInfos getCustomerInfos() {
        return customerInfos;
    }

    /**
     * Sets the value of the customerInfos property.
     * 
     * @param value
     *     allowed object is
     *     {@link TravelItineraryType.CustomerInfos }
     *     
     */
    public void setCustomerInfos(TravelItineraryType.CustomerInfos value) {
        this.customerInfos = value;
    }

    /**
     * Gets the value of the itineraryInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ItineraryInfoType }
     *     
     */
    public ItineraryInfoType getItineraryInfo() {
        return itineraryInfo;
    }

    /**
     * Sets the value of the itineraryInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ItineraryInfoType }
     *     
     */
    public void setItineraryInfo(ItineraryInfoType value) {
        this.itineraryInfo = value;
    }

    /**
     * Gets the value of the associatedContent property.
     * 
     * @return
     *     possible object is
     *     {@link AssociatedContentType }
     *     
     */
    public AssociatedContentType getAssociatedContent() {
        return associatedContent;
    }

    /**
     * Sets the value of the associatedContent property.
     * 
     * @param value
     *     allowed object is
     *     {@link AssociatedContentType }
     *     
     */
    public void setAssociatedContent(AssociatedContentType value) {
        this.associatedContent = value;
    }

    /**
     * Gets the value of the travelCost property.
     * 
     * @return
     *     possible object is
     *     {@link TravelCostType }
     *     
     */
    public TravelCostType getTravelCost() {
        return travelCost;
    }

    /**
     * Sets the value of the travelCost property.
     * 
     * @param value
     *     allowed object is
     *     {@link TravelCostType }
     *     
     */
    public void setTravelCost(TravelCostType value) {
        this.travelCost = value;
    }

    /**
     * Gets the value of the remarks property.
     * 
     * @return
     *     possible object is
     *     {@link TravelItineraryType.Remarks }
     *     
     */
    public TravelItineraryType.Remarks getRemarks() {
        return remarks;
    }

    /**
     * Sets the value of the remarks property.
     * 
     * @param value
     *     allowed object is
     *     {@link TravelItineraryType.Remarks }
     *     
     */
    public void setRemarks(TravelItineraryType.Remarks value) {
        this.remarks = value;
    }

    /**
     * Gets the value of the updatedBy property.
     * 
     * @return
     *     possible object is
     *     {@link AccessesType }
     *     
     */
    public AccessesType getUpdatedBy() {
        return updatedBy;
    }

    /**
     * Sets the value of the updatedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccessesType }
     *     
     */
    public void setUpdatedBy(AccessesType value) {
        this.updatedBy = value;
    }

    /**
     * Gets the value of the tpaExtensions property.
     * 
     * @return
     *     possible object is
     *     {@link TPAExtensionsType }
     *     
     */
    public TPAExtensionsType getTPAExtensions() {
        return tpaExtensions;
    }

    /**
     * Sets the value of the tpaExtensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link TPAExtensionsType }
     *     
     */
    public void setTPAExtensions(TPAExtensionsType value) {
        this.tpaExtensions = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="CustomerInfo" type="{http://www.opentravel.org/OTA/2003/05}CustomerInfoType" maxOccurs="unbounded"/>
     *         &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "customerInfo",
        "tpaExtensions"
    })
    public static class CustomerInfos {

        @XmlElement(name = "CustomerInfo", required = true)
        protected List<CustomerInfoType> customerInfo;
        @XmlElement(name = "TPA_Extensions")
        protected TPAExtensionsType tpaExtensions;

        /**
         * Gets the value of the customerInfo property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the customerInfo property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCustomerInfo().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link CustomerInfoType }
         * 
         * 
         */
        public List<CustomerInfoType> getCustomerInfo() {
            if (customerInfo == null) {
                customerInfo = new ArrayList<CustomerInfoType>();
            }
            return this.customerInfo;
        }

        /**
         * Gets the value of the tpaExtensions property.
         * 
         * @return
         *     possible object is
         *     {@link TPAExtensionsType }
         *     
         */
        public TPAExtensionsType getTPAExtensions() {
            return tpaExtensions;
        }

        /**
         * Sets the value of the tpaExtensions property.
         * 
         * @param value
         *     allowed object is
         *     {@link TPAExtensionsType }
         *     
         */
        public void setTPAExtensions(TPAExtensionsType value) {
            this.tpaExtensions = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Remark" type="{http://www.opentravel.org/OTA/2003/05}StringLength1to64" maxOccurs="unbounded"/>
     *         &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
     *       &lt;/sequence>
     *       &lt;attribute name="RemarkType">
     *         &lt;simpleType>
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *             &lt;enumeration value="General"/>
     *             &lt;enumeration value="TravelPolicy"/>
     *           &lt;/restriction>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "remark",
        "tpaExtensions"
    })
    public static class Remarks {

        @XmlElement(name = "Remark", required = true)
        protected List<String> remark;
        @XmlElement(name = "TPA_Extensions")
        protected TPAExtensionsType tpaExtensions;
        @XmlAttribute(name = "RemarkType")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String remarkType;

        /**
         * Gets the value of the remark property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the remark property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRemark().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getRemark() {
            if (remark == null) {
                remark = new ArrayList<String>();
            }
            return this.remark;
        }

        /**
         * Gets the value of the tpaExtensions property.
         * 
         * @return
         *     possible object is
         *     {@link TPAExtensionsType }
         *     
         */
        public TPAExtensionsType getTPAExtensions() {
            return tpaExtensions;
        }

        /**
         * Sets the value of the tpaExtensions property.
         * 
         * @param value
         *     allowed object is
         *     {@link TPAExtensionsType }
         *     
         */
        public void setTPAExtensions(TPAExtensionsType value) {
            this.tpaExtensions = value;
        }

        /**
         * Gets the value of the remarkType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRemarkType() {
            return remarkType;
        }

        /**
         * Sets the value of the remarkType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRemarkType(String value) {
            this.remarkType = value;
        }

    }

}
